import { ServerErrors } from "../../CandyApiClient";
export interface FileProperties extends ErrorUploadFiles {
    Demandfilename: string;
    AccountDescription: string;
    BossName: string;
    CorrectFileName: string;
    FormName: string;
    IDPol: string;
    INN: string;
    IdFilePrefix: string;
    KPP: string;
    MriCode: string;
    PayerName: string;
    ИНСАЙТ: string;
    PropertiesVersion: string;
    TypeInf: string;
    docId: string;
    fioPodp: string;
    fufUri: string;
    gfv: string;
    idPolFromIdFile: string;
    mriCodeProvidedByForm: string;
    prPodp: string;
    senderInn: string;
    senderKpp: string;
    ВерсПрог: string;
    ИдФайл: string;
    КодНО: string;
    RecordCount?: string;
    IsLastVersion?: string;
    PeriodCode?: string;
    ndsTotalSum?: string;
}
export interface ErrorUploadFiles {
    errorCode?: string;
    message?: string;
    systemMessage?: string;
}
export interface RSVFileProperties extends FileProperties {
    razd1_exists?: string;
    razd2_exists?: string;
    razd3_exists?: string;
    razd4_exists?: string;
}
export interface UploadFilePropertiesResponse extends ServerErrorResponse {
    sourcesTotalCount: number;
    /** Сериализованный массив ссылок на драйв, которые истребования определили как: файлы не по формату */
    invalidSourceDriveContentNames: string;
    fufUri?: string;
    /** кол-во инстансов в распаршенных файлах */
    prevDocsInstancesCount?: string;
    gfv?: string;
}
export interface ServerErrorResponse {
    serverError?: ServerErrors;
    message?: string;
}
export interface ParsedUploadFileProperties {
    fufUri?: string;
    gfv: string;
    sourcesTotalCount: number;
    prevDocsInstancesCount: number;
    invalidSourceDriveContentNames: string[];
    serverError?: ServerErrors;
}
export interface ExcelsToPartialFufsResponse {
    parsed: string[];
    failed: ExcelsToPartialFufsFailed[];
}
interface ExcelsToPartialFufsFailed {
    item1: string;
    item2: string;
}
export {};
