import { Guid } from "../../../../Engine/src/Engine/Types/Guid";
import { InterdocumentCheckerResult } from "../../../../Engine/src/Engine/Core/ErrorManager/Utils/Models";
export declare enum AdditionalProtocolResult {
    Ok = "Ok",
    FileExceedsMaximumSize = "FileExceedsMaximumSize",
    Error = "Error"
}
export declare enum AdditionalProtocolType {
    Popd = "Popd"
}
export interface AdditionalErrorLogItem {
    type: AdditionalProtocolType;
    resultCode: AdditionalProtocolResult;
    contentDriveUri: string;
    errorsCount: number;
    warningsCount: number;
}
export interface ServerErrorLogItem {
    id: Guid;
    description: string;
    path: null | undefined | string;
    source: string;
    usedArguments: string[] | undefined;
    justification?: string | undefined | null;
}
export interface ServerErrorLog {
    errorLogName?: null | string;
    propsName?: null | string;
    errors: ServerErrorLogItem[];
    warnings: ServerErrorLogItem[];
    successes: ServerErrorLogItem[];
}
export interface ErrorLogGroup {
    groupName: string | null;
    errors: ServerErrorLogItem[];
    warnings: ServerErrorLogItem[];
    successes: ServerErrorLogItem[];
    groupAttachmentId?: string;
    tid?: string;
}
export interface GroupedErrorLog {
    errorLogName?: null | string;
    propsName?: null | string;
    groups: ErrorLogGroup[];
    interdocumentCheckerResult?: InterdocumentCheckerResult | null;
}
