export type CompareResult = -1 | 0 | 1;
/**
 * Если left < right, то result -1
 * Если left > right, то result 1
 * Если left == right, то result 0
 *
 * По сути это Math.sign(left - right).
 */
export type CompareFunc<T> = (left: T, right: T) => CompareResult;
export declare function strictSign(value: number): CompareResult;
export declare function compareNumbers(left: number, right: number): CompareResult;
export declare class ComparerDecorators {
    static undefinedOrNullAsMax<T>(inComparer: CompareFunc<T>): CompareFunc<T | undefined | null>;
    static undefinedOrNullAsMin<T>(inComparer: CompareFunc<T>): CompareFunc<T | undefined | null>;
}
