"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComparerDecorators = void 0;
exports.strictSign = strictSign;
exports.compareNumbers = compareNumbers;
function strictSign(value) {
    if (typeof value !== "number") {
        throw new TypeError("Value must be number");
    }
    if (value > 0) {
        return 1;
    }
    if (value < 0) {
        return -1;
    }
    return 0;
}
function compareNumbers(left, right) {
    return strictSign(left - right);
}
class ComparerDecorators {
    static undefinedOrNullAsMax(inComparer) {
        return (left, right) => {
            if (left == undefined && right == undefined) {
                return 0;
            }
            if (left == undefined) {
                return 1;
            }
            if (right == undefined) {
                return -1;
            }
            return inComparer(left, right);
        };
    }
    static undefinedOrNullAsMin(inComparer) {
        return (left, right) => {
            if (left == undefined && right == undefined) {
                return 0;
            }
            if (left == undefined) {
                return -1;
            }
            if (right == undefined) {
                return 1;
            }
            return inComparer(left, right);
        };
    }
}
exports.ComparerDecorators = ComparerDecorators;
