"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedError = void 0;
class ExtendedError extends Error {
    innerError;
    constructor(message, innerError) {
        const errorMessage = ExtendedError.getErrorMessage(innerError);
        super(message + (errorMessage != undefined ? "\n" + errorMessage : ""));
        // NOTE Эта конструкция работает при запуске тестов в node.js. Для других сред тоже бы проверить и найти решение
        // NOTE если надо. Очень удобно, что при прокидывании ошибки можно найти исходное место выброс исключения
        if (innerError != undefined && innerError instanceof Error) {
            this.stack = (this.stack ?? "") + "\n" + (innerError.stack ?? "");
        }
        this.innerError = innerError;
    }
    static getErrorMessage(innerError) {
        if (innerError == undefined) {
            return undefined;
        }
        if (innerError instanceof Error) {
            return innerError.message;
        }
        // eslint-disable-next-line @typescript-eslint/no-base-to-string
        return `${innerError}`;
    }
}
exports.ExtendedError = ExtendedError;
