"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAuthenticationProvider = createAuthenticationProvider;
const includeCredentialsAuthenticationProvider = request => {
    request.credentials = "include";
    return request;
};
const omitCredentialsAuthenticationProvider = request => {
    request.credentials = "omit";
    return request;
};
const passAuthSidIntoHeaderAuthenticationProvider = (sid) => request => {
    request.credentials = "omit";
    request.headers = {
        ...request.headers,
        Authorization: `AUTH.SID ${sid}`,
    };
    return request;
};
function createAuthenticationProvider(authentication) {
    if (authentication == undefined || authentication === "browser-credentials-include") {
        return includeCredentialsAuthenticationProvider;
    }
    else if ("authSid" in authentication && authentication.authSid != undefined) {
        return passAuthSidIntoHeaderAuthenticationProvider(authentication.authSid);
    }
    return omitCredentialsAuthenticationProvider;
}
