"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nodeFetch = void 0;
const https_1 = require("https");
const node_fetch_1 = __importDefault(require("node-fetch"));
const Errors_1 = require("../../Errors");
const agent = new https_1.Agent({ rejectUnauthorized: false });
/* eslint-disable @typescript-eslint/no-explicit-any,@typescript-eslint/no-unsafe-return */
const nodeFetch = (input, init) => {
    if (typeof input === "string") {
        if (input.startsWith("https")) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            return (0, node_fetch_1.default)(input, { ...init, agent: agent });
        }
        else {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            return (0, node_fetch_1.default)(input, { ...init });
        }
    }
    else {
        throw new Errors_1.NotSupportedError();
    }
};
exports.nodeFetch = nodeFetch;
/* eslint-enable @typescript-eslint/no-explicit-any,@typescript-eslint/no-unsafe-return */
