type Length<T extends unknown[]> = T extends {
    length: infer L;
} ? (L extends number ? L : never) : never;
type BuildTuple<L extends number, T extends unknown[] = []> = T extends {
    length: L;
} ? T : BuildTuple<L, [...T, unknown]>;
type Add<A extends number, B extends number> = Length<[...BuildTuple<A>, ...BuildTuple<B>]>;
export type IntRange<TMin extends number, TMax extends number> = TMin extends TMax ? TMin : TMin | IntRange<Add<TMin, 1>, TMax>;
export declare function clamp(value: number, min: number, max: number): number;
export declare function clampUInt<TLeft extends number, TRight extends number>(value: number, min: TLeft, max: TRight): IntRange<TLeft, TRight>;
export declare function sign(value: number): -1 | 0 | 1;
export {};
