import Big, { BigSource } from "big.js";
type ValueSelector = (path: string) => string;
export declare class KCLangRuntimeUtils {
    static kcLangUtilsName: string;
    and(left: boolean | undefined, right: boolean | undefined): boolean | undefined;
    division(left: BigSource, right: BigSource): Big | undefined;
    eq(left: BigSource, right: BigSource): boolean;
    ge(left: BigSource, right: BigSource): boolean;
    gt(left: BigSource, right: BigSource): boolean;
    le(left: BigSource, right: BigSource): boolean;
    lt(left: BigSource, right: BigSource): boolean;
    minus(argument: BigSource): unknown;
    multiply(left: BigSource, right: BigSource): unknown;
    not(left?: boolean): boolean | undefined;
    noteq(left: BigSource, right: BigSource): boolean;
    or(left: boolean | undefined, right: boolean | undefined): boolean | undefined;
    round(value: BigSource, fractionDigits?: number): Big | undefined;
    floor(value: BigSource): Big | undefined;
    getYear(value: string): number | undefined;
    dateTime(value: string): Date | undefined;
    sum(left: BigSource, right: BigSource): Big | undefined;
    abs(argument: BigSource): Big | undefined;
    xabs(argument: BigSource): Big | undefined;
    length(argument: string | undefined | null): number | undefined;
    exists(valueSelector: (path: string) => unknown, path: string): boolean | undefined;
    isSnils(valueSelector: ValueSelector, path: string): boolean | undefined;
    isRegNumSfr(valueSelector: ValueSelector, path: string): boolean | undefined;
    isInn(valueSelector: ValueSelector, path: string): boolean | undefined;
    isOgrn(valueSelector: ValueSelector, path: string): boolean | undefined;
    isValidAccountNumber(valueSelector: ValueSelector, bik: string, account: string): boolean | undefined;
    isValidMirCardNumber(valueSelector: ValueSelector, path: string): boolean | undefined;
    convertToDecimal(argument: BigSource | string | undefined): Big | undefined;
    convertToString(argument: BigSource | undefined | null): string | undefined;
    regexMatch(pattern: string | undefined, value: string | undefined): boolean | undefined;
    oneof(values: Array<string | number | Big>, value: string | number | Big): boolean | undefined;
    substring(str: string | undefined, start: number | undefined, length: number | undefined): string | undefined;
    dateNow(): string | undefined;
}
export {};
