import { ViewModelFieldName } from "../../Engine/src/Engine/Core/CoreTypes";
import { EachCurrentCollision } from "./EachCurrentCollision";
import { IEquatable } from "./IEquatable";
import { AbsoluteModelPath, PathToken } from "./ModelPath";
export type ViewModelFieldNameWithCustomFields = ViewModelFieldName | "$errorCount" | "$warningCount" | "";
export declare class AbsoluteModelFieldPath implements IEquatable<AbsoluteModelFieldPath> {
    private static readonly extraFieldNames;
    private static readonly fieldExtractRegex;
    readonly path: AbsoluteModelPath;
    readonly field: ViewModelFieldNameWithCustomFields;
    constructor(path: AbsoluteModelPath, fieldName: ViewModelFieldNameWithCustomFields);
    getHash(): number;
    isEquals(modelPath: AbsoluteModelFieldPath, eachCurrentCollision?: EachCurrentCollision): boolean;
    static createFromString(pathWithFieldName: string, defaultFieldName?: ViewModelFieldNameWithCustomFields): AbsoluteModelFieldPath;
    static createFromMask(pathWithFieldName: string, multiplicitySymbol: PathToken, defaultFieldName?: ViewModelFieldNameWithCustomFields): AbsoluteModelFieldPath;
    private static createFrom;
    toString(includeLeadingSlash?: boolean): string;
    toLegacyPath(): string;
}
