import { IEquatable } from "../IEquatable";
export declare class Map2<K extends IEquatable<K>, V> {
    private readonly hashMap;
    constructor(iterable?: Iterable<readonly [K, V]>);
    set(key: K, value: V): void;
    getOrSet(key: K, defaultValueFactory: () => V): V;
    get(key: K): V | undefined;
    has(key: K): boolean;
    remove(key: K): boolean;
    get isEmpty(): boolean;
    /**
     * Обновляет значение в словаре по ключю, если значения нет -- устнавит новое
     * @param key ключ словаря для робновления
     * @param newValueFactory Если значения нет -- будет установлен результат этой функции
     * @param updateValueFactory Если значение есть -- будет установлен результат этой функции
     */
    setOrUpdate(key: K, newValueFactory: (key: K) => V, updateValueFactory: (key: K, update: V) => V): V;
    keys(): Iterable<K>;
    values(): Iterable<V>;
    entries(): Iterable<[key: K, value: V]>;
    clear(): void;
    protected getKeyHash(key: K): number;
    protected areKeyEqual(left: K, right: K): boolean;
    private getEntryOrUndefined;
}
