import { ModelPath, PathToken } from "./ModelPath";
export type PathMatching = PathMatchingPart[];
export type PathMatchingPart = {
    kind: MatchKind.MatchedPath;
    prefix: ModelPath;
} | {
    kind: MatchKind.DifferentSuffix;
    source: ModelPath | undefined;
    target: ModelPath | undefined;
} | {
    kind: MatchKind.MatchedMultiplicity;
    source: PathToken;
    target: PathToken;
};
export declare enum MatchKind {
    MatchedPath = "MatchedPath",
    DifferentSuffix = "DifferentSuffix",
    MatchedMultiplicity = "MatchedMultiplicity"
}
export declare class PathMatcher {
    static match(leftParts: readonly PathToken[], rightParts: readonly PathToken[]): PathMatching;
}
