"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbsoluteResolvedModelPathSet = void 0;
const EachCurrentCollision_1 = require("../EachCurrentCollision");
const Set2_1 = require("./Set2");
class AbsoluteResolvedModelPathSet extends Set2_1.Set2 {
    eachCurrentCollision;
    constructor(eachCurrentCollision = EachCurrentCollision_1.EachCurrentCollision.AreSame) {
        super();
        this.eachCurrentCollision = eachCurrentCollision;
    }
    static *unique(paths) {
        const set = new AbsoluteResolvedModelPathSet();
        for (const path of paths) {
            if (set.add(path)) {
                yield path;
            }
        }
    }
    areItemsEqual(left, right) {
        return left.isEquals(right, this.eachCurrentCollision);
    }
    getItemHash(key) {
        return key.getHash(this.eachCurrentCollision);
    }
}
exports.AbsoluteResolvedModelPathSet = AbsoluteResolvedModelPathSet;
