"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Set2 = void 0;
class Set2 {
    hashMap = new Map();
    constructor(source) {
        if (source != undefined) {
            for (const sourceElement of source) {
                this.add(sourceElement);
            }
        }
    }
    add(path) {
        const hash = this.getItemHash(path);
        const list = this.hashMap.get(hash);
        if (list == undefined) {
            this.hashMap.set(hash, [path]);
            return true;
        }
        else {
            if (list.find(x => this.areItemsEqual(x, path)) == undefined) {
                list.push(path);
                return true;
            }
        }
        return false;
    }
    remove(path) {
        const hash = this.getItemHash(path);
        const list = this.hashMap.get(hash);
        if (list != undefined) {
            this.hashMap.set(hash, list.filter(x => !this.areItemsEqual(x, path)));
        }
    }
    has(path) {
        const hash = this.getItemHash(path);
        return this.hashMap.get(hash)?.find(x => this.areItemsEqual(x, path)) != undefined;
    }
    isEmpty() {
        return this.hashMap.size === 0;
    }
    values() {
        return Iterator.from(this.hashMap.values()).flatMap(x => x);
    }
    clear() {
        this.hashMap.clear();
    }
    getItemHash(key) {
        return key.getHash();
    }
    areItemsEqual(left, right) {
        return left.isEquals(right);
    }
}
exports.Set2 = Set2;
