import { Fetch } from "../HttpClient/FetchImplementation/Fetch";
import { AuthenticationMode } from "../HttpClient/AuthenticationMode";
import { ExceptionLogger } from "../HttpClient/HttpClient";
import { INidusClient, NidusEntry, NidusEntryData, NidusEntryId, NidusName, NidusReferenceKey, NidusSearchResponse } from "./INidusClient";
export declare class NidusClientImpl implements INidusClient {
    private readonly httpClient;
    private readonly client;
    constructor(fetchImpl: Fetch, baseUrl: string, authentication?: AuthenticationMode, exceptionLogger?: ExceptionLogger);
    batchInsert(nidusName: NidusName, key: NidusReferenceKey, objects: NidusEntry[]): Promise<void>;
    delete(nidusName: NidusName, key: NidusReferenceKey, objectId: NidusEntryId): Promise<void>;
    insert(nidusName: NidusName, key: NidusReferenceKey, obj: NidusEntryData): Promise<NidusEntry>;
    private static nativeEntryToEntry;
    search(nidusName: NidusName, key: NidusReferenceKey, searchValue: string | null | undefined): Promise<NidusSearchResponse>;
    searchMinitour(nidusName: NidusName, key: NidusReferenceKey, searchValue: string | null | undefined): Promise<NidusSearchResponse>;
    update(nidusName: NidusName, key: NidusReferenceKey, objectId: NidusEntryId, obj: NidusEntryData): Promise<void>;
}
