"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.NidusClientImpl = void 0;
const nidus = __importStar(require("nidus"));
const TypingUtils_1 = require("../TypingUtils");
const AuthenticationMode_1 = require("../HttpClient/AuthenticationMode");
const HttpClient_1 = require("../HttpClient/HttpClient");
const INidusClient_1 = require("./INidusClient");
class NidusClientImpl {
    httpClient;
    client;
    constructor(fetchImpl, baseUrl, authentication, exceptionLogger) {
        this.httpClient = new HttpClient_1.HttpClient(fetchImpl, baseUrl, (0, AuthenticationMode_1.createAuthenticationProvider)(authentication), undefined, exceptionLogger);
        this.client = new nidus.NidusClient("", { fetch: this.httpClient.createFetchImpl() });
    }
    batchInsert(nidusName, key, objects) {
        return Promise.resolve(undefined);
    }
    async delete(nidusName, key, objectId) {
        await this.client.delete(nidusName, key, objectId);
    }
    async insert(nidusName, key, obj) {
        const nativeEntry = await this.client.insert(nidusName, key, obj);
        return NidusClientImpl.nativeEntryToEntry(nativeEntry);
    }
    static nativeEntryToEntry(nativeEntry) {
        return {
            id: (0, INidusClient_1.parseEntryId)(nativeEntry.id ?? (0, TypingUtils_1.reject)("Nidus entry id does not contain id")),
            data: nativeEntry.data ?? {},
        };
    }
    async search(nidusName, key, searchValue) {
        const result = await this.httpClient
            .get(`/nidus/${nidusName}/search`)
            .withQueryParams({ key: key, searchValue: searchValue })
            .json();
        return {
            items: result.items.map(NidusClientImpl.nativeEntryToEntry),
            totalSuitableCount: result.totalSuitableCount,
        };
    }
    async searchMinitour(nidusName, key, searchValue) {
        const result = await this.httpClient
            .get(`/nidus/${nidusName}/searchMinitour`)
            .withQueryParams({ key: key, searchValue: searchValue })
            .json();
        return {
            items: result.items.map(NidusClientImpl.nativeEntryToEntry),
            totalSuitableCount: result.totalSuitableCount,
        };
    }
    async update(nidusName, key, objectId, obj) {
        await this.client.update(nidusName, key, objectId, obj);
    }
}
exports.NidusClientImpl = NidusClientImpl;
