"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringArrayKey = void 0;
const hashUtils_1 = require("./hashUtils");
class StringArrayKey {
    items;
    cachedHash;
    constructor(items) {
        this.items = items;
    }
    getHash() {
        return (this.cachedHash ??
            (this.cachedHash = this.items.reduce((acc, current) => acc + (0, hashUtils_1.getSimpleHashByString)(current), 0)));
    }
    isEquals(right) {
        if (this.items.length != right.items.length) {
            return false;
        }
        return this.items.every((item, index) => item === right.items[index]);
    }
}
exports.StringArrayKey = StringArrayKey;
