"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHtmlElementOrNull = toHtmlElementOrNull;
exports.iterateOverHTMLCollection = iterateOverHTMLCollection;
exports.isElementInViewPort = isElementInViewPort;
function toHtmlElementOrNull(element) {
    if (element instanceof HTMLElement) {
        return element;
    }
    return null;
}
function* iterateOverHTMLCollection(collection) {
    // eslint-disable-next-line @typescript-eslint/prefer-for-of
    for (let i = 0; i < collection.length; i++) {
        const item = collection[i];
        if (item != undefined) {
            yield item;
        }
    }
}
function isElementInViewPort(element) {
    const rect = element.getBoundingClientRect();
    return ((rect.top >= 0 && rect.top <= (window.innerHeight || document.documentElement.clientHeight)) ||
        (rect.bottom >= 0 && rect.bottom <= (window.innerHeight || document.documentElement.clientHeight)) ||
        (rect.top < 0 && rect.bottom > (window.innerHeight || document.documentElement.clientHeight)));
}
