import type { PopupPosition } from "@skbkontur/react-ui-tour";
import { ControlReference } from "../../../Engine/Core/ControlDispatcher/ControlReference";
import { CandyThunkAction } from "../../../Engine/Core/Store/CandyReduxTypes";
export interface Step {
    content: string | JSX.Element;
    control?: ControlReference;
    controlId?: string;
    group?: string[];
    header: string;
    id: string;
    isEnabled?: boolean;
    offset?: number;
    order?: number;
    positions: PopupPosition[];
    style?: "keweb";
    type?: string;
    width?: number;
}
export interface TourContext {
    getTourSteps: () => Step[];
    track: (x: string, d: Object) => void;
}
export interface Actions {
    onClose: () => void;
    onNext: () => void;
    onPrev: () => void;
    stepIndex: number;
    stepsCount: number;
}
export interface Data {
    get: (x: string) => any;
    remove: (x: string) => void;
    reset: () => void | Promise<void>;
    set: (x: string, y: any) => void;
}
export interface GroupActions {
    after: (data: Data) => CandyThunkAction<undefined | null | Promise<void>>;
    before: (data: Data) => CandyThunkAction<undefined | null | Promise<void>>;
}
export interface Events {
    [key: string]: GroupActions;
}
