import { Opaque } from "../../../../Helpers/TypingUtils";
import { CurrentInstanceContext } from "../../../Internals/ControlContexts/PathContexts/PushInstance";
export type SectionName = Opaque<string, "SectionName">;
export interface UnitId {
    pageId: string;
    instance?: string;
    parentInstances?: string[];
    instancesStack?: CurrentInstanceContext[];
}
export declare function unitWithoutInstance(unitId: UnitId): UnitId;
export declare function isUnitIdEquals(left: undefined | UnitId, right: undefined | UnitId): boolean;
export declare function sectionNameToUnitId(sectionName: SectionName): UnitId;
export declare function sectionNameToUnitIdForNavigation(sectionName: SectionName): UnitId;
export declare function getAllUnitIdInstances(unitId: UnitId): string[];
export declare function unitIdToLegacyUnitId(unitId: UnitId): string;
export declare function unitIdToLegacyUnitId(unitId: UnitId | undefined): string | undefined;
export declare function unitIdWithInstance(unitId: UnitId, instance?: string): UnitId;
export declare function createUnitId(id: string): UnitId;
export declare function createUnitId(id?: string): UnitId | undefined;
export declare function createUnitId(id: string, instance?: string): UnitId;
