"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.crossFitTableReducer = crossFitTableReducer;
const lodash_isequal_1 = __importDefault(require("lodash.isequal"));
const ColgroupHelpers_1 = require("../../../../Helpers/StateAccessors/ColgroupHelpers");
const crossFitTableActions_1 = require("./crossFitTableActions");
function increment(val) {
    return val + 1;
}
function decrement(val) {
    return val > 0 ? val - 1 : 0;
}
function crossFitTableReducer(state, action) {
    switch (action.type) {
        case crossFitTableActions_1.CrossFitTableActionType.SetColumnGrouping: {
            const { stickyTablePath, groupKey, isShowColumns } = action.payload;
            return (0, ColgroupHelpers_1.updateColumnGroupingGroupStates)(state, stickyTablePath, groupKey, isShowColumns ? increment : decrement, 0);
        }
        case crossFitTableActions_1.CrossFitTableActionType.SetHiddenColumnGrouping: {
            const { stickyTablePath, groupKey, isShowColumns } = action.payload;
            return (0, ColgroupHelpers_1.updateHiddenColgroupingGroupFilledCount)(state, stickyTablePath, groupKey, isShowColumns ? increment : decrement, 0);
        }
        case crossFitTableActions_1.CrossFitTableActionType.SetStateHiddenColumnGrouping: {
            const { stickyTablePath, groupKey, isShowColumns } = action.payload;
            return (0, ColgroupHelpers_1.setHiddenColgroupingGroupState)(state, stickyTablePath, groupKey, isShowColumns ? "show" : "hide");
        }
        case crossFitTableActions_1.CrossFitTableActionType.ColumnGroupingBatch: {
            let nextState = state;
            for (const batchItem of action.payload.events) {
                nextState = crossFitTableReducer(nextState, batchItem);
            }
            if ((0, lodash_isequal_1.default)(nextState, state)) {
                return state;
            }
            return nextState;
        }
        case crossFitTableActions_1.CrossFitTableActionType.SetLoading: {
            const { stickyTablePath, loading } = action.payload;
            return (0, ColgroupHelpers_1.setIsLoading)(state, stickyTablePath, loading);
        }
        default:
            return state;
    }
}
