"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.instanceNumberReducer = instanceNumberReducer;
const ReduxStateHelpers_1 = require("../../../../Helpers/ReduxStateHelpers");
const instanceNumberActions_1 = require("./instanceNumberActions");
function instanceNumberReducer(state, action) {
    switch (action.type) {
        case instanceNumberActions_1.InstanceNumberActionType.AddInstanceNumber: {
            const { bindingPath, instanceNumber } = action.payload;
            const newState = (0, ReduxStateHelpers_1.setIn)(state, ["instanceNumber", bindingPath], instanceNumber);
            return newState;
        }
        case instanceNumberActions_1.InstanceNumberActionType.RemoveInstanceNumber: {
            const { bindingPath } = action.payload;
            const newState = (0, ReduxStateHelpers_1.deleteIn)(state, ["instanceNumber"], bindingPath);
            return newState;
        }
        default: {
            return state;
        }
    }
}
