import { FilterExpression } from "../../../Helpers/FilterExpressions/FilterExpression";
export interface MultiLineFilter {
    filterSourceId: string;
    filterSourceInfo: FilterSourceInfo;
    expression: FilterExpression;
}
export type MultiLineFilters = MultiLineFilter[];
export declare enum FilterSourceInfoType {
    DateRange = 0,
    String = 1,
    Items = 2,
    PredefinedFilter = 3,
    DefaultFilter = 4
}
export interface FilterDateRangeSource {
    type: FilterSourceInfoType.DateRange;
    startDate: string;
    endDate: string;
}
export interface FilterStringSource {
    type: FilterSourceInfoType.String;
    value: string;
}
export interface FilterPredefinedFilterSource {
    type: FilterSourceInfoType.PredefinedFilter;
    selectItemId: string;
}
export interface FilterItemsSource {
    type: FilterSourceInfoType.Items;
    values: string[][];
}
export interface FilterDefaultSource {
    type: FilterSourceInfoType.DefaultFilter;
}
export type MultiLineDefaultFilterUnsubscribeFn = (() => void) | undefined;
type FilterSourceInfo = FilterDateRangeSource | FilterStringSource | FilterItemsSource | FilterPredefinedFilterSource | FilterDefaultSource;
export declare function getFilterBySourceId(filters: MultiLineFilters, id: string): MultiLineFilter | undefined;
export declare function getAllPathsFromExpression(expression: FilterExpression): string[];
export {};
