"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterSourceInfoType = void 0;
exports.getFilterBySourceId = getFilterBySourceId;
exports.getAllPathsFromExpression = getAllPathsFromExpression;
var FilterSourceInfoType;
(function (FilterSourceInfoType) {
    FilterSourceInfoType[FilterSourceInfoType["DateRange"] = 0] = "DateRange";
    FilterSourceInfoType[FilterSourceInfoType["String"] = 1] = "String";
    FilterSourceInfoType[FilterSourceInfoType["Items"] = 2] = "Items";
    FilterSourceInfoType[FilterSourceInfoType["PredefinedFilter"] = 3] = "PredefinedFilter";
    FilterSourceInfoType[FilterSourceInfoType["DefaultFilter"] = 4] = "DefaultFilter";
})(FilterSourceInfoType || (exports.FilterSourceInfoType = FilterSourceInfoType = {}));
function getFilterBySourceId(filters, id) {
    return filters.find(x => x.filterSourceId === id);
}
function getAllPathsFromExpression(expression) {
    const result = [];
    const targetKey = "dataPath";
    function extractPathRecursively(obj, currentPath) {
        if (Array.isArray(obj)) {
            obj.forEach((i, idx) => extractPathRecursively(i, `${currentPath}.${idx}`));
        }
        else if (typeof obj === "object") {
            Object.keys(obj).forEach(key => {
                if (key === targetKey) {
                    // @ts-ignore
                    result.push(obj[key]);
                }
                const path = `${currentPath ? currentPath + "." : ""}${key}`;
                // @ts-ignore
                return extractPathRecursively(obj[key], path);
            });
        }
    }
    extractPathRecursively(expression);
    return result;
}
