import * as React from "react";
import { ModelHunk } from "../../../Engine/Core/ModelStoring/ModelHunk";
import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
export type DataPasteCallback = (clipboardContent: DataTransfer, context: DataPasteContext) => DatePasteStatus;
export interface DataPasteContext {
    bindingPath: AbsoluteModelPath;
}
export declare const DataPasteContext: React.Context<DataPasteCallback>;
export type RegisterTableDataPasteFunction = (clipboardContent: string[][], context: DataPasteContext, columnIndex: number) => DatePasteStatus;
export declare enum DatePasteStatus {
    SuccessOne = 0,
    SuccessAll = 1,
    Failure = 2
}
export interface MultilineDataPasteContext {
    registerMultilinePasteFunc: (func: RegisterTableDataPasteFunction) => void;
}
export declare const MultilineDataPasteContext: React.Context<MultilineDataPasteContext>;
export interface TableDataPasteContext {
    registerRowDataPasteFunc: (func: RegisterTableDataPasteFunction, index: number) => void;
    fillMultiline: (bindingPath: AbsoluteModelPath, values: ModelHunk, newInstanceCount: number) => void;
    processTableDataPaste: (clipboardContent: DataTransfer, context: DataPasteContext, startIndex?: number, columnStartIndex?: number) => DatePasteStatus;
}
