"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tabInfosReducer = void 0;
const TabInfosActions_1 = require("./TabInfosActions");
const tabInfosReducer = (state, action) => {
    switch (action.type) {
        case TabInfosActions_1.TabInfosActionTypes.ChangeTab: {
            return {
                ...state,
                currentInstance: {
                    ...state.currentInstance,
                    [action.payload.bindingPath]: action.payload.instance,
                },
            };
        }
        case TabInfosActions_1.TabInfosActionTypes.SetCurrentTab: {
            return {
                ...state,
                currentTabInstanceIndex: {
                    ...state.currentInstance,
                    [action.payload.bindingPath]: action.payload.instance,
                },
            };
        }
        default:
            return state;
    }
};
exports.tabInfosReducer = tabInfosReducer;
