import { addressLevels, divisionType, FiasAddressFields, FiasCountry, FiasFlatRoom, FiasRegion, FiasStead } from "./Types/FiasTypes";
import { fiasConvertationMethods } from "./Utils/Convertations/Types";
export declare const maxItems = 6;
export declare const maxSteads = 3;
type RegionsType = Array<{
    region: FiasRegion;
}>;
export interface FiasClientInitOptions {
    division?: divisionType;
    maxItems?: number;
    addressLevel?: addressLevels;
}
export declare class FiasApi {
    private readonly baseUrl;
    private readonly maxItems;
    private readonly maxSteadsCount;
    private readonly division;
    private readonly addressLevel;
    private readonly searchSteads;
    constructor(formUrl: string, maxItemsCount: number, division: divisionType, addressLevel: addressLevels, searchSteads?: boolean, maxSteadsCount?: number);
    private setApiUrl;
    fetchSteadsByTextAndParentFiasId(text: string, parentFiasId: string): Promise<FiasStead[]>;
    fetchSuggestAddressesByText(text: string): Promise<FiasAddressFields[]>;
    fetchFullAddressesByFiasId(fiasId: string): Promise<FiasAddressFields>;
    fetchFlatByParentFiasId(parentFiasId: string, number: string): Promise<FiasFlatRoom>;
    fetchCountriesByName(countryName: string): Promise<FiasCountry[]>;
    fetchRegions(): Promise<RegionsType>;
    convertAbbreviation(value: string, helper?: fiasConvertationMethods): string;
    private extractSteadNumberFromText;
    private createAddressUrlByStringAddress;
    private createSteadUrlBySteadNumber;
    private createRegionsRequestUrl;
    private createFullAddressUrlByFiasId;
    private createFullAddressUrlToFetchFlat;
    private createFullAddressUrlToFetchCountry;
    private extractUniqAddresses;
    private prepareAddressBeforeRequest;
}
export {};
