"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFlatTypeLongName = getFlatTypeLongName;
exports.getFlatTypeShortName = getFlatTypeShortName;
exports.getFlatTypeObjectID = getFlatTypeObjectID;
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const Types_1 = require("../Types");
const FiasFlatTypes_1 = require("./FiasFlatTypes");
function getFlatTypeLongName(flatType) {
    const stringFlatType = flatType?.toString();
    const flatName = FiasFlatTypes_1.FiasFlatTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.long;
    if ((0, TypingUtils_1.isNullOrEmpty)(flatName)) {
        return undefined;
    }
    return flatName;
}
function getFlatTypeShortName(flatType) {
    const stringFlatType = flatType?.toString();
    const flatName = FiasFlatTypes_1.FiasFlatTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.short;
    if ((0, TypingUtils_1.isNullOrEmpty)(flatName)) {
        return undefined;
    }
    return flatName;
}
function getFlatTypeObjectID(roomType) {
    const stringFlatType = roomType?.toString();
    const roomName = FiasFlatTypes_1.FiasFlatTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.objectID;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
