"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHouseTypeLongName = getHouseTypeLongName;
exports.getHouseTypeShortName = getHouseTypeShortName;
exports.getHouseTypeObjectID = getHouseTypeObjectID;
const Types_1 = require("../Types");
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const HouseTypes_1 = require("./HouseTypes");
function getHouseTypeLongName(houseType) {
    const stringFlatType = houseType?.toString();
    const roomName = HouseTypes_1.FiasHouseTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.long;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
function getHouseTypeShortName(houseType) {
    const stringFlatType = houseType?.toString();
    const roomName = HouseTypes_1.FiasHouseTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.short;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
function getHouseTypeObjectID(houseType) {
    const stringFlatType = houseType?.toString();
    const roomName = HouseTypes_1.FiasHouseTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.objectID;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
