"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMunicipalDistrictTypeCode = getMunicipalDistrictTypeCode;
exports.getMunicipalDistrictTypeCodeWithFT = getMunicipalDistrictTypeCodeWithFT;
exports.getMunicipalDistrictTypeShortName = getMunicipalDistrictTypeShortName;
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const Types_1 = require("../Types");
const FiasMunicipalDistrictTypes_1 = require("./FiasMunicipalDistrictTypes");
function getMunicipalDistrictTypeCode(municipalDistrict) {
    const stringMunicipalDistrict = municipalDistrict?.toString();
    const FiasMunicipalDistrictTypesWithoutFT = [...FiasMunicipalDistrictTypes_1.FiasMunicipalDistrictTypes];
    FiasMunicipalDistrictTypesWithoutFT.pop();
    const municipalDistrictCode = FiasMunicipalDistrictTypesWithoutFT.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringMunicipalDistrict))?.fiasKey?.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(municipalDistrictCode)) {
        return undefined;
    }
    return municipalDistrictCode;
}
function getMunicipalDistrictTypeCodeWithFT(municipalDistrict) {
    const stringMunicipalDistrict = municipalDistrict?.toString();
    const municipalDistrictCode = FiasMunicipalDistrictTypes_1.FiasMunicipalDistrictTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringMunicipalDistrict))?.fiasKey?.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(municipalDistrictCode)) {
        return undefined;
    }
    return municipalDistrictCode;
}
function getMunicipalDistrictTypeShortName(municipalDistrict) {
    const stringMunicipalDistrict = municipalDistrict?.toString();
    const municipalDistrictName = FiasMunicipalDistrictTypes_1.FiasMunicipalDistrictTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringMunicipalDistrict))?.short.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(municipalDistrictName)) {
        return undefined;
    }
    return municipalDistrictName;
}
