"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertAbbreviationToFullName = convertAbbreviationToFullName;
exports.convertAbbreviationToShortName = convertAbbreviationToShortName;
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const FiasAbbreviations_1 = require("../../FiasAbbriviations/FiasAbbreviations");
function convertAbbreviationToFullName(name) {
    const stringName = name?.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(stringName)) {
        return undefined;
    }
    const fullAbbreviation = (0, FiasAbbreviations_1.getAbbreviationFullName)(stringName);
    if ((0, TypingUtils_1.isNotNullOrEmpty)(stringName)) {
        return fullAbbreviation;
    }
    return undefined;
}
function convertAbbreviationToShortName(name) {
    const stringName = name?.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(stringName)) {
        return undefined;
    }
    const fullAbbreviation = (0, FiasAbbreviations_1.getAbbreviationShortName)(stringName);
    if ((0, TypingUtils_1.isNotNullOrEmpty)(stringName)) {
        return fullAbbreviation;
    }
    return undefined;
}
