"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRegionByCode = getRegionByCode;
exports.getRegionNameByCode = getRegionNameByCode;
exports.extractRegionCode = extractRegionCode;
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
async function getRegionByCode(regionCode, apiClient) {
    const regions = await apiClient.fetchRegions();
    return regions.find(x => x.region.code?.substring(0, 2) === regionCode)?.region;
}
async function getRegionNameByCode(regionCode, apiClient) {
    if ((0, TypingUtils_1.isNullOrEmpty)(regionCode)) {
        return undefined;
    }
    const regions = await apiClient.fetchRegions();
    const region = regions.find(x => x.region.code?.substring(0, 2) === regionCode)?.region;
    if (region == undefined) {
        return undefined;
    }
    return `${region.name} ${region.abbreviation}`;
}
function extractRegionCode(regionCode) {
    if ((0, TypingUtils_1.isNullOrEmpty)(regionCode)) {
        return undefined;
    }
    return regionCode.substring(0, 2);
}
