"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRoomTypeLongName = getRoomTypeLongName;
exports.getRoomTypeShortName = getRoomTypeShortName;
const Types_1 = require("../Types");
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const RoomTypes_1 = require("./RoomTypes");
function getRoomTypeLongName(roomType) {
    const stringFlatType = roomType?.toString();
    const roomName = RoomTypes_1.FiasRoomTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.long;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
function getRoomTypeShortName(roomType) {
    const stringFlatType = roomType?.toString();
    const roomName = RoomTypes_1.FiasRoomTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringFlatType))?.short;
    if ((0, TypingUtils_1.isNullOrEmpty)(roomName)) {
        return undefined;
    }
    return roomName;
}
