"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fiasConvertationMethods = exports.fiasConvertationToShowMethods = void 0;
exports.isMatchAbbreviation = isMatchAbbreviation;
const TypingUtils_1 = require("../../../../../../../../Common/TypingUtils");
var fiasConvertationToShowMethods;
(function (fiasConvertationToShowMethods) {
    fiasConvertationToShowMethods["getRegionNameByCode"] = "getRegionNameByCode";
    fiasConvertationToShowMethods["getMunicipalDistrictTypeShortName"] = "getMunicipalDistrictTypeShortName";
    fiasConvertationToShowMethods["getUrbanSettlementTypeShortName"] = "getUrbanSettlementTypeShortName";
})(fiasConvertationToShowMethods || (exports.fiasConvertationToShowMethods = fiasConvertationToShowMethods = {}));
var fiasConvertationMethods;
(function (fiasConvertationMethods) {
    fiasConvertationMethods["getFlatTypeShortName"] = "getFlatTypeShortName";
    fiasConvertationMethods["getFlatTypeLongName"] = "getFlatTypeLongName";
    fiasConvertationMethods["getRoomTypeLongName"] = "getRoomTypeLongName";
    fiasConvertationMethods["getRoomTypeShortName"] = "getRoomTypeShortName";
    fiasConvertationMethods["getHouseTypeShortName"] = "getHouseTypeShortName";
    fiasConvertationMethods["getHouseTypeLongName"] = "getHouseTypeLongName";
    fiasConvertationMethods["getHouseTypeObjectID"] = "getHouseTypeObjectID";
    fiasConvertationMethods["getFlatTypeObjectID"] = "getFlatTypeObjectID";
    fiasConvertationMethods["getMunicipalDistrictTypeCode"] = "getMunicipalDistrictTypeCode";
    fiasConvertationMethods["getMunicipalDistrictTypeCodeWithFT"] = "getMunicipalDistrictTypeCodeWithFT";
    fiasConvertationMethods["getMunicipalDistrictTypeShortName"] = "getMunicipalDistrictTypeShortName";
    fiasConvertationMethods["extractRegionCode"] = "extractRegionCode";
    fiasConvertationMethods["extractOKTMO8Symbols"] = "extractOKTMO8Symbols";
    fiasConvertationMethods["getUrbanSettlementTypeCode"] = "getUrbanSettlementTypeCode";
    fiasConvertationMethods["getUrbanSettlementTypeShortName"] = "getUrbanSettlementTypeShortName";
    fiasConvertationMethods["convertAbbreviationToShortName"] = "convertAbbreviationToShortName";
    fiasConvertationMethods["convertAbbreviationToFullName"] = "convertAbbreviationToFullName";
})(fiasConvertationMethods || (exports.fiasConvertationMethods = fiasConvertationMethods = {}));
function isMatchAbbreviation(abbreviation, value) {
    if ((0, TypingUtils_1.isNullOrEmpty)(value)) {
        return false;
    }
    return (abbreviation.long === value ||
        abbreviation.short === value ||
        abbreviation.fiasKey === value ||
        abbreviation.engName === value);
}
