"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.acceptHelperConvertationToValue = acceptHelperConvertationToValue;
exports.acceptHelperConvertationToShow = acceptHelperConvertationToShow;
const TypingUtils_1 = require("../../../../../../../../Common/TypingUtils");
const House_1 = require("./House/House");
const Room_1 = require("./Room/Room");
const Flat_1 = require("./Flat/Flat");
const Types_1 = require("./Types");
const MunicipalDistrict_1 = require("./MunicipalDistrict/MunicipalDistrict");
const Region_1 = require("./Region/Region");
const UrbanSettlement_1 = require("./UrbanSettlement/UrbanSettlement");
const UrbanSettlement_2 = require("./Others/UrbanSettlement");
const OKTMO_1 = require("./OKTMO/OKTMO");
function acceptHelperConvertationToValue(value, helper) {
    if ((0, TypingUtils_1.isNullOrEmpty)(helper)) {
        return value;
    }
    switch (helper) {
        case Types_1.fiasConvertationMethods.getHouseTypeShortName:
            return (0, House_1.getHouseTypeShortName)(value);
        case Types_1.fiasConvertationMethods.getHouseTypeLongName:
            return (0, House_1.getHouseTypeLongName)(value);
        case Types_1.fiasConvertationMethods.getHouseTypeObjectID:
            return (0, House_1.getHouseTypeObjectID)(value);
        case Types_1.fiasConvertationMethods.getFlatTypeShortName:
            return (0, Flat_1.getFlatTypeShortName)(value);
        case Types_1.fiasConvertationMethods.getFlatTypeLongName:
            return (0, Flat_1.getFlatTypeLongName)(value);
        case Types_1.fiasConvertationMethods.getFlatTypeObjectID:
            return (0, Flat_1.getFlatTypeObjectID)(value);
        case Types_1.fiasConvertationMethods.getRoomTypeLongName:
            return (0, Room_1.getRoomTypeLongName)(value);
        case Types_1.fiasConvertationMethods.getRoomTypeShortName:
            return (0, Room_1.getRoomTypeShortName)(value);
        case Types_1.fiasConvertationMethods.getMunicipalDistrictTypeCodeWithFT:
            return (0, MunicipalDistrict_1.getMunicipalDistrictTypeCodeWithFT)(value);
        case Types_1.fiasConvertationMethods.getMunicipalDistrictTypeCode:
            return (0, MunicipalDistrict_1.getMunicipalDistrictTypeCode)(value);
        case Types_1.fiasConvertationMethods.getMunicipalDistrictTypeShortName:
            return (0, MunicipalDistrict_1.getMunicipalDistrictTypeShortName)(value);
        case Types_1.fiasConvertationMethods.extractRegionCode:
            return (0, Region_1.extractRegionCode)(value);
        case Types_1.fiasConvertationMethods.extractOKTMO8Symbols:
            return (0, OKTMO_1.extractOKTMO8Symbols)(value);
        case Types_1.fiasConvertationMethods.getUrbanSettlementTypeCode:
            return (0, UrbanSettlement_1.getUrbanSettlementTypeCode)(value);
        case Types_1.fiasConvertationMethods.getUrbanSettlementTypeShortName:
            return (0, UrbanSettlement_1.getUrbanSettlementTypeShortName)(value);
        case Types_1.fiasConvertationMethods.convertAbbreviationToFullName:
            return (0, UrbanSettlement_2.convertAbbreviationToFullName)(value);
        case Types_1.fiasConvertationMethods.convertAbbreviationToShortName:
            return (0, UrbanSettlement_2.convertAbbreviationToShortName)(value);
        default:
            return "";
    }
}
async function acceptHelperConvertationToShow(value, helper, apiClient) {
    if ((0, TypingUtils_1.isNullOrEmpty)(helper)) {
        return value;
    }
    switch (helper) {
        case Types_1.fiasConvertationToShowMethods.getRegionNameByCode:
            return await (0, Region_1.getRegionNameByCode)(value, apiClient);
        case Types_1.fiasConvertationToShowMethods.getMunicipalDistrictTypeShortName:
            return (0, MunicipalDistrict_1.getMunicipalDistrictTypeShortName)(value);
        case Types_1.fiasConvertationToShowMethods.getUrbanSettlementTypeShortName:
            return (0, UrbanSettlement_1.getUrbanSettlementTypeShortName)(value);
        default:
            return "";
    }
}
