"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFullAddressByFullName = exports.konturFiasAddressTypes = void 0;
exports.getAbbreviationFullName = getAbbreviationFullName;
exports.getAbbreviationShortName = getAbbreviationShortName;
exports.konturFiasAddressTypes = [
    { code: "5", level: "Region", fullName: "Автономная область", shortName: "Аобл" },
    { code: "2", level: "Region", fullName: "Автономная область", shortName: "а.обл." },
    { code: "4", level: "Region", fullName: "Автономный округ", shortName: "АО" },
    { code: "3", level: "Region", fullName: "Автономный округ", shortName: "а.окр." },
    { code: "7", level: "Region", fullName: "Город", shortName: "г." },
    { code: "6", level: "Region", fullName: "Город", shortName: "г" },
    { code: "8", level: "Region", fullName: "Город федерального значения", shortName: "г.ф.з." },
    { code: "9", level: "Region", fullName: "Край", shortName: "край" },
    { code: "10", level: "Region", fullName: "Область", shortName: "обл" },
    { code: "11", level: "Region", fullName: "Область", shortName: "обл." },
    { code: "12", level: "Region", fullName: "Округ", shortName: "округ" },
    { code: "14", level: "Region", fullName: "Республика", shortName: "респ." },
    { code: "13", level: "Region", fullName: "Республика", shortName: "Респ" },
    { code: "15", level: "Region", fullName: "Чувашия", shortName: "Чувашия" },
    { code: "17", level: "District", fullName: "Автономный округ", shortName: "АО" },
    { code: "18", level: "District", fullName: "Внутригородская территория", shortName: "вн.тер. г." },
    { code: "423", level: "District", fullName: "Город", shortName: "г" },
    { code: "19", level: "District", fullName: "Городской округ", shortName: "г.о." },
    { code: "20", level: "District", fullName: "Муниципальный район", shortName: "м.р-н" },
    { code: "21", level: "District", fullName: "Поселение", shortName: "п" },
    { code: "22", level: "District", fullName: "Поселение", shortName: "пос." },
    { code: "23", level: "District", fullName: "Район", shortName: "р-н" },
    { code: "24", level: "District", fullName: "Территория", shortName: "тер" },
    { code: "25", level: "District", fullName: "Улус", shortName: "у" },
    { code: "26", level: "District", fullName: "Улус", shortName: "у." },
    {
        code: "417",
        level: "MunicipalDistrict",
        fullName: "внутригородская территория (внутригородское муниципальное образование) города федерального значения",
        shortName: "вн.тер.г.",
    },
    { code: "414", level: "MunicipalDistrict", fullName: "Городской округ", shortName: "г.о." },
    { code: "422", level: "MunicipalDistrict", fullName: "Муниципальный округ", shortName: "м.о." },
    { code: "416", level: "MunicipalDistrict", fullName: "Муниципальный район", shortName: "м.р-н" },
    { code: "420", level: "UrbanSettlement", fullName: "внутригородской район", shortName: "вн.р-н" },
    { code: "419", level: "UrbanSettlement", fullName: "городское поселение", shortName: "г.п." },
    { code: "421", level: "UrbanSettlement", fullName: "межселенная территория", shortName: "межсел.тер." },
    { code: "418", level: "UrbanSettlement", fullName: "сельское поселение", shortName: "с.п." },
    { code: "27", level: "City", fullName: "Волость", shortName: "волость" },
    { code: "28", level: "City", fullName: "Город", shortName: "г" },
    { code: "29", level: "City", fullName: "Город", shortName: "г." },
    { code: "30", level: "City", fullName: "Дачный поселок", shortName: "дп" },
    { code: "31", level: "City", fullName: "Курортный поселок", shortName: "кп" },
    { code: "32", level: "City", fullName: "Массив", shortName: "массив" },
    { code: "33", level: "City", fullName: "Поселок", shortName: "п" },
    { code: "36", level: "City", fullName: "Поселок городского типа", shortName: "пгт." },
    { code: "35", level: "City", fullName: "Поселок городского типа", shortName: "пгт" },
    { code: "34", level: "City", fullName: "Почтовое отделение", shortName: "п/о" },
    { code: "37", level: "City", fullName: "Рабочий поселок", shortName: "рп" },
    { code: "38", level: "City", fullName: "Сельская администрация", shortName: "с/а" },
    { code: "40", level: "City", fullName: "Сельский округ", shortName: "с/о" },
    { code: "39", level: "City", fullName: "Сельское муницип.образование", shortName: "с/мо" },
    { code: "41", level: "City", fullName: "Сельское поселение", shortName: "с/п" },
    { code: "42", level: "City", fullName: "Сельсовет", shortName: "с/с" },
    { code: "43", level: "City", fullName: "Территория", shortName: "тер" },
    { code: "46", level: "Settlement", fullName: "Аал", shortName: "аал" },
    { code: "47", level: "Settlement", fullName: "Автодорога", shortName: "автодорога" },
    { code: "48", level: "Settlement", fullName: "Арбан", shortName: "арбан" },
    { code: "49", level: "Settlement", fullName: "Аул", shortName: "аул" },
    { code: "50", level: "Settlement", fullName: "Волость", shortName: "волость" },
    { code: "51", level: "Settlement", fullName: "Выселки(ок)", shortName: "высел" },
    { code: "52", level: "Settlement", fullName: "Город", shortName: "г" },
    { code: "53", level: "Settlement", fullName: "Городок", shortName: "г-к" },
    { code: "54", level: "Settlement", fullName: "Городской поселок", shortName: "гп" },
    { code: "57", level: "Settlement", fullName: "Дачный поселок", shortName: "дп." },
    { code: "56", level: "Settlement", fullName: "Дачный поселок", shortName: "дп" },
    { code: "55", level: "Settlement", fullName: "Деревня", shortName: "д" },
    { code: "69", level: "Settlement", fullName: "ж/д останов. (обгонный) пункт", shortName: "ж/д_оп" },
    { code: "58", level: "Settlement", fullName: "Железнодорожная будка", shortName: "ж/д б-ка" },
    { code: "67", level: "Settlement", fullName: "Железнодорожная будка", shortName: "ж/д_будка" },
    { code: "60", level: "Settlement", fullName: "Железнодорожная ветка", shortName: "ж/д в-ка" },
    { code: "68", level: "Settlement", fullName: "Железнодорожная казарма", shortName: "ж/д_казарм" },
    { code: "61", level: "Settlement", fullName: "Железнодорожная казарма", shortName: "ж/д к-ма" },
    { code: "66", level: "Settlement", fullName: "Железнодорожная платформа", shortName: "ж/д пл-ма" },
    { code: "70", level: "Settlement", fullName: "Железнодорожная платформа", shortName: "ж/д_платф" },
    { code: "65", level: "Settlement", fullName: "Железнодорожная площадка", shortName: "ж/д пл-ка" },
    { code: "73", level: "Settlement", fullName: "Железнодорожная станция", shortName: "ж/д_ст" },
    { code: "59", level: "Settlement", fullName: "Железнодорожный блокпост", shortName: "ж/д бл-ст" },
    { code: "62", level: "Settlement", fullName: "Железнодорожный комбинат", shortName: "ж/д к-т" },
    { code: "63", level: "Settlement", fullName: "Железнодорожный остановочный пункт", shortName: "ж/д о.п." },
    { code: "71", level: "Settlement", fullName: "Железнодорожный пост", shortName: "ж/д_пост" },
    { code: "64", level: "Settlement", fullName: "Железнодорожный путевой пост", shortName: "ж/д п.п." },
    { code: "72", level: "Settlement", fullName: "Железнодорожный разъезд", shortName: "ж/д_рзд" },
    { code: "74", level: "Settlement", fullName: "Жилая зона", shortName: "жилзона" },
    { code: "75", level: "Settlement", fullName: "Жилой район", shortName: "жилрайон" },
    { code: "76", level: "Settlement", fullName: "Заимка", shortName: "заимка" },
    { code: "77", level: "Settlement", fullName: "Зимовье", shortName: "зим." },
    { code: "78", level: "Settlement", fullName: "Казарма", shortName: "казарма" },
    { code: "79", level: "Settlement", fullName: "Квартал", shortName: "кв-л" },
    { code: "80", level: "Settlement", fullName: "Кишлак", shortName: "киш." },
    { code: "81", level: "Settlement", fullName: "Кордон", shortName: "кордон" },
    { code: "82", level: "Settlement", fullName: "Курортный поселок", shortName: "кп" },
    { code: "83", level: "Settlement", fullName: "Леспромхоз", shortName: "лпх" },
    { code: "85", level: "Settlement", fullName: "Массив", shortName: "массив" },
    { code: "84", level: "Settlement", fullName: "Местечко", shortName: "м" },
    { code: "86", level: "Settlement", fullName: "Микрорайон", shortName: "мкр" },
    { code: "88", level: "Settlement", fullName: "Населенный пункт", shortName: "нп." },
    { code: "87", level: "Settlement", fullName: "Населенный пункт", shortName: "нп" },
    { code: "89", level: "Settlement", fullName: "Остров", shortName: "остров" },
    { code: "93", level: "Settlement", fullName: "Планировочный район", shortName: "пл.р-н" },
    { code: "97", level: "Settlement", fullName: "Погост", shortName: "погост" },
    { code: "90", level: "Settlement", fullName: "Поселок", shortName: "п" },
    { code: "95", level: "Settlement", fullName: "Поселок городского типа", shortName: "пгт" },
    { code: "96", level: "Settlement", fullName: "Поселок городского типа", shortName: "пгт." },
    { code: "94", level: "Settlement", fullName: "Поселок и(при) станция(и)", shortName: "п/ст" },
    { code: "91", level: "Settlement", fullName: "Поселок при железнодорожной станции", shortName: "п. ж/д ст." },
    { code: "425", level: "Settlement", fullName: "Поселок при станции (поселок станции)", shortName: "п. ст." },
    { code: "98", level: "Settlement", fullName: "Поселок разъезда", shortName: "пос.рзд" },
    { code: "99", level: "Settlement", fullName: "Починок", shortName: "починок" },
    { code: "92", level: "Settlement", fullName: "Почтовое отделение", shortName: "п/о" },
    { code: "100", level: "Settlement", fullName: "Промышленная зона", shortName: "промзона" },
    { code: "102", level: "Settlement", fullName: "Рабочий поселок", shortName: "рп" },
    { code: "101", level: "Settlement", fullName: "Разъезд", shortName: "рзд" },
    { code: "105", level: "Settlement", fullName: "Садовое неком-е товарищество", shortName: "снт" },
    { code: "103", level: "Settlement", fullName: "Село", shortName: "с" },
    { code: "107", level: "Settlement", fullName: "Сельский поселок", shortName: "сп." },
    { code: "106", level: "Settlement", fullName: "Сельский поселок", shortName: "сп" },
    { code: "104", level: "Settlement", fullName: "Слобода", shortName: "сл" },
    { code: "109", level: "Settlement", fullName: "Станица", shortName: "ст-ца" },
    { code: "108", level: "Settlement", fullName: "Станция", shortName: "ст" },
    { code: "110", level: "Settlement", fullName: "Территория", shortName: "тер" },
    { code: "111", level: "Settlement", fullName: "Улус", shortName: "у" },
    { code: "112", level: "Settlement", fullName: "Хутор", shortName: "х" },
    { code: "241", level: "PlanningStructure", fullName: "Аал", shortName: "аал" },
    { code: "240", level: "PlanningStructure", fullName: "Абонентский ящик", shortName: "а/я" },
    { code: "242", level: "PlanningStructure", fullName: "Аллея", shortName: "ал." },
    { code: "243", level: "PlanningStructure", fullName: "Арбан", shortName: "арбан" },
    { code: "244", level: "PlanningStructure", fullName: "Аул", shortName: "аул" },
    { code: "245", level: "PlanningStructure", fullName: "Берег", shortName: "б-г" },
    { code: "246", level: "PlanningStructure", fullName: "Бульвар", shortName: "б-р" },
    { code: "247", level: "PlanningStructure", fullName: "Вал", shortName: "вал" },
    { code: "248", level: "PlanningStructure", fullName: "Въезд", shortName: "взд." },
    { code: "250", level: "PlanningStructure", fullName: "Гаражно-строительный кооп.", shortName: "гск" },
    { code: "249", level: "PlanningStructure", fullName: "Городок", shortName: "г-к" },
    { code: "252", level: "PlanningStructure", fullName: "Дачное неком-е партнерство", shortName: "днп" },
    { code: "251", level: "PlanningStructure", fullName: "Деревня", shortName: "д." },
    { code: "253", level: "PlanningStructure", fullName: "Дорога", shortName: "дор." },
    { code: "254", level: "PlanningStructure", fullName: "Железнодорожная будка", shortName: "ж/д б-ка" },
    { code: "255", level: "PlanningStructure", fullName: "Железнодорожная казарма", shortName: "ж/д к-ма" },
    { code: "256", level: "PlanningStructure", fullName: "Железнодорожная платформа", shortName: "ж/д пл-ма" },
    { code: "258", level: "PlanningStructure", fullName: "Железнодорожная станция", shortName: "ж/д ст." },
    { code: "257", level: "PlanningStructure", fullName: "Железнодорожный разъезд", shortName: "ж/д рзд." },
    { code: "259", level: "PlanningStructure", fullName: "Жилой район", shortName: "ж/р" },
    { code: "260", level: "PlanningStructure", fullName: "Заезд", shortName: "ззд." },
    { code: "261", level: "PlanningStructure", fullName: "Зона (массив)", shortName: "зона" },
    { code: "262", level: "PlanningStructure", fullName: "Квартал", shortName: "кв-л" },
    { code: "263", level: "PlanningStructure", fullName: "Километр", shortName: "км" },
    { code: "265", level: "PlanningStructure", fullName: "Кольцо", shortName: "к-цо" },
    { code: "264", level: "PlanningStructure", fullName: "Коса", shortName: "коса" },
    { code: "266", level: "PlanningStructure", fullName: "Линия", shortName: "лн." },
    { code: "269", level: "PlanningStructure", fullName: "Местечко", shortName: "м-ко" },
    { code: "267", level: "PlanningStructure", fullName: "Местность", shortName: "местность" },
    { code: "268", level: "PlanningStructure", fullName: "Месторождение", shortName: "месторожд." },
    { code: "272", level: "PlanningStructure", fullName: "Месторождение", shortName: "мр." },
    { code: "271", level: "PlanningStructure", fullName: "Микрорайон", shortName: "мкр." },
    { code: "270", level: "PlanningStructure", fullName: "Микрорайон", shortName: "мкр" },
    { code: "274", level: "PlanningStructure", fullName: "Набережная", shortName: "наб." },
    { code: "273", level: "PlanningStructure", fullName: "Некоммерческое партнерство", shortName: "н/п" },
    { code: "275", level: "PlanningStructure", fullName: "Остров", shortName: "ост-в" },
    { code: "278", level: "PlanningStructure", fullName: "Парк", shortName: "парк" },
    { code: "280", level: "PlanningStructure", fullName: "Переезд", shortName: "пер-д" },
    { code: "279", level: "PlanningStructure", fullName: "Переулок", shortName: "пер." },
    { code: "283", level: "PlanningStructure", fullName: "Платформа", shortName: "платф." },
    { code: "284", level: "PlanningStructure", fullName: "Площадка", shortName: "пл-ка" },
    { code: "282", level: "PlanningStructure", fullName: "Площадь", shortName: "пл." },
    { code: "285", level: "PlanningStructure", fullName: "Порт", shortName: "порт" },
    { code: "276", level: "PlanningStructure", fullName: "Поселок", shortName: "п." },
    { code: "281", level: "PlanningStructure", fullName: "Починок", shortName: "п-к" },
    { code: "286", level: "PlanningStructure", fullName: "Проезд", shortName: "пр-д" },
    { code: "291", level: "PlanningStructure", fullName: "Промышленная зона", shortName: "промзона" },
    { code: "277", level: "PlanningStructure", fullName: "Промышленный район", shortName: "п/р" },
    { code: "287", level: "PlanningStructure", fullName: "Просек", shortName: "пр-к" },
    { code: "288", level: "PlanningStructure", fullName: "Просека", shortName: "пр-ка" },
    { code: "290", level: "PlanningStructure", fullName: "Проселок", shortName: "пр-лок" },
    { code: "289", level: "PlanningStructure", fullName: "Проспект", shortName: "пр-кт" },
    { code: "292", level: "PlanningStructure", fullName: "Проулок", shortName: "проул." },
    { code: "293", level: "PlanningStructure", fullName: "Разъезд", shortName: "рзд." },
    { code: "294", level: "PlanningStructure", fullName: "Район", shortName: "р-н" },
    { code: "296", level: "PlanningStructure", fullName: "Сад", shortName: "сад" },
    { code: "300", level: "PlanningStructure", fullName: "Садовое товарищество", shortName: "снт" },
    { code: "295", level: "PlanningStructure", fullName: "Село", shortName: "с." },
    { code: "298", level: "PlanningStructure", fullName: "Сквер", shortName: "сквер" },
    { code: "301", level: "PlanningStructure", fullName: "Сквер", shortName: "с-р" },
    { code: "299", level: "PlanningStructure", fullName: "Слобода", shortName: "сл." },
    { code: "297", level: "PlanningStructure", fullName: "Спуск", shortName: "с-к" },
    { code: "302", level: "PlanningStructure", fullName: "Станция", shortName: "ст." },
    { code: "303", level: "PlanningStructure", fullName: "Строение", shortName: "стр." },
    { code: "304", level: "PlanningStructure", fullName: "Территория", shortName: "тер" },
    { code: "305", level: "PlanningStructure", fullName: "Территория", shortName: "тер." },
    { code: "306", level: "PlanningStructure", fullName: "Территория ГСК", shortName: "тер. ГСК" },
    { code: "307", level: "PlanningStructure", fullName: "Территория ДНО", shortName: "тер. ДНО" },
    { code: "308", level: "PlanningStructure", fullName: "Территория ДНП", shortName: "тер. ДНП" },
    { code: "309", level: "PlanningStructure", fullName: "Территория ДНТ", shortName: "тер. ДНТ" },
    { code: "310", level: "PlanningStructure", fullName: "Территория ДПК", shortName: "тер. ДПК" },
    { code: "311", level: "PlanningStructure", fullName: "Территория ОНО", shortName: "тер. ОНО" },
    { code: "312", level: "PlanningStructure", fullName: "Территория ОНП", shortName: "тер. ОНП" },
    { code: "313", level: "PlanningStructure", fullName: "Территория ОНТ", shortName: "тер. ОНТ" },
    { code: "314", level: "PlanningStructure", fullName: "Территория ОПК", shortName: "тер. ОПК" },
    { code: "315", level: "PlanningStructure", fullName: "Территория ПК", shortName: "тер. ПК" },
    { code: "316", level: "PlanningStructure", fullName: "Территория СНО", shortName: "тер. СНО" },
    { code: "317", level: "PlanningStructure", fullName: "Территория СНП", shortName: "тер. СНП" },
    { code: "318", level: "PlanningStructure", fullName: "Территория СНТ", shortName: "тер. СНТ" },
    { code: "322", level: "PlanningStructure", fullName: "Территория СОСН", shortName: "тер.СОСН" },
    { code: "319", level: "PlanningStructure", fullName: "Территория СПК", shortName: "тер. СПК" },
    { code: "320", level: "PlanningStructure", fullName: "Территория ТСЖ", shortName: "тер. ТСЖ" },
    { code: "321", level: "PlanningStructure", fullName: "Территория ТСН", shortName: "тер. ТСН" },
    { code: "323", level: "PlanningStructure", fullName: "Территория ФХ", shortName: "тер.ф.х." },
    { code: "324", level: "PlanningStructure", fullName: "Тракт", shortName: "тракт" },
    { code: "325", level: "PlanningStructure", fullName: "Тупик", shortName: "туп." },
    { code: "326", level: "PlanningStructure", fullName: "Улица", shortName: "ул." },
    { code: "327", level: "PlanningStructure", fullName: "Усадьба", shortName: "ус." },
    { code: "328", level: "PlanningStructure", fullName: "Фермерское хозяйство", shortName: "ф/х" },
    { code: "329", level: "PlanningStructure", fullName: "Хутор", shortName: "х." },
    { code: "330", level: "PlanningStructure", fullName: "Шоссе", shortName: "ш." },
    { code: "331", level: "PlanningStructure", fullName: "Юрты", shortName: "ю." },
    { code: "113", level: "Street", fullName: "Абонентский ящик", shortName: "а/я" },
    { code: "114", level: "Street", fullName: "Аллея", shortName: "ал." },
    { code: "115", level: "Street", fullName: "Аллея", shortName: "аллея" },
    { code: "116", level: "Street", fullName: "Балка", shortName: "балка" },
    { code: "117", level: "Street", fullName: "Берег", shortName: "берег" },
    { code: "119", level: "Street", fullName: "Бугор", shortName: "бугор" },
    { code: "118", level: "Street", fullName: "Бульвар", shortName: "б-р" },
    { code: "120", level: "Street", fullName: "Вал", shortName: "вал" },
    { code: "121", level: "Street", fullName: "Взвоз", shortName: "взв." },
    { code: "122", level: "Street", fullName: "Въезд", shortName: "въезд" },
    { code: "124", level: "Street", fullName: "Гаражно-строительный кооп.", shortName: "гск" },
    { code: "123", level: "Street", fullName: "Городок", shortName: "г-к" },
    { code: "126", level: "Street", fullName: "Дачное неком-е партнерство", shortName: "днп" },
    { code: "125", level: "Street", fullName: "Деревня", shortName: "д" },
    { code: "127", level: "Street", fullName: "Дорога", shortName: "дор" },
    { code: "130", level: "Street", fullName: "ж/д останов. (обгонный) пункт", shortName: "ж/д_оп" },
    { code: "128", level: "Street", fullName: "Железнодорожная будка", shortName: "ж/д_будка" },
    { code: "129", level: "Street", fullName: "Железнодорожная казарма", shortName: "ж/д_казарм" },
    { code: "131", level: "Street", fullName: "Железнодорожная платформа", shortName: "ж/д_платф" },
    { code: "134", level: "Street", fullName: "Железнодорожная станция", shortName: "ж/д_ст" },
    { code: "132", level: "Street", fullName: "Железнодорожный пост", shortName: "ж/д_пост" },
    { code: "133", level: "Street", fullName: "Железнодорожный разъезд", shortName: "ж/д_рзд" },
    { code: "135", level: "Street", fullName: "Животноводческая точка", shortName: "жт" },
    { code: "136", level: "Street", fullName: "Заезд", shortName: "заезд" },
    { code: "137", level: "Street", fullName: "Заезд", shortName: "ззд." },
    { code: "138", level: "Street", fullName: "Зона", shortName: "зона" },
    { code: "139", level: "Street", fullName: "Казарма", shortName: "казарма" },
    { code: "140", level: "Street", fullName: "Квартал", shortName: "кв-л" },
    { code: "141", level: "Street", fullName: "Километр", shortName: "км" },
    { code: "142", level: "Street", fullName: "Кольцо", shortName: "кольцо" },
    { code: "144", level: "Street", fullName: "Кольцо", shortName: "к-цо" },
    { code: "143", level: "Street", fullName: "Коса", shortName: "коса" },
    { code: "146", level: "Street", fullName: "Линия", shortName: "лн." },
    { code: "145", level: "Street", fullName: "Линия", shortName: "линия" },
    { code: "149", level: "Street", fullName: "Магистраль", shortName: "мгстр." },
    { code: "148", level: "Street", fullName: "Маяк", shortName: "маяк" },
    { code: "147", level: "Street", fullName: "Местечко", shortName: "м" },
    { code: "150", level: "Street", fullName: "Местность", shortName: "местность" },
    { code: "151", level: "Street", fullName: "Микрорайон", shortName: "мкр" },
    { code: "152", level: "Street", fullName: "Мост", shortName: "мост" },
    { code: "154", level: "Street", fullName: "Набережная", shortName: "наб" },
    { code: "155", level: "Street", fullName: "Набережная", shortName: "наб." },
    { code: "156", level: "Street", fullName: "Населенный пункт", shortName: "нп" },
    { code: "153", level: "Street", fullName: "Некоммерческое партнерство", shortName: "н/п" },
    { code: "157", level: "Street", fullName: "Остров", shortName: "остров" },
    { code: "162", level: "Street", fullName: "Парк", shortName: "парк" },
    { code: "165", level: "Street", fullName: "Переезд", shortName: "пер-д" },
    { code: "166", level: "Street", fullName: "Переезд", shortName: "переезд" },
    { code: "163", level: "Street", fullName: "Переулок", shortName: "пер" },
    { code: "164", level: "Street", fullName: "Переулок", shortName: "пер." },
    { code: "160", level: "Street", fullName: "Планировочный район", shortName: "пл.р-н" },
    { code: "168", level: "Street", fullName: "Платформа", shortName: "платф" },
    { code: "169", level: "Street", fullName: "Площадка", shortName: "пл-ка" },
    { code: "167", level: "Street", fullName: "Площадь", shortName: "пл" },
    { code: "170", level: "Street", fullName: "Полустанок", shortName: "полустанок" },
    { code: "158", level: "Street", fullName: "Поселок", shortName: "п" },
    { code: "161", level: "Street", fullName: "Поселок и(при) станция(и)", shortName: "п/ст" },
    { code: "159", level: "Street", fullName: "Почтовое отделение", shortName: "п/о" },
    { code: "176", level: "Street", fullName: "Проезд", shortName: "проезд" },
    { code: "171", level: "Street", fullName: "Проезд", shortName: "пр-д" },
    { code: "177", level: "Street", fullName: "Промзона", shortName: "промзона" },
    { code: "172", level: "Street", fullName: "Просек", shortName: "пр-к" },
    { code: "178", level: "Street", fullName: "Просек", shortName: "просек" },
    { code: "173", level: "Street", fullName: "Просека", shortName: "пр-ка" },
    { code: "179", level: "Street", fullName: "Просека", shortName: "просека" },
    { code: "175", level: "Street", fullName: "Проселок", shortName: "пр-лок" },
    { code: "180", level: "Street", fullName: "Проселок", shortName: "проселок" },
    { code: "174", level: "Street", fullName: "Проспект", shortName: "пр-кт" },
    { code: "181", level: "Street", fullName: "Проулок", shortName: "проул." },
    { code: "182", level: "Street", fullName: "Проулок", shortName: "проулок" },
    { code: "184", level: "Street", fullName: "Разъезд", shortName: "рзд." },
    { code: "183", level: "Street", fullName: "Разъезд", shortName: "рзд" },
    { code: "185", level: "Street", fullName: "Ряд(ы)", shortName: "ряд" },
    { code: "186", level: "Street", fullName: "Ряды", shortName: "ряды" },
    { code: "189", level: "Street", fullName: "Сад", shortName: "сад" },
    { code: "194", level: "Street", fullName: "Садовое неком-е товарищество", shortName: "снт" },
    { code: "188", level: "Street", fullName: "Садовое товарищество", shortName: "с/т" },
    { code: "187", level: "Street", fullName: "Село", shortName: "с" },
    { code: "196", level: "Street", fullName: "Сквер", shortName: "с-р" },
    { code: "192", level: "Street", fullName: "Сквер", shortName: "сквер" },
    { code: "193", level: "Street", fullName: "Слобода", shortName: "сл" },
    { code: "195", level: "Street", fullName: "Спуск", shortName: "спуск" },
    { code: "191", level: "Street", fullName: "Спуск", shortName: "с-к" },
    { code: "197", level: "Street", fullName: "Станция", shortName: "ст" },
    { code: "198", level: "Street", fullName: "Строение", shortName: "стр" },
    { code: "190", level: "Street", fullName: "Съезд", shortName: "сзд." },
    { code: "199", level: "Street", fullName: "Территория", shortName: "тер" },
    { code: "200", level: "Street", fullName: "Территория ДНТ", shortName: "тер. ДНТ" },
    { code: "201", level: "Street", fullName: "Территория СНТ", shortName: "тер. СНТ" },
    { code: "202", level: "Street", fullName: "Тракт", shortName: "тракт" },
    { code: "203", level: "Street", fullName: "Тупик", shortName: "туп" },
    { code: "205", level: "Street", fullName: "Улица", shortName: "ул." },
    { code: "204", level: "Street", fullName: "Улица", shortName: "ул" },
    { code: "206", level: "Street", fullName: "Участок", shortName: "уч-к" },
    { code: "208", level: "Street", fullName: "Ферма", shortName: "ферма" },
    { code: "207", level: "Street", fullName: "Фермерское хозяйство", shortName: "ф/х" },
    { code: "209", level: "Street", fullName: "Хутор", shortName: "х" },
    { code: "210", level: "Street", fullName: "Шоссе", shortName: "ш" },
    { code: "211", level: "Street", fullName: "Шоссе", shortName: "ш." },
    { code: "332", level: "Stead", fullName: "Земельный участок", shortName: "з/у" },
    { code: "16", level: "AutonomousCounty", fullName: "Автономный округ", shortName: "АО" },
    { code: "44", level: "IntracityArea", fullName: "Район", shortName: "р-н" },
    { code: "45", level: "IntracityArea", fullName: "Территория", shortName: "тер" },
    { code: "333", level: "ExtraArea", fullName: "Гаражно-строительный кооп.", shortName: "гск" },
    { code: "334", level: "ExtraArea", fullName: "Дачное неком-е партнерство", shortName: "днп" },
    { code: "335", level: "ExtraArea", fullName: "Местность", shortName: "местность" },
    { code: "336", level: "ExtraArea", fullName: "Микрорайон", shortName: "мкр" },
    { code: "337", level: "ExtraArea", fullName: "Некоммерческое партнерство", shortName: "н/п" },
    { code: "338", level: "ExtraArea", fullName: "Промышленная зона", shortName: "промзона" },
    { code: "339", level: "ExtraArea", fullName: "Сад", shortName: "сад" },
    { code: "340", level: "ExtraArea", fullName: "Садовое товарищество", shortName: "снт" },
    { code: "341", level: "ExtraArea", fullName: "Территория", shortName: "тер" },
    { code: "342", level: "ExtraArea", fullName: "Фермерское хозяйство", shortName: "ф/х" },
    { code: "344", level: "ExtraAreaStreet", fullName: "Аал", shortName: "аал" },
    { code: "343", level: "ExtraAreaStreet", fullName: "Абонентский ящик", shortName: "а/я" },
    { code: "345", level: "ExtraAreaStreet", fullName: "Аллея", shortName: "аллея" },
    { code: "346", level: "ExtraAreaStreet", fullName: "Арбан", shortName: "арбан" },
    { code: "347", level: "ExtraAreaStreet", fullName: "Аул", shortName: "аул" },
    { code: "348", level: "ExtraAreaStreet", fullName: "Берег", shortName: "берег" },
    { code: "349", level: "ExtraAreaStreet", fullName: "Бульвар", shortName: "б-р" },
    { code: "350", level: "ExtraAreaStreet", fullName: "Вал", shortName: "вал" },
    { code: "351", level: "ExtraAreaStreet", fullName: "Въезд", shortName: "въезд" },
    { code: "352", level: "ExtraAreaStreet", fullName: "Выселки(ок)", shortName: "высел" },
    { code: "354", level: "ExtraAreaStreet", fullName: "Гаражно-строит-ный кооператив", shortName: "гск" },
    { code: "353", level: "ExtraAreaStreet", fullName: "Городок", shortName: "г-к" },
    { code: "355", level: "ExtraAreaStreet", fullName: "Деревня", shortName: "д" },
    { code: "356", level: "ExtraAreaStreet", fullName: "Дорога", shortName: "дор" },
    { code: "359", level: "ExtraAreaStreet", fullName: "ж/д останов. (обгонный) пункт", shortName: "ж/д_оп" },
    { code: "357", level: "ExtraAreaStreet", fullName: "Железнодорожная будка", shortName: "ж/д_будка" },
    { code: "358", level: "ExtraAreaStreet", fullName: "Железнодорожная казарма", shortName: "ж/д_казарм" },
    { code: "360", level: "ExtraAreaStreet", fullName: "Железнодорожная платформа", shortName: "ж/д_платф" },
    { code: "363", level: "ExtraAreaStreet", fullName: "Железнодорожная станция", shortName: "ж/д_ст" },
    { code: "361", level: "ExtraAreaStreet", fullName: "Железнодорожный пост", shortName: "ж/д_пост" },
    { code: "362", level: "ExtraAreaStreet", fullName: "Железнодорожный разъезд", shortName: "ж/д_рзд" },
    { code: "364", level: "ExtraAreaStreet", fullName: "Животноводческая точка", shortName: "жт" },
    { code: "365", level: "ExtraAreaStreet", fullName: "Заезд", shortName: "заезд" },
    { code: "366", level: "ExtraAreaStreet", fullName: "Зона", shortName: "зона" },
    { code: "367", level: "ExtraAreaStreet", fullName: "Казарма", shortName: "казарма" },
    { code: "368", level: "ExtraAreaStreet", fullName: "Квартал", shortName: "кв-л" },
    { code: "369", level: "ExtraAreaStreet", fullName: "Километр", shortName: "км" },
    { code: "370", level: "ExtraAreaStreet", fullName: "Кольцо", shortName: "кольцо" },
    { code: "371", level: "ExtraAreaStreet", fullName: "Коса", shortName: "коса" },
    { code: "372", level: "ExtraAreaStreet", fullName: "Линия", shortName: "линия" },
    { code: "373", level: "ExtraAreaStreet", fullName: "Местечко", shortName: "м" },
    { code: "374", level: "ExtraAreaStreet", fullName: "Микрорайон", shortName: "мкр" },
    { code: "375", level: "ExtraAreaStreet", fullName: "Мост", shortName: "мост" },
    { code: "376", level: "ExtraAreaStreet", fullName: "Набережная", shortName: "наб" },
    { code: "377", level: "ExtraAreaStreet", fullName: "Населенный пункт", shortName: "нп" },
    { code: "378", level: "ExtraAreaStreet", fullName: "Остров", shortName: "остров" },
    { code: "383", level: "ExtraAreaStreet", fullName: "Парк", shortName: "парк" },
    { code: "385", level: "ExtraAreaStreet", fullName: "Переезд", shortName: "переезд" },
    { code: "384", level: "ExtraAreaStreet", fullName: "Переулок", shortName: "пер" },
    { code: "381", level: "ExtraAreaStreet", fullName: "Планировочный район", shortName: "пл.р-н" },
    { code: "387", level: "ExtraAreaStreet", fullName: "Платформа", shortName: "платф" },
    { code: "388", level: "ExtraAreaStreet", fullName: "Площадка", shortName: "пл-ка" },
    { code: "386", level: "ExtraAreaStreet", fullName: "Площадь", shortName: "пл" },
    { code: "379", level: "ExtraAreaStreet", fullName: "Поселок", shortName: "п" },
    { code: "382", level: "ExtraAreaStreet", fullName: "Поселок и(при) станция(и)", shortName: "п/ст" },
    { code: "389", level: "ExtraAreaStreet", fullName: "Починок", shortName: "починок" },
    { code: "380", level: "ExtraAreaStreet", fullName: "Почтовое отделение", shortName: "п/о" },
    { code: "391", level: "ExtraAreaStreet", fullName: "Проезд", shortName: "проезд" },
    { code: "392", level: "ExtraAreaStreet", fullName: "Просек", shortName: "просек" },
    { code: "393", level: "ExtraAreaStreet", fullName: "Просека", shortName: "просека" },
    { code: "394", level: "ExtraAreaStreet", fullName: "Проселок", shortName: "проселок" },
    { code: "390", level: "ExtraAreaStreet", fullName: "Проспект", shortName: "пр-кт" },
    { code: "395", level: "ExtraAreaStreet", fullName: "Проулок", shortName: "проулок" },
    { code: "396", level: "ExtraAreaStreet", fullName: "Разъезд", shortName: "рзд" },
    { code: "397", level: "ExtraAreaStreet", fullName: "Ряды", shortName: "ряды" },
    { code: "399", level: "ExtraAreaStreet", fullName: "Сад", shortName: "сад" },
    { code: "402", level: "ExtraAreaStreet", fullName: "Садовое неком-е товарищество", shortName: "снт" },
    { code: "398", level: "ExtraAreaStreet", fullName: "Село", shortName: "с" },
    { code: "400", level: "ExtraAreaStreet", fullName: "Сквер", shortName: "сквер" },
    { code: "401", level: "ExtraAreaStreet", fullName: "Слобода", shortName: "сл" },
    { code: "403", level: "ExtraAreaStreet", fullName: "Спуск", shortName: "спуск" },
    { code: "404", level: "ExtraAreaStreet", fullName: "Станция", shortName: "ст" },
    { code: "405", level: "ExtraAreaStreet", fullName: "Строение", shortName: "стр" },
    { code: "406", level: "ExtraAreaStreet", fullName: "Территория", shortName: "тер" },
    { code: "407", level: "ExtraAreaStreet", fullName: "Тракт", shortName: "тракт" },
    { code: "408", level: "ExtraAreaStreet", fullName: "Тупик", shortName: "туп" },
    { code: "409", level: "ExtraAreaStreet", fullName: "Улица", shortName: "ул" },
    { code: "410", level: "ExtraAreaStreet", fullName: "Участок", shortName: "уч-к" },
    { code: "411", level: "ExtraAreaStreet", fullName: "Ферма", shortName: "ферма" },
    { code: "412", level: "ExtraAreaStreet", fullName: "Хутор", shortName: "х" },
    { code: "413", level: "ExtraAreaStreet", fullName: "Шоссе", shortName: "ш" },
    { code: "", level: "Room", fullName: "Квартира", shortName: "кв" },
    { code: "", level: "Room", fullName: "Помещение", shortName: "помещ." },
    { code: "", level: "Room", fullName: "Офис", shortName: "офис" },
    { code: "", level: "Room", fullName: "Комната", shortName: "ком" },
    { code: "", level: "Room", fullName: "Рабочий участок", shortName: "раб.уч." },
    { code: "", level: "Room", fullName: "Склад", shortName: "скл." },
    { code: "", level: "Room", fullName: "Торговый зал", shortName: "торг. зал" },
    { code: "", level: "Room", fullName: "Цех", shortName: "цех" },
    { code: "", level: "Room", fullName: "Павильон", shortName: "пав" },
    { code: "", level: "Room", fullName: "Подвал (машино-место)", shortName: "подв." },
    { code: "", level: "Room", fullName: "Котельная", shortName: "кот." },
    { code: "", level: "Room", fullName: "Погреб", shortName: "п-б" },
    { code: "", level: "Room", fullName: "Гараж", shortName: "г-ж" },
    { code: "227", level: "Room", fullName: "Машино-место", shortName: "м/м" },
    { code: "227", level: "CarPlace", fullName: "Машино-место", shortName: "м/м" },
];
const getFullAddressByFullName = (fullName) => exports.konturFiasAddressTypes.find(x => x.fullName === fullName);
exports.getFullAddressByFullName = getFullAddressByFullName;
function getAbbreviationFullName(abbreviationShortName) {
    return exports.konturFiasAddressTypes.find(x => x.shortName === abbreviationShortName || x.fullName === abbreviationShortName)?.fullName;
}
function getAbbreviationShortName(abbreviationShortName) {
    if (abbreviationShortName == undefined) {
        return undefined;
    }
    return exports.konturFiasAddressTypes.find(x => x.fullName === abbreviationShortName || x.shortName === abbreviationShortName)?.shortName;
}
