import { PopupPositionsType } from "react-ui";
import * as React from "react";
import { PicklistDataItem, PicklistQueryResponse } from "../../../../Engine/Core/Picklists/PicklistTypes";
import { DatePasteStatus } from "../../../MultiControls/MultiLine/TableDataPasteContext";
import { FilterBuilder, ResolveToAllFilter, ResolveToNoneFilter } from "../Common/FilterBuilder";
import { DigestQueryFilter } from "../../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
export type PicklistDisplayType = "button" | "group";
export interface BasePicklistSearchProps {
    searchByField: string;
    searchFields: {
        [x: string]: undefined | string;
    };
    fields: string[];
    filter?: (builder: FilterBuilder, none: ResolveToNoneFilter, all: ResolveToAllFilter) => null | undefined | FilterBuilder | ResolveToAllFilter | ResolveToNoneFilter;
    onQueryPicklist: (filter: DigestQueryFilter) => Promise<PicklistQueryResponse>;
    limit?: number;
}
export interface BasePicklistProps extends BasePicklistSearchProps {
    onChange: (value: string, picklistQueryResponse: PicklistQueryResponse) => void;
    query: (value?: string) => Promise<PicklistQueryResponse>;
    align?: "left" | "center" | "right";
    columnsWidth: number[];
    description?: string;
    empty: string;
    error?: string;
    headers?: string[];
    isTooltipEnabled?: boolean;
    narrowButton?: boolean;
    needDescription?: boolean;
    normativeHelp?: [] | [string, string];
    overwriteOnInit?: boolean;
    placeholder?: string;
    title: string;
    type: PicklistDisplayType;
    value: string;
    warning?: string;
    width?: string | number;
    multiple: boolean;
    partialHelpTip?: string;
    onModalOpen?: () => void;
    handleInputValueChange?: (value: string) => void;
    handleInputValueSave?: (value: string) => void;
    handleModalChange: (items: PicklistDataItem[]) => void;
    tooltipPosition?: PopupPositionsType;
    onPaste?: (event: React.ClipboardEvent<unknown>) => DatePasteStatus;
    footer?: React.ReactNode;
    descriptionInModal: string | React.ReactNode;
    hintFields?: string[];
    hintWidth?: number;
    isEnableCaseIndependentValidation?: boolean;
    disabled?: boolean;
    "data-tid"?: string;
}
