import { DigestFilter } from "../../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
export interface IFilterBuilder {
    readonly and: FilterBuilder;
    readonly or: FilterBuilder;
    column(name: string): void;
    eql(value: string): void;
    eqlMultiple(value: string): void;
    in(value: string[]): void;
    build(): DigestFilter | undefined;
}
export interface ResolveToNoneFilter {
    type: "ResolveToNoneFilter";
}
export declare const resolveToNoneFilter: ResolveToNoneFilter;
export interface ResolveToAllFilter {
    type: "ResolveToAllFilter";
}
export declare const resolveToAllFilter: ResolveToAllFilter;
export declare function isResolveToAllFilter(value: FilterBuilder | ResolveToAllFilter | ResolveToNoneFilter): value is ResolveToAllFilter;
export declare function isResolveToNoneFilter(value: FilterBuilder | ResolveToAllFilter | ResolveToNoneFilter): value is ResolveToNoneFilter;
export declare class FilterBuilder implements IFilterBuilder {
    private readonly output;
    private readonly stack;
    private tempColumnName;
    private tempValueOperand;
    constructor();
    column: (name: string) => this;
    eql: (value: string) => this;
    eqlMultiple: (value: string) => this;
    contains: (value: string) => this;
    includes: (value: string) => this;
    startWith: (value: string) => this;
    in: (value: string[]) => this;
    get and(): FilterBuilder;
    get or(): FilterBuilder;
    build(): DigestFilter | undefined;
    private buildFilter;
    private addOperandToStack;
    private clearTempDataOperand;
    private formFilterFromArray;
}
