import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../Common/ModelPath/ModelPath";
import { CrossFitTableAction } from "../../Controls/MultiControls/CrossfitTable/Store/crossFitTableActions";
import { BindingPath, ViewModelFieldName } from "../Core/CoreTypes";
import { IReadonlyModelHunk } from "../Core/ModelStoring/IReadonlyModelHunk";
import { ModelHunk } from "../Core/ModelStoring/ModelHunk";
import { ModelAction } from "../Core/ModelStoring/Store/modelActions";
import { CandyThunkAction } from "../Core/Store/CandyReduxTypes";
import { IFormModelAccessor } from "../Form/IFormModelAccessor";
import { MultiLineAction } from "../../Controls/MultiControls/MultiLine/Store/multiLineActions";
import { ModelChunk } from "../Core/ModelStoring/ModelChunk";
import { MultiLineFilter } from "../../Controls/MultiControls/MultiLine/MultiLineFilter";
import { FilterExpression } from "../../Helpers/FilterExpressions/FilterExpression";
import { SortDataType, SortType } from "../../Controls/MultiControls/MultiLine/MultiLineTypes";
export declare function removeMultilineField(bindingPath: AbsoluteResolvedModelPath, index: string): CandyThunkAction;
export declare function addMultilineField(bindingPath: AbsoluteResolvedModelPath): CandyThunkAction;
export declare function setValues(values: IReadonlyModelHunk, deleted: AbsoluteResolvedModelPath[]): ModelAction;
export declare function clearModel(): ModelAction;
export declare function setToModel(bindingPath: AbsoluteResolvedModelPath, field: ViewModelFieldName, value: unknown): CandyThunkAction;
export declare function setToModelBatch(modelUpdate: ModelHunk): CandyThunkAction;
export declare function getChildren(bindingPath: BindingPath | AbsoluteModelPath): CandyThunkAction<readonly string[]>;
export declare function setChildrenToModel(path: BindingPath, childValues: unknown[], field?: ViewModelFieldName): CandyThunkAction;
export declare function aggregatedSetToModel(bindingPath: AbsoluteModelPath | BindingPath, field: string, value: unknown): ModelAction;
export declare function copySubtree(form: IFormModelAccessor, sourceBindingPath: BindingPath | AbsoluteResolvedModelPath, targetBindingPath: BindingPath | AbsoluteResolvedModelPath, doNotCopyPaths?: string[]): void;
export declare function revalidateChildrenPaths(parentPath: AbsoluteModelPath): CandyThunkAction<Promise<void>>;
export declare function removeSingleAttachment(bindingPath: AbsoluteResolvedModelPath): CandyThunkAction;
export declare function setColGrouping(stickyTablePath: string, groupKey: undefined | string, isShowColumns: boolean, doNotThrottle?: boolean): CrossFitTableAction;
export declare function setHiddenColGrouping(stickyTablePath: string, groupKey: string, isShowColumns: boolean, doNotThrottle?: boolean): CrossFitTableAction;
export declare function setStateHiddenColGrouping(stickyTablePath: string, groupKey: string, isShowColumns: boolean): CrossFitTableAction;
export declare function setLoading(stickyTablePath: string, loading: boolean): CrossFitTableAction;
export declare function init(bindingPath: BindingPath | AbsoluteResolvedModelPath, currentPage: number, instancesPerPage: number, storeFiltersWithinSession: boolean, filteredUniqKey: string, enableFilterTracking: boolean, useShortDebounce: boolean, defaultFilter?: FilterExpression): CandyThunkAction;
export declare function detach(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string): CandyThunkAction;
export declare function setFilteredData(bindingPath: BindingPath | AbsoluteModelPath, filteredUniqKey: string, instances: string[], currentPage?: number): CandyThunkAction;
export declare function sort(stickyTablePath: string, multilinePath: string, dataPath: string, dataType: SortDataType, dataSave: boolean, value: SortType, filteredUniqKey: string): CandyThunkAction;
export declare function filter(stickyTablePath: string, multilinePath: string, multilineFilter: MultiLineFilter, filteredUniqKey: string): CandyThunkAction;
export declare function filterAll(): CandyThunkAction<Promise<void>>;
export declare function removeFilterAction(stickyTablePath: string, multilinePath: string, filterSourceId: string, filteredUniqKey: string): CandyThunkAction;
export declare function resetFilters(stickyTablePath: string, multilinePath: string, filteredUniqKey: string): CandyThunkAction;
export declare function setMultilineLoading(bindingPath: string, filteredUniqKey: string, loading: boolean): MultiLineAction;
export declare function goToPage(bindingPath: BindingPath | AbsoluteResolvedModelPath, page: number, filteredUniqKey: string): CandyThunkAction;
export declare function addInstance(bindingPath: AbsoluteResolvedModelPath | BindingPath, data?: ModelChunk, doNotCopyPaths?: string[], insertAfterInstance?: string, insertBeforeInstance?: string, filteredUniqKey?: string): CandyThunkAction<string>;
export declare function copyInstanceAction(bindingPath: BindingPath | AbsoluteResolvedModelPath, sourceInstance: string, doNotCopyPaths?: string[], insertAfterInstance?: string, filteredUniqKey?: string): CandyThunkAction;
export declare enum LastInstanceBehaviour {
    Remove = 0,
    Clear = 1
}
export declare function removeInstance(bindingPath: BindingPath | AbsoluteResolvedModelPath, instancesToRemove: string, lastInstanceBehaviour?: LastInstanceBehaviour, filteredUniqKey?: string): CandyThunkAction;
export declare function removeInstances(bindingPath: BindingPath | AbsoluteResolvedModelPath, instancesToRemove: readonly string[], lastInstanceBehaviour?: LastInstanceBehaviour, filteredUniqKey?: string): CandyThunkAction;
export declare function fillMultiline(bindingPath: BindingPath | AbsoluteResolvedModelPath, values: IReadonlyModelHunk, newInstanceCount: number, filteredUniqKey?: string): CandyThunkAction;
