import { BindingPath } from "../Core/CoreTypes";
import { ErrorLogAction } from "../Core/ErrorManager/Store/ErrorLogActions";
import { CandyThunkAction } from "../Core/Store/CandyReduxTypes";
import { ICandyComponentHandle } from "../Core/ComponentHandleRegistry/ICandyComponentHandle";
import { ErrorLog } from "../Core/ErrorManager/Utils/Models";
import { CandyPopdProtocol } from "../../../../Common/CandyApiClient/Types/ErrorLog/CandyPopdProtocol";
import { AttachmentErrorLog } from "../../../../Common/CandyApiClient/Types/ErrorLog/AttachmentErrorLog";
import { IPublicForm } from "../../Forms/PublicForm/IPublicForm";
export declare function changeErrorLogModelStateAction(modelChanged: boolean): ErrorLogAction;
export declare function requestErrorLog(): ErrorLogAction;
export declare function receivedErrorlog(errorLog: ErrorLog): ErrorLogAction;
export declare function requestFailed(): ErrorLogAction;
export declare function requestExpertErrorLog(): ErrorLogAction;
export declare function receivedExpertErrorlog(errorLog: ErrorLog): ErrorLogAction;
export declare function requestExpertErrorLogFailed(): ErrorLogAction;
export declare function requestPopdProtocol(): ErrorLogAction;
export declare function receivedPopdProtocol(errorLog: CandyPopdProtocol): ErrorLogAction;
export declare function requestPopdProtocolFailed(): ErrorLogAction;
export declare const checkByPopd: CandyThunkAction<Promise<void>>;
export declare const getExpertErrorLog: CandyThunkAction<Promise<void>>;
export declare const getErrorLog: CandyThunkAction<Promise<void>>;
export declare function setAttachmentErrorLog(attachmentErrorLog: AttachmentErrorLog): ErrorLogAction;
export declare function clearAttachmentErrorLog(): ErrorLogAction;
export declare function navigateInsideAttachment(attachmentPublicForm: IPublicForm, highlanderPath: string): CandyThunkAction<Promise<undefined | ICandyComponentHandle>>;
export declare function navigateToAttachment(attachmentId: string, highlanderPath: string): CandyThunkAction<Promise<undefined | ICandyComponentHandle>>;
export declare function navigateByBindingPathsOrHighlanderPathActionCreator(attachmentId?: string): CandyThunkAction<(paths: BindingPath[], highlanderPath?: string | null, errorItemId?: string) => Promise<undefined | ICandyComponentHandle>>;
