"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.savePanelStateToLocalStorage = savePanelStateToLocalStorage;
exports.getPanelStateToLocalStorage = getPanelStateToLocalStorage;
const storageKey = "Candy:PanelStates";
function savePanelStateToLocalStorage(draftId, panelState) {
    if (typeof localStorage == "undefined") {
        return;
    }
    try {
        const panelStates = JSON.parse(localStorage.getItem(storageKey) ?? "[]");
        const currentItem = panelStates.find(x => x[0] === `${draftId.ns}_${draftId.draftId}`);
        if (currentItem == undefined) {
            panelStates.push([`${draftId.ns}_${draftId.draftId}`, panelState]);
        }
        else {
            currentItem[1] = panelState;
        }
        if (panelStates.length > 5) {
            panelStates.unshift();
        }
        localStorage.setItem(storageKey, JSON.stringify(panelStates));
    }
    catch {
        // ignore errors
    }
}
function getPanelStateToLocalStorage(draftId) {
    try {
        const panelStates = JSON.parse(localStorage.getItem(storageKey) ?? "[]");
        return panelStates.find(x => x[0] === `${draftId.ns}_${draftId.draftId}`)?.[1];
    }
    catch {
        return undefined;
        // ignore errors
    }
}
