import { CandyThunkAction } from "../Core/Store/CandyReduxTypes";
import { SectionName, UnitId } from "../../Controls/FormParts/Unit/UnitId/UnitId";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../Common/ModelPath/ModelPath";
export declare enum ClearPageMethod {
    OnlyParent = "OnlyParent",
    ParentAndChildren = "ParentAndChildren"
}
export declare function addPageAction(unitType: SectionName): CandyThunkAction;
export declare function removePageAction(unitType: SectionName, bindingPath?: AbsoluteResolvedModelPath): CandyThunkAction;
export declare function clearPageAction(unitType: SectionName, bindingPath: AbsoluteResolvedModelPath | undefined, method: ClearPageMethod): CandyThunkAction;
export declare function addMultipleUnitInstanceAction(bindingPath: AbsoluteResolvedModelPath, unitId: UnitId, newIndex?: number): CandyThunkAction;
export declare function clearMultipleUnitInstanceAction(unitType: SectionName, bindingPath: AbsoluteResolvedModelPath, removingInstanceId: string, method: ClearPageMethod): CandyThunkAction;
export declare function removeMultipleUnitInstanceAction(bindingPath: AbsoluteResolvedModelPath, instance: string, unitId: UnitId, scrollToNearestInstance: boolean, operationName?: string): CandyThunkAction;
export declare function copyMultipleUnitInstanceAction(bindingPath: AbsoluteResolvedModelPath, sourceInstance: string, unitId: UnitId): CandyThunkAction<Promise<UnitId>>;
export declare function openModalUnitAction(helperContextualBindingPath: AbsoluteModelPath, unitId: UnitId, modalInstancePageId: string): CandyThunkAction;
export declare function closeModalUnitAction(unitId: UnitId): CandyThunkAction;
