export interface LoadTemplateRequest {
    guid: string;
    draftId: string;
    gfv: string;
}
export interface GetTemplatesRequest {
    gfv: string;
}
export interface RestoreTemplateRequest {
    templateName: string;
    guid: string;
    gfv: string;
}
export interface DeleteTemplateRequest {
    guid: string;
    gfv: string;
}
export interface SaveTemplateRequest {
    templateName: string;
    guid?: string;
    draftId: string;
    gfv: string;
}
export interface Template {
    guid: string;
    name: string;
}
export type Templates = Template[];
export interface ITemplatesApiClient {
    getTemplates(params: {
        gfv: string;
    }): Promise<Templates>;
    loadTemplate(params: LoadTemplateRequest): Promise<void>;
    renameTemplate(params: RestoreTemplateRequest): Promise<void>;
    deleteTemplate(params: DeleteTemplateRequest): Promise<void>;
    saveTemplate(params: SaveTemplateRequest): Promise<void>;
}
