import { ICalculationFunctionCallContext } from "../../Form/CustomizationContexts/CalculatorContext/CalculationFunctionCallContext";
import { ModelValue } from "../CoreTypes";
import { IOperandsGetter } from "./OperandsGetter";
export interface CalculationAction {
    base: string;
    fn: string;
    res?: string;
}
export type CalculationActions = CalculationAction[];
export interface CalculationHooks {
    [path: string]: undefined | CalculationActions;
}
export interface CalculationFunctions {
    [fnName: string]: CalculationFunction;
}
export type CalculationFunction = (this: ICalculationFunctionCallContext, operandsGetter: IOperandsGetter) => CalculationFunctionExecutionResult;
export type CalculationFunctionExecutionResult = CalculationResult[];
export type CalculationResult = [string, string, ModelValue];
