import { ICalculationFunctionCallContextProvider } from "../../Form/CustomizationContexts/CalculatorContext/ICalculationFunctionCallContextProvider";
import { BindingPath } from "../CoreTypes";
import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { IErrorManager } from "../ErrorManager/ErrorManager";
import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { IModel } from "../ModelStoring/Model";
import { Sections } from "../ModelStoring/Sections";
import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
import { CalculationFunctions, CalculationHooks } from "./CalculationResources";
export interface ICalculator {
    calculateAll(model: IModel, initEvents: readonly ModelEvent[]): void;
    getArgumentsPaths(model: IFormReadonlyModelAccessor, calcPath: BindingPath): string[];
    calculate(model: IModel, eventArgs: ModelEvent): void;
    loadFunctions(calculationHooks: CalculationHooks, calculationFunctions: CalculationFunctions): void;
}
export declare class Calculator implements ICalculator {
    private autocalcs;
    private autocalcHooks;
    private hooksMasks;
    private argsMasksCache;
    private readonly dataDeclarationHelper;
    private readonly calculationFunctionCallContextProvider;
    private readonly sections;
    private readonly errorManager;
    constructor(calculationFunctionCallContextProvider: ICalculationFunctionCallContextProvider, dataDeclarationHelper: DataDeclarationHelper, sections: Sections, errorManager: IErrorManager, calculationFunctions: CalculationFunctions, calculationHooks: CalculationHooks);
    loadFunctions(calculationHooks: CalculationHooks, calculationFunctions: CalculationFunctions): void;
    getArgumentsPaths(model: IFormReadonlyModelAccessor, calcPath: string): string[];
    calculateAll(model: IModel, initEvents: readonly ModelEvent[]): void;
    calculate(model: IModel, eventArgs: ModelEvent): void;
    private calculateEvents;
    private createHooksContextSeparated;
    private createHooksContext;
    private createHookExecutionContext;
    private createMaskToHookMap;
    private findMaskByEvent;
    private findAllMasksByEvents;
    private calculateHook;
    private getPathPartForMask;
    private executeHookFunctions;
    private getDependsOnMasks;
    private buildArgumentsByMaskMap;
    private processCalculationResult;
}
