import Big from "big.js";
import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
export interface ValuesResult {
    paths: string[];
    values: string[];
}
export type ArgMappingType = "sum" | "count";
export type OperandGettingResult = number | "" | Big | ValuesResult;
export interface IOperandsGetter {
    get(relativeOperandNodePath: string, valueName?: string, type?: ArgMappingType): OperandGettingResult;
}
export declare class OperandsGetter implements IOperandsGetter {
    private readonly model;
    private readonly declHelper;
    private readonly basePath;
    private readonly eventArgs?;
    constructor(model: IFormReadonlyModelAccessor, dataDeclarationHelper: DataDeclarationHelper, basePath: string, eventArgs?: ModelEvent);
    readonly get: (relativeOperandNodePath: string, valueName?: string, type?: ArgMappingType) => OperandGettingResult;
    private getValues;
    private getCount;
    private calculateCountIncremental;
    private calculateSumIncremental;
}
