import { CalculationFunctionBase } from "./AutoCalculations/CalculationFunctionBase";
import { CalculationFunctionDependency } from "./CalculationFunctionDependency";
import { CalculationTarget } from "./CalculationTarget";
import { IEvaluationContext } from "./IEvaluationContext";
import { LegacyValidationFunctionAdapter } from "./Validations/LegacyValidationFunctionAdapter";
import { ValidationFunction } from "./Validations/ValidationFunction";
interface ValidationFiunctionDebugInfo {
    valueValidators: string[];
    validationFunctions: string[];
}
export declare class AggregatedValidationFunction extends CalculationFunctionBase {
    private readonly validationFunctions;
    private readonly target;
    private dependencies?;
    constructor(target: CalculationTarget);
    asDebugString(): string;
    addValidationFunction(validationFunction: ValidationFunction | LegacyValidationFunctionAdapter): void;
    execute(context: IEvaluationContext): Promise<void>;
    getDependencies(): readonly CalculationFunctionDependency[];
    getTarget(): CalculationTarget;
    getValidationFunctionDebugInfo(): ValidationFiunctionDebugInfo;
    isDependsOn(modelPath: CalculationTarget): boolean;
    private buildDependencies;
}
export {};
