import { AbsoluteModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { CalculationFunctionDependency } from "../CalculationFunctionDependency";
import { CalculationTarget } from "../CalculationTarget";
import { IEvaluationContext } from "../IEvaluationContext";
import { CalculationFunctionBase } from "./CalculationFunctionBase";
type CalculationFunctionEvaluator = (evaluationContext: IEvaluationContext) => string | undefined;
export declare class CalculationFunction extends CalculationFunctionBase {
    private readonly calculationTarget;
    private readonly dependencies;
    private readonly evaluator;
    private readonly isDisabled;
    private readonly isAutoField;
    private readonly isOptional;
    constructor(targetPath: AbsoluteModelPath, dependenciesPaths: AbsoluteModelPath[], evaluator: CalculationFunctionEvaluator, isAutoField?: boolean | undefined, isDisabled?: boolean | undefined, isOptional?: boolean | undefined);
    getDependencies(): readonly CalculationFunctionDependency[];
    execute(context: IEvaluationContext): void;
    checkIfCalculationRequired(context: IEvaluationContext): boolean;
    isDependsOn(calculationTarget: CalculationTarget): boolean;
    getTarget(): CalculationTarget;
    asDebugString(): string;
}
export {};
