import { AbsoluteModelPath, ModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { CalculationFunctionDependency } from "../CalculationFunctionDependency";
import { CalculationTarget } from "../CalculationTarget";
import { CalculationFunctionExecutionPlan } from "../ExecutionPlan/CalculationFunctionExecutionPlan";
import { ICalculationFunction } from "../ICalculationFunction";
import { IEvaluationContext } from "../IEvaluationContext";
import { AddedInstancesInfo } from "../AddedInstancesInfo";
import { Map2 } from "../../../../../../Common/ModelPath/Map/Map2";
export declare abstract class CalculationFunctionBase implements ICalculationFunction {
    protected readonly targetPath: AbsoluteModelPath;
    protected pathIsOutsideDependenciesListCache: Map2<ModelPath, boolean>;
    protected hasDependencyOutsideTargetMultiplicityCache: boolean | undefined;
    protected constructor(targetPath: AbsoluteModelPath);
    abstract asDebugString(): string;
    getFullPlan(): CalculationFunctionExecutionPlan;
    getPlanForTarget(targetPath2: ModelPath, iterationData?: AddedInstancesInfo, sync?: boolean): CalculationFunctionExecutionPlan;
    pathIsOutsideDependenciesList(path: ModelPath): boolean;
    abstract execute(context: IEvaluationContext): void | Promise<void>;
    abstract getDependencies(): readonly CalculationFunctionDependency[];
    abstract getTarget(): CalculationTarget;
    abstract isDependsOn(modelPath: CalculationTarget): boolean;
}
