import { ICalculator2 } from "../Calculator2";
import { CalculationFunction } from "./CalculationFunction";
type ModelPathAsString = string;
export declare class CalculationsBuilder {
    private readonly calculationFunctionsBuilders;
    set(target: ModelPathAsString): CalculationFunctionBuilder;
    applyTo(calculator2: ICalculator2): void;
}
type TargetEvaluator = (injection: EvaluatorContext) => string | undefined;
export declare class CalculationFunctionBuilder {
    private readonly target;
    private readonly dependencies;
    private targetEvaluator?;
    constructor(target: ModelPathAsString);
    dependsOn(...dependencies: ModelPathAsString[]): CalculationFunctionBuilder;
    as(targetEvaluator: TargetEvaluator): CalculationFunctionBuilder;
    build(): CalculationFunction;
    private resolveModelPath;
}
interface EvaluatorContext {
    readonly get: (modelPath: ModelPathAsString) => string | undefined;
}
export {};
