"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalculationTarget = exports.CalculationTargetAttribute = void 0;
var CalculationTargetAttribute;
(function (CalculationTargetAttribute) {
    CalculationTargetAttribute[CalculationTargetAttribute["Value"] = 0] = "Value";
    CalculationTargetAttribute[CalculationTargetAttribute["Validation"] = 1] = "Validation";
})(CalculationTargetAttribute || (exports.CalculationTargetAttribute = CalculationTargetAttribute = {}));
class CalculationTarget {
    modelPath;
    targetAttribute;
    constructor(modelPath, targetAttribute) {
        this.modelPath = modelPath;
        this.targetAttribute = targetAttribute;
    }
    isEquals(target) {
        return this.modelPath.isEquals(target.modelPath) && this.targetAttribute === target.targetAttribute;
    }
    toString() {
        const targetAttributeAsString = this.targetAttribute === CalculationTargetAttribute.Validation ? "Validation" : "Value";
        return `${this.modelPath}:${targetAttributeAsString}`;
    }
    getHash() {
        return this.modelPath.getHash() ^ this.targetAttribute;
    }
}
exports.CalculationTarget = CalculationTarget;
