import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IErrorManager } from "../ErrorManager/ErrorManager";
import { IModel } from "../ModelStoring/Model";
import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { IPicklistsProvider } from "../Picklists/IPicklistsProvider";
import { IExternalPropertiesProvider } from "../../Form/IExternalPropertiesProvider";
import { IEvaluationContext } from "./IEvaluationContext";
import { IterationContext } from "./ModelPath/IterationContext";
import { IIgnoredPathChecker } from "./IIgnoredPathChecker";
export declare class EvaluationContext implements IEvaluationContext {
    readonly model: IModel;
    readonly relatedEvents: ModelEvent[];
    private readonly ignoredPathChecker;
    private readonly iterationContexts;
    private readonly errorManager;
    private readonly externalPropertiesProvider;
    private readonly picklistsProvider;
    constructor(model: IModel, errorManager: IErrorManager, relatedEvents: Iterable<ModelEvent>, ignoredPathChecker: IIgnoredPathChecker, picklistsProvider: IPicklistsProvider, externalPropertiesProvider: IExternalPropertiesProvider, iterationContexts?: readonly IterationContext[]);
    getPicklistProvider(): IPicklistsProvider;
    getExternalPropertiesProvider(): IExternalPropertiesProvider;
    set(pathParts: AbsoluteModelPath, value: string | undefined): void;
    resolvePath(targetPath: AbsoluteModelPath): AbsoluteModelPath;
    setError(targetPath: AbsoluteModelPath, error: string | undefined): void;
    setWarning(targetPath: AbsoluteModelPath, error: string | undefined): void;
    setAutoValue(targetPath: AbsoluteModelPath, value: string | undefined): void;
    get(modelPath: AbsoluteModelPath): string | undefined;
    getInstances(modelPath: AbsoluteModelPath): Iterable<string>;
    getInstanceCount(modelPath: AbsoluteModelPath): number;
    getAutoValue(modelPath: AbsoluteModelPath): string | undefined;
    getIgnoreAutoFlag(modelPath: AbsoluteModelPath): boolean;
    getAllResolvedValues(modelPath: AbsoluteModelPath): Iterable<undefined | string>;
    getAutoFlag(modelPath: AbsoluteModelPath): boolean | undefined;
    pushIterationContext(iterationContext: IterationContext): IEvaluationContext;
    popIterationContext(): IEvaluationContext;
    isIgnoredPath(targetPath: AbsoluteModelPath): boolean;
    private resolveIterationContexts;
    private resolveIterationContextsStrict;
}
