"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalculationFunctionExecutionPlan = void 0;
const IterableUtils_1 = require("../../../../../../Common/IterableUtils");
class CalculationFunctionExecutionPlan {
    steps = [];
    executable;
    constructor(executable) {
        this.executable = executable;
    }
    addStep(step) {
        this.steps.push(step);
    }
    execute(context) {
        let resultAction = (ctx) => this.executable.execute(ctx);
        for (const step of (0, IterableUtils_1.reverseArray)(this.steps)) {
            const stepExecutor = step.getStepExecutor();
            resultAction = stepExecutor(resultAction);
        }
        return resultAction(context);
    }
    toDebugString() {
        return Iterator.from(this.steps)
            .map(x => x.toDebugString())
            .reduce((x, y) => (x === "" ? y : x + ", " + y), "");
    }
}
exports.CalculationFunctionExecutionPlan = CalculationFunctionExecutionPlan;
