import { ModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { CalculationFunctionDependency } from "./CalculationFunctionDependency";
import { CalculationTarget } from "./CalculationTarget";
import { CalculationFunctionExecutionPlan } from "./ExecutionPlan/CalculationFunctionExecutionPlan";
import { IExecutable } from "./IExecutable";
import { AddedInstancesInfo } from "./AddedInstancesInfo";
export interface ICalculationFunction extends IExecutable {
    getDependencies(): readonly CalculationFunctionDependency[];
    getTarget(): CalculationTarget;
    isDependsOn(modelPath: CalculationTarget): boolean;
    getPlanForTarget(targetPath: ModelPath, iterationData?: AddedInstancesInfo, sync?: boolean): CalculationFunctionExecutionPlan;
    getFullPlan(): CalculationFunctionExecutionPlan;
    pathIsOutsideDependenciesList(path: ModelPath): boolean;
    asDebugString(): string;
}
