import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IExternalPropertiesProvider } from "../../Form/IExternalPropertiesProvider";
import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { IModel } from "../ModelStoring/Model";
import { IPicklistsProvider } from "../Picklists/IPicklistsProvider";
import { IterationContext } from "./ModelPath/IterationContext";
export interface IEvaluationContext {
    readonly model: IModel;
    readonly relatedEvents: ModelEvent[];
    getPicklistProvider(): IPicklistsProvider;
    getExternalPropertiesProvider(): IExternalPropertiesProvider;
    set(pathParts: AbsoluteModelPath, value: string | undefined): void;
    setAutoValue(targetPath: AbsoluteModelPath, evaluationResult: string | undefined): void;
    setError(targetPath: AbsoluteModelPath, error: string | undefined): void;
    setWarning(targetPath: AbsoluteModelPath, error: string | undefined): void;
    get(pathParts: AbsoluteModelPath): string | undefined;
    getAutoValue(pathParts: AbsoluteModelPath): string | undefined;
    getIgnoreAutoFlag(pathParts: AbsoluteModelPath): boolean;
    getInstances(pathParts: AbsoluteModelPath): Iterable<string>;
    getInstanceCount(pathParts: AbsoluteModelPath): number;
    getAllResolvedValues(modelPath: AbsoluteModelPath): Iterable<undefined | string>;
    getAutoFlag(targetPath: AbsoluteModelPath): boolean | undefined;
    resolvePath(targetPath: AbsoluteModelPath): AbsoluteModelPath;
    pushIterationContext(iterationContext: IterationContext): IEvaluationContext;
    popIterationContext(): IEvaluationContext;
    isIgnoredPath(targetPath: AbsoluteModelPath): boolean;
}
