"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IterationContext = void 0;
const IterableUtils_1 = require("../../../../../../Common/IterableUtils");
const ModelPath_1 = require("../../../../../../Common/ModelPath/ModelPath");
const PathMatcher_1 = require("../../../../../../Common/ModelPath/PathMatcher");
const ModelPathBuilder_1 = require("../../../../../../Common/ModelPath/ModelPathBuilder");
class IterationContext {
    pathToList;
    instance;
    constructor(pathToList, instance) {
        this.pathToList = pathToList.joinWith(ModelPath_1.PathTokens.each);
        this.instance = instance;
    }
    applyTo(modelPath) {
        const pathMatching = this.pathToList.matchFor(modelPath);
        const resultPath = new ModelPathBuilder_1.ModelPathBuilder(false);
        const lastMatchedMultiplicity = (0, IterableUtils_1.findLast)(pathMatching, x => x.kind === PathMatcher_1.MatchKind.MatchedMultiplicity);
        for (const match of pathMatching) {
            if (match.kind === PathMatcher_1.MatchKind.MatchedPath) {
                resultPath.append(match.prefix);
            }
            else if (match.kind === PathMatcher_1.MatchKind.MatchedMultiplicity) {
                if (match === lastMatchedMultiplicity) {
                    if (ModelPath_1.PathTokens.isMultiToken(match.target)) {
                        resultPath.append(this.instance);
                    }
                    else {
                        resultPath.append(match.target);
                    }
                }
                else {
                    resultPath.append(match.target);
                }
            }
            else {
                if (match.source != undefined) {
                    return modelPath;
                }
                if (match.target != undefined) {
                    resultPath.append(match.target);
                }
            }
        }
        // Тут получается так, что по другому никак
        // @ts-expect-error
        return resultPath.toPath();
    }
}
exports.IterationContext = IterationContext;
