"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KCCondition = void 0;
const KCExpressionRuntime_1 = require("../KCExpressionRuntime");
const ValidationFunction_1 = require("./ValidationFunction");
const IsPromise_1 = require("./IsPromise");
class KCCondition {
    static execute(context, kcConditionEvaluator, message, severity) {
        const expressionRuntime = new KCExpressionRuntime_1.KCExpressionRuntime(context);
        const evaluatorResult = kcConditionEvaluator(expressionRuntime);
        if ((0, IsPromise_1.isPromise)(evaluatorResult)) {
            return (async () => {
                const isValid = (await evaluatorResult) ?? false;
                if (isValid) {
                    return ValidationFunction_1.ValidationFunctionResults.Valid();
                }
                else {
                    return ValidationFunction_1.ValidationFunctionResults.Invalid(message(expressionRuntime) ?? "", severity);
                }
            })();
        }
        const isValid = evaluatorResult ?? false;
        if (isValid) {
            return ValidationFunction_1.ValidationFunctionResults.Valid();
        }
        else {
            return ValidationFunction_1.ValidationFunctionResults.Invalid(message(expressionRuntime) ?? "", severity);
        }
    }
}
exports.KCCondition = KCCondition;
