import { AbsoluteModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { ICustomValidationFunctionCallContextProvider } from "../../../Form/CustomizationContexts/ValidatorContext/ICustomValidationFunctionCallContextProvider";
import { IErrorManager } from "../../ErrorManager/ErrorManager";
import { Localization } from "../../Localization/Localization";
import { IPicklistsProvider } from "../../Picklists/IPicklistsProvider";
import { FormStore } from "../../Store/CandyStore";
import { LegacyValidationFunction } from "../../Validator/ValidatorResources";
import { IValueValidator } from "../../Validator/ValueValidators/Bases/IValueValidator";
import { CalculationFunctionBase } from "../AutoCalculations/CalculationFunctionBase";
import { CalculationFunctionDependency } from "../CalculationFunctionDependency";
import { CalculationTarget } from "../CalculationTarget";
import { IEvaluationContext } from "../IEvaluationContext";
export declare class LegacyValidationFunctionAdapter extends CalculationFunctionBase {
    private readonly calculationTarget;
    private readonly dependencies;
    private readonly validatorPathMask;
    private readonly enableLegacyValidators;
    private readonly customValidationFunctionCallContextProvider;
    private readonly getIsValidationsDisabled;
    private readonly localization;
    private readonly store;
    private readonly errorManager;
    private readonly picklistsProvider;
    private readonly validator;
    private readonly condition;
    constructor(validatorPathMask: string, validator: IValueValidator | LegacyValidationFunction, localization: Localization, store: FormStore, errorManager: IErrorManager, picklistsProvider: IPicklistsProvider, customValidationFunctionCallContextProvider: ICustomValidationFunctionCallContextProvider, enableLegacyValidators: boolean, getIsValidationsDisabled: () => boolean, deps: AbsoluteModelPath[] | undefined, condition: undefined | ((evaluationContext: IEvaluationContext) => boolean));
    asDebugString(): string;
    getDependencies(): readonly CalculationFunctionDependency[];
    isDependsOn(calculationTarget: CalculationTarget): boolean;
    getTarget(): CalculationTarget;
    execute(context: IEvaluationContext): Promise<void>;
    private executeValidatorOnlyForEngineApprovalTests;
}
