import { ICandyApiDraftClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
import { FormStore } from "../Store/CandyStore";
import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { IPublicForm } from "../../../Forms/PublicForm/IPublicForm";
import { IExternalEventManager } from "../EventManagement/ExternalEvents/ExternalEventManager";
import { ChangeSet } from "./ChangeSet";
import { ChangesCallback, IChangeSetManager, InnerChangingAction } from "./IChangeSetManager";
export interface SendChangeSetOptions {
    force?: boolean;
    operationName?: string;
}
export declare class ChangeSetManager implements IChangeSetManager {
    private readonly getStore;
    private readonly useServerSideCalculations;
    private readonly onConflictDetected;
    private readonly candyApiDraftClient;
    private readonly attachmentsPublicForms;
    private readonly externalEventManager;
    private readonly changeSetSendQueue;
    private readonly redefinedChangeSets;
    private readonly serverChangesCallbacks;
    private changeSet;
    private autosendIntervalHandler?;
    private processingRequest;
    private currentDataVersion;
    private isInConflictState;
    constructor(candyApiDraftClient: ICandyApiDraftClient, getStore: () => FormStore, onConflictDetected: () => void, useServerSideCalculations: boolean, attachmentsPublicForms: {
        [attachmentId: string]: IPublicForm;
    }, externalEventManager: IExternalEventManager);
    applyEvents(events: readonly ModelEvent[]): void;
    scheduleInnerChangeAction(action: InnerChangingAction): Promise<void>;
    readonly send: (options?: SendChangeSetOptions) => Promise<void>;
    sendSync(): void;
    startAutosend(sendInterval: number): void;
    stopAutosend(): void;
    redefine(): void;
    isRedefined(): boolean;
    dropRedefined(): void;
    mergeRedefined(): void;
    onServerChangesReceived(callback: ChangesCallback): () => void;
    __testOnly__getChangeSetToSend(): ChangeSet;
    setCurrentDataVersion(version: number): void;
    private enqueueChangeSetToSend;
    private dequeueChangeSetToSend;
    private getCurrentChangeSet;
    private setSavingStatus;
    private setConflictState;
    private processEnqueuedChangeSets;
}
