import { BindingPath } from "../CoreTypes";
import { ICandyComponentHandle } from "./ICandyComponentHandle";
export interface IControlRegistry {
    registerComponentHandle(bindingPath: BindingPath, control: ICandyComponentHandle, exclusiveRegistration?: boolean): void;
    unregisterComponentHandle(bindingPath: BindingPath, control: ICandyComponentHandle): void;
    getComponentHandles(bindingPath: BindingPath): undefined | readonly ICandyComponentHandle[];
    getBindingPaths(): Iterable<string>;
}
export declare class ControlRegistry implements IControlRegistry {
    private readonly controls;
    registerComponentHandle(bindingPath: BindingPath, control: ICandyComponentHandle, exclusiveRegistration?: boolean): void;
    unregisterComponentHandle(bindingPath: BindingPath, control: ICandyComponentHandle): void;
    getBindingPaths(): Iterable<string>;
    getComponentHandles(bindingPath: BindingPath): readonly ICandyComponentHandle[] | undefined;
    private find;
    private getNormalizedId;
    private getHandleList;
}
