"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAnchorElementByControlReferenceOrUndefined = getAnchorElementByControlReferenceOrUndefined;
const react_dom_1 = __importDefault(require("react-dom"));
const ICandyComponentHandle_1 = require("../ComponentHandleRegistry/ICandyComponentHandle");
const DomHelpers_1 = require("../../../Controls/Commons/DOM/DomHelpers");
function getAnchorElementByControlReferenceOrUndefined(controlReference) {
    if (controlReference == undefined) {
        return undefined;
    }
    if ((0, ICandyComponentHandle_1.isCandyComponentHandle)(controlReference)) {
        return controlReference.getAnchorElement();
    }
    const element = react_dom_1.default.findDOMNode(controlReference);
    return (0, DomHelpers_1.toHtmlElementOrNull)(element) ?? undefined;
}
