import { NidusEntryId } from "../../../../Common/NidusClient/INidusClient";
import { PicklistDataItem } from "./Picklists/PicklistTypes";
export type ModelValue = any;
export type BindingPath = string;
export type AbsoluteBindingPath = `/${string}`;
export type ExternalBindingPath = string;
export interface ViewModel {
    children?: string[];
    error?: string[];
    warning?: string[];
    description?: string;
    id?: string;
    disabled?: boolean | string;
    visible?: boolean;
    disabledSending?: boolean;
    value?: string | undefined;
    autoValue?: string | undefined;
    autoFlag?: boolean | string;
    resourcesHash?: string;
    errorsCount?: number;
    warningsCount?: number;
    code?: string;
    picklist?: PicklistDataItem;
    normalized?: boolean;
    emptyUnitsVisible?: boolean;
    pencilOpened?: boolean;
    ignoreAutoFlag?: boolean;
    disableValueAutoInit?: boolean;
    index?: string;
    regionCode?: string;
    district?: string;
    city?: string;
    settlement?: string;
    street?: string;
    house?: string;
    building?: string;
    room?: string;
    bossValue?: string;
    agentValue?: string;
    senderInn?: string;
    nameorg?: string;
    /**
     * @summary Это поле проставляется при генерации авторасчётов
     */
    sum?: string;
    /**
     * @summary Это поле проставляется при генерации авторасчётов
     */
    count?: string;
    normalizationSource?: "server" | "client";
    referencedId?: NidusEntryId;
    dirtyChangedPathMasks?: string;
}
export type ViewModelFieldName = keyof ViewModel;
export declare function nonRegularFieldName(fieldName: string): ViewModelFieldName;
export declare function nonRegularFieldName(fieldName: undefined | string): undefined | ViewModelFieldName;
export declare function ensureIsKnownViewModelFieldName(fieldName: string): ViewModelFieldName;
export declare function getKnownViewModelFieldNames(): Set<string>;
