"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nonRegularFieldName = nonRegularFieldName;
exports.ensureIsKnownViewModelFieldName = ensureIsKnownViewModelFieldName;
exports.getKnownViewModelFieldNames = getKnownViewModelFieldNames;
const TypingUtils_1 = require("../../../../Common/TypingUtils");
function nonRegularFieldName(fieldName) {
    // @ts-ignore
    return fieldName;
}
function ensureIsKnownViewModelFieldName(fieldName) {
    return getKnownViewModelFieldNames().has(fieldName)
        ? fieldName
        : (0, TypingUtils_1.reject)(`[${fieldName}] is not known ViewModelFieldName`);
}
const keysOfViewModelFieldName = [
    "children",
    "error",
    "warning",
    "description",
    "id",
    "disabled",
    "visible",
    "disabledSending",
    "value",
    "autoValue",
    "autoFlag",
    "resourcesHash",
    "errorsCount",
    "warningsCount",
    "code",
    "picklist",
    "normalized",
    "emptyUnitsVisible",
    "pencilOpened",
    "ignoreAutoFlag",
    "disableValueAutoInit",
    "index",
    "regionCode",
    "district",
    "city",
    "settlement",
    "street",
    "house",
    "building",
    "room",
    "bossValue",
    "agentValue",
    "senderInn",
    "nameorg",
    "sum",
    "count",
    "normalizationSource",
    "referencedId",
    "dirtyChangedPathMasks",
];
const allKeysOfViewModelFieldName = keysOfViewModelFieldName;
const names = new Set(allKeysOfViewModelFieldName);
function getKnownViewModelFieldNames() {
    return names;
}
