import { BindingPath } from "../CoreTypes";
import { IFetchFunctionCallContext } from "../../Form/CustomizationContexts/FetchFunctionContext/FetchFunctionCallContext";
import type { DataDeclarationFields } from "../../../../../Generator/src/generators/DataDeclarationGenerator/DataDeclaration";
import { SectionDeclaration } from "../../../../../Generator/src/generators/DataDeclarationGenerator/DataDeclaration";
import { RngSchemeTypes } from "../../../../../Common/RngSchemeTypes/types";
type FetchFunction = (this: IFetchFunctionCallContext, nodePath: BindingPath) => undefined | string | string[];
export type NodeFieldValueSources = NodeFieldValueSource[];
export type ConstValueSource = string | string[] | boolean;
export interface TakeFromModelValueSource {
    model: true | string;
}
export interface FetchFunctionValueSource {
    fn: FetchFunction;
    fnName?: string;
    fnPropName?: string;
}
export type NodeFieldValueSource = ConstValueSource | TakeFromModelValueSource | FetchFunctionValueSource;
export declare function isConstValueSource(valueSource: NodeFieldValueSource): valueSource is ConstValueSource;
export declare function isTakeFromModelValueSource(valueSource: NodeFieldValueSource): valueSource is TakeFromModelValueSource;
export declare function isFetchFunctionValueSource(valueSource: NodeFieldValueSource): valueSource is FetchFunctionValueSource;
export interface NodeDataDeclaration {
    autoFlag?: NodeFieldValueSources;
    optionalSections?: SectionDeclaration[];
    allSingleSections?: SectionDeclaration[];
    children?: NodeFieldValueSources;
    optional?: NodeFieldValueSources;
    disabled?: NodeFieldValueSources;
    section?: NodeFieldValueSources;
    value?: NodeFieldValueSources;
    fnsConvertFileExtentions?: NodeFieldValueSources;
    errorAndWarningCountRequired?: [boolean];
    disableValueAutoInit?: boolean;
    type?: RngSchemeTypes;
    useServerFilters?: boolean;
}
export declare function isAttributeRequireNormalization(fieldName: DataDeclarationFields): boolean;
export interface DataDeclaration {
    [path: string]: NodeDataDeclaration;
}
export {};
