"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isConstValueSource = isConstValueSource;
exports.isTakeFromModelValueSource = isTakeFromModelValueSource;
exports.isFetchFunctionValueSource = isFetchFunctionValueSource;
exports.isAttributeRequireNormalization = isAttributeRequireNormalization;
const TypingUtils_1 = require("../../../../../Common/TypingUtils");
function isConstValueSource(valueSource) {
    return typeof valueSource !== "object" || Array.isArray(valueSource);
}
function isTakeFromModelValueSource(valueSource) {
    return typeof valueSource === "object" && "model" in valueSource && valueSource.model !== undefined;
}
function isFetchFunctionValueSource(valueSource) {
    return typeof valueSource === "object" && "fn" in valueSource && valueSource.fn !== undefined;
}
function isAttributeRequireNormalization(fieldName) {
    if (fieldName !== "maxOccurs" &&
        fieldName !== "optionalSections" &&
        fieldName !== "allSingleSections" &&
        fieldName !== "section" &&
        fieldName !== "optional" &&
        fieldName !== "fnsConvertFileExtentions" &&
        fieldName !== "title" &&
        fieldName !== "ctrlType" &&
        fieldName !== "value_bind" &&
        fieldName !== "multiple" &&
        fieldName !== "exist_bind" &&
        fieldName !== "visible" &&
        fieldName != "errorAndWarningCountRequired" &&
        fieldName != "type" &&
        fieldName != "disableValueAutoInit" &&
        fieldName != "useServerFilters" &&
        fieldName != "pageId") {
        // Проверка чтобы во ViewModel не прилетали лишние поля
        (0, TypingUtils_1.assertIs)(fieldName);
        return true;
    }
    return false;
}
