import { SectionDeclaration } from "../../../../../Generator/src/generators/DataDeclarationGenerator/DataDeclaration";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IFetchFunctionCallContextProvider } from "../../Form/CustomizationContexts/FetchFunctionContext/IFetchFunctionCallContextProvider";
import { BindingPath } from "../CoreTypes";
import { SectionName } from "../../../Controls/FormParts/Unit/UnitId/UnitId";
import { AbsoluteModelPathSet } from "../../../../../Common/ModelPath/Set/AbsoluteModelPathSet";
import { RngSchemeTypes } from "../../../../../Common/RngSchemeTypes/types";
import { DataDeclaration, NodeDataDeclaration } from "./DataDeclaration";
export declare class DataDeclarationHelper {
    private readonly fetchFunctionCallContextProvider;
    private dataDeclaration;
    private optionalSections;
    private allSingleSections;
    private dataDeclarationMasks;
    private allPaths;
    constructor(fetchFunctionCallContextProvider: IFetchFunctionCallContextProvider, dataDeclaration: DataDeclaration, formRoot: string);
    reloadDataDeclaration(formRoot: string, dataDeclaration: DataDeclaration): void;
    getAllPaths(): readonly AbsoluteModelPath[];
    hasMask(nodePath: BindingPath): boolean;
    getMask(nodePath: AbsoluteModelPath | BindingPath): undefined | BindingPath;
    isNodeHasChildrenEntry(nodePath: BindingPath | AbsoluteModelPath): boolean;
    isNodeHasAutoFlagEntry(nodePath: BindingPath | AbsoluteResolvedModelPath): boolean;
    getType(nodePath: BindingPath | AbsoluteResolvedModelPath): RngSchemeTypes | undefined;
    isErrorsAndWarningsCountRequired(nodePath: BindingPath | AbsoluteModelPath): boolean;
    isDisableValueAutoInit(nodePath: BindingPath | AbsoluteModelPath): boolean | undefined;
    getEntry(nodePath: AbsoluteModelPath | BindingPath): NodeDataDeclaration;
    getSections(nodePath: BindingPath | AbsoluteModelPath): SectionName[];
    getSectionsStrict(nodePath: BindingPath | AbsoluteModelPath): undefined | SectionName[];
    isFnsConvertFile(path: BindingPath | AbsoluteResolvedModelPath, fileName?: string): boolean;
    getOptionalSections(): readonly SectionDeclaration[];
    getAllSingleSections(): readonly SectionDeclaration[];
    buildSectionToMasksMap(): Map<SectionName, AbsoluteModelPathSet>;
    getMasksByPrefix(nodePathPrefix: AbsoluteModelPath): Iterable<AbsoluteModelPath>;
}
