import { IModel } from "../ModelStoring/Model";
import { BindingPath } from "../CoreTypes";
import { AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
export declare const KREC_ERROR_CHECK = "KREC_ERROR_CHECK";
export declare const KREC_ERROR_CONVERT = "KREC_ERROR_CONVERT";
export declare const errorsFallback: {
    [key in string]: undefined | string;
};
export interface IErrorManager {
    addErrorCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
    addWarningCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
    clearErrorsCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath): void;
    clearWarningsCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath): void;
    clearCached(model: IModel, path: BindingPath | AbsoluteResolvedModelPath): void;
    removeWarning(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
}
export declare class ErrorManager implements IErrorManager {
    clearErrorsCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath): void;
    clearWarningsCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath): void;
    addErrorCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
    addWarningCached(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
    removeWarning(model: IModel, nodePath: BindingPath | AbsoluteResolvedModelPath, message: string): void;
    clearCached(model: IModel, path: BindingPath | AbsoluteResolvedModelPath): void;
    private internalClear;
    private internalAdd;
    private internalRemove;
}
