import { GroupedErrorLog, ServerErrorLog } from "../../../../../../Common/CandyApiClient/Types/ErrorLog/ServerErrorLog";
import { IPathMapper, NavigationPathMapper } from "../../PathUtils/NavigationPathMapper";
import { BindingPath } from "../../CoreTypes";
import { AttachInfo } from "../../../../../../Common/CandyApiClient/Types/Attachments/Attacments";
import { ErrorLog, ErrorLogItem, IErrorLogTaskResult, ItemErrorMessage, NavLinkErrorMessage } from "./Models";
export declare const splitPathWithComma: RegExp;
export declare function parseErrorDescription(description: string, pathMapper: IPathMapper, noLinks?: boolean, noPathMapping?: boolean): ItemErrorMessage[];
export declare const DEFAULT_SUCCESS_DESCRIPTION = "\u041E\u0448\u0438\u0431\u043E\u043A \u0438 \u043F\u0440\u0435\u0434\u0443\u043F\u0440\u0435\u0436\u0434\u0435\u043D\u0438\u0439 \u043D\u0435\u0442";
export declare function errorlogFromKewebToServerAdapter(getAttachInfo: (attachmentId: string) => AttachInfo | undefined, result?: IErrorLogTaskResult): GroupedErrorLog;
export declare function serverErrorLogToGroupedAdapter(serverErrorLog: ServerErrorLog): GroupedErrorLog;
export declare function parseErrorLog(errorLog: GroupedErrorLog, pathMapperGetter: (attachmentGroupId?: string) => NavigationPathMapper, noLinks?: boolean, noPathMapping?: boolean): ErrorLog;
export declare function isNavLinkErrorMessage(itemErrorMessage: ItemErrorMessage): itemErrorMessage is NavLinkErrorMessage;
export declare function getErrorItemBindingPaths(error: ErrorLogItem): Iterable<BindingPath>;
