import { ExternalEvent, ExternalEventPath } from "./ExternalEvent";
import { ExternalHookFunction } from "./ExternalHookFunction";
export interface IExternalEventListener {
    offExternalEvent(pathArr: ExternalEventPath, x2: ExternalHookFunction): void;
    onExternalEvent(pathArr: ExternalEventPath, x2: ExternalHookFunction): void;
    onceExternalEvent(pathArr: ExternalEventPath, x2: ExternalHookFunction): ExternalHookFunction;
}
export interface IExternalEventEmitter {
    triggerExternalEvent(event: ExternalEvent): void;
    triggerExternalEvents(events: ExternalEvent[]): void;
}
export interface IExternalEventManager extends IExternalEventListener, IExternalEventEmitter {
    hasExternalEventSubscriber(event: ExternalEventPath): boolean;
}
export declare class ExternalEventManager implements IExternalEventManager {
    private readonly hookStorage;
    private readonly eventsQueue;
    private queueProcessing;
    onExternalEvent(pathArr: ExternalEventPath, callback: ExternalHookFunction): void;
    onceExternalEvent(pathArr: ExternalEventPath, callback: ExternalHookFunction): ExternalHookFunction;
    offExternalEvent(pathArr: ExternalEventPath, callback: ExternalHookFunction): void;
    triggerExternalEvent(event: ExternalEvent): void;
    triggerExternalEvents(events: ExternalEvent[]): void;
    hasExternalEventSubscriber(pathArr: ExternalEventPath): boolean;
    private processQueue;
    private getPathNodes;
}
