"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EXTERN_CHECK_TASK_EVENT_PATH = void 0;
exports.getExternalEventInfo = getExternalEventInfo;
exports.getExternalEventPath = getExternalEventPath;
exports.formSendEvent = formSendEvent;
exports.formCloseEvent = formCloseEvent;
exports.formSaveEvent = formSaveEvent;
exports.formShowFeedbackEvent = formShowFeedbackEvent;
exports.formPrintEvent = formPrintEvent;
exports.formSavingStatusEvent = formSavingStatusEvent;
exports.formShowTourEventPath = formShowTourEventPath;
exports.formShowTourEvent = formShowTourEvent;
exports.formInterdocumentTransferEvent = formInterdocumentTransferEvent;
exports.formDidMountEventPath = formDidMountEventPath;
exports.formDidMountEvent = formDidMountEvent;
exports.formUpdateNavigationInstanceEventPath = formUpdateNavigationInstanceEventPath;
exports.formUpdateNavigationInstanceEvent = formUpdateNavigationInstanceEvent;
exports.formTourStepsShownEvent = formTourStepsShownEvent;
exports.formCallInitSection = formCallInitSection;
exports.formPreferredInterdocumentTransferEvent = formPreferredInterdocumentTransferEvent;
exports.formSendToClientForSign = formSendToClientForSign;
exports.formOpenEmployeeEditor = formOpenEmployeeEditor;
exports.formPageChangedEventPath = formPageChangedEventPath;
exports.formPageChangedEvent = formPageChangedEvent;
exports.formComponentDidMountEventPath = formComponentDidMountEventPath;
exports.formComponentDidMountEvent = formComponentDidMountEvent;
exports.formDataProviderErrorEvent = formDataProviderErrorEvent;
exports.formStartExternCheckTask = formStartExternCheckTask;
exports.formGetExternCheckTask = formGetExternCheckTask;
function createCandyEvent(event) {
    return event;
}
function getExternalEventInfo(event) {
    return event[1];
}
function getExternalEventPath(event) {
    return event[0];
}
function formSendEvent() {
    return createCandyEvent([["form", "send"], undefined]);
}
function formCloseEvent() {
    return createCandyEvent([["form", "close"], undefined]);
}
function formSaveEventPath() {
    return ["form", "save"];
}
function formSaveEvent() {
    return createCandyEvent([formSaveEventPath(), undefined]);
}
function formShowFeedbackEvent() {
    return createCandyEvent([["form", "showFeedback"], undefined]);
}
function formPrintEvent() {
    return createCandyEvent([["form", "print"], undefined]);
}
function formSavingStatusEvent(status) {
    return createCandyEvent([["form", "changeSavingStatus"], status]);
}
function formShowTourEventPath() {
    return ["form", "showTour"];
}
function formShowTourEvent() {
    return createCandyEvent([formShowTourEventPath(), undefined]);
}
function formInterdocumentTransferEvent() {
    return createCandyEvent([["form", "interdocumentTransfer"], undefined]);
}
function formDidMountEventPath() {
    return ["form", "root", "didmount"];
}
function formDidMountEvent() {
    return createCandyEvent([["form", "root", "didmount"], undefined]);
}
function formUpdateNavigationInstanceEventPath() {
    return ["form", "navigation", "updateInstance"];
}
function formUpdateNavigationInstanceEvent(currentInstance) {
    return createCandyEvent([["form", "navigation", "updateInstance"], currentInstance ?? undefined]);
}
function formTourStepsShownEvent(shownIds) {
    return createCandyEvent([["form", "tourStepsShown"], shownIds]);
}
function formCallInitSection(options) {
    return createCandyEvent([["form", "callInitSection"], options]);
}
function formPreferredInterdocumentTransferEvent(options) {
    return createCandyEvent([["form", "preferredInterdocumentTransfer"], options]);
}
/**
    Выпилить в рамках https://yt.skbkontur.ru/issue/FS-7999/Pereehat-na-generaciyu-kontenta-futera-v-SimpleForm-iz-resursov
 */
function formSendToClientForSign() {
    return createCandyEvent([["form", "sendToClientForSign"], undefined]);
}
/** У нас 2 сервиса сотрудников. 1 занимается команда СС, мы все их знаем.
    Второй, старенький - на поддержке у keapi, встроен в кевеб. Этот event - про второй.
*/
function formOpenEmployeeEditor(employeeId) {
    return createCandyEvent([["form", "openEmployeeEditor"], employeeId]);
}
function formPageChangedEventPath(pageId) {
    return ["form", "pageChanged", pageId];
}
function formPageChangedEvent(pageId) {
    return createCandyEvent([["form", "pageChanged", pageId], undefined]);
}
function formComponentDidMountEventPath(controlId) {
    return ["form", controlId, "didmount"];
}
function formComponentDidMountEvent(controlId) {
    return createCandyEvent([["form", controlId, "didmount"], undefined]);
}
function formDataProviderErrorEvent(errorInfo) {
    return createCandyEvent([["form", "error", "dataProvider"], errorInfo]);
}
// -------- Временный код, пока Стас выносит сервис проверок из кевеба в отдельного демона ----//
// Тут мы вызываем этот общий сервис из кевеба
exports.EXTERN_CHECK_TASK_EVENT_PATH = ["form", "startExternCheckTask"];
function formStartExternCheckTask(taskSetter) {
    // @ts-ignore - временно, пока ходим в кевеб за протоколом
    return createCandyEvent([exports.EXTERN_CHECK_TASK_EVENT_PATH, taskSetter]);
}
function formGetExternCheckTask(params) {
    // @ts-ignore - временно, пока ходим в кевеб за протоколом отдаём им колбек, куда они его засетят
    return createCandyEvent([["form", "getExternCheckTask"], params]);
}
//----------------------------------------------------------------------------------------
