import { ModelValue, ViewModelFieldName } from "../../CoreTypes";
import { AbsoluteResolvedModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { Action } from "../../../../../../Common/Funcs";
export type ModelEventType = "change" | "remove";
export interface ModelEvent {
    readonly type: ModelEventType;
    readonly value?: ModelValue;
    readonly name?: ViewModelFieldName;
    readonly path: AbsoluteResolvedModelPath;
    readonly fullPath?: string;
    readonly oldValue?: ModelValue;
    processedBySum?: boolean;
}
export declare function createRemoveModelEventInfo(path: AbsoluteResolvedModelPath, name?: ViewModelFieldName, oldValue?: ModelValue): ModelEvent;
export declare function createChangeModelEventInfo(path: AbsoluteResolvedModelPath, name: ViewModelFieldName, oldValue: ModelValue, value: ModelValue): ModelEvent;
export type ModelEventsListener = Action<ModelEvent>;
export declare function isChangeModelEventInfo(event: ModelEvent): boolean;
export declare function isRemoveModelEventInfo(event: ModelEvent): boolean;
export declare function patchModelEventInfo(event: ModelEvent, updateFunction: (ev: ModelEvent) => void): void;
export declare function isModelEventInfo(eventData: unknown): eventData is ModelEvent;
export declare function isChangeViewModelEvent(event: ModelEvent): boolean;
