"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRemoveModelEventInfo = createRemoveModelEventInfo;
exports.createChangeModelEventInfo = createChangeModelEventInfo;
exports.isChangeModelEventInfo = isChangeModelEventInfo;
exports.isRemoveModelEventInfo = isRemoveModelEventInfo;
exports.patchModelEventInfo = patchModelEventInfo;
exports.isModelEventInfo = isModelEventInfo;
exports.isChangeViewModelEvent = isChangeViewModelEvent;
const PathUtils_1 = require("../../PathUtils/PathUtils");
function createRemoveModelEventInfo(path, name, oldValue) {
    if (name == undefined) {
        return { type: "remove", path: path };
    }
    if (oldValue === undefined) {
        return {
            type: "remove",
            path: path,
            name: name,
            fullPath: PathUtils_1.PathUtils.getValuePath(path.toLegacyPath(), name),
        };
    }
    return {
        type: "remove",
        path: path,
        name: name,
        fullPath: PathUtils_1.PathUtils.getValuePath(path.toLegacyPath(), name),
        oldValue: oldValue,
    };
}
function createChangeModelEventInfo(path, name, oldValue, value) {
    if (oldValue === undefined) {
        return {
            type: "change",
            path: path,
            name: name,
            fullPath: PathUtils_1.PathUtils.getValuePath(path.toLegacyPath(), name),
            value: value,
        };
    }
    return {
        type: "change",
        path: path,
        name: name,
        fullPath: PathUtils_1.PathUtils.getValuePath(path.toLegacyPath(), name),
        value: value,
        oldValue: oldValue,
    };
}
function isChangeModelEventInfo(event) {
    return event.type === "change";
}
function isRemoveModelEventInfo(event) {
    return event.type === "remove";
}
function patchModelEventInfo(event, updateFunction) {
    updateFunction(event);
}
function isModelEventInfo(eventData) {
    return (typeof eventData === "object" &&
        eventData != undefined &&
        "type" in eventData &&
        (eventData["type"] === "change" || eventData["type"] === "remove"));
}
function isChangeViewModelEvent(event) {
    return event.name === "value" || event.name === "children";
}
