"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientSideFilteringStrategy = void 0;
const ViewModelSelect_1 = require("../../../Helpers/StateAccessors/ViewModelSelect");
const FilteringHelpers_1 = require("../../../Helpers/FilteringHelpers");
const SortingHelpers_1 = require("../../../Helpers/SortingHelpers");
class ClientSideFilteringStrategy {
    getState;
    constructor(getState) {
        this.getState = getState;
    }
    async performFilteringAndSorting(multilinePath, filteredUniqKey, filters, multilineSort) {
        const state = this.getState();
        const multilineState = ViewModelSelect_1.currentViewModelSelect.node(state, multilinePath);
        const filteredInstances = await (0, FilteringHelpers_1.filterInstancesBatchedAsync)(state, ViewModelSelect_1.currentViewModelSelect, filters.map(x => x.expression), multilinePath);
        const sortedInstances = (0, SortingHelpers_1.sortInstances)(filteredInstances, multilineState, multilineSort);
        return sortedInstances;
    }
}
exports.ClientSideFilteringStrategy = ClientSideFilteringStrategy;
