import { AbsoluteModelFieldPath } from "../../../../../Common/ModelPath/AbsoluteModelFieldPath";
import { FullFormState } from "../Store/FullFormState";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { ICandyApiDraftClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
import { CandyDispatch } from "../Store/CandyReduxTypes";
import { FilterExpression } from "../../../Helpers/FilterExpressions/FilterExpression";
import { BindingPath } from "../CoreTypes";
import { ILazyLoadingManager } from "../LazyLoading/LazyLoadingManager";
export declare class FilteringManager {
    private readonly subscriptions;
    private readonly getState;
    private readonly lazyLoadingManager;
    private readonly sendToServerAction;
    private readonly dispatch;
    private readonly serverSideFilteringStrategy;
    private readonly clientSideFilteringStrategy;
    constructor(lazyLoadingManager: ILazyLoadingManager, getState: () => FullFormState, dispatch: CandyDispatch, candyApiDraftClient: ICandyApiDraftClient, sendToServerAction: () => Promise<void>);
    subscribe(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string, useServerFilters: boolean, enableFilterTracking: boolean, useShortDebounce: boolean, defaultFilter: FilterExpression | undefined): void;
    unsubscribe(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string): void;
    notifyWithChanges(changedPathFields: Iterable<AbsoluteModelFieldPath>): void;
    activePageChanged(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string, page: number): Promise<void>;
    requestFiltering(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string): void;
    requestFilteringAsync(bindingPath: BindingPath | AbsoluteResolvedModelPath, filteredUniqKey: string): Promise<void>;
    requestFilteringAllMultilines(): Promise<void>;
    requestInstancesWithExtraFilter(multilinePath: AbsoluteModelPath, filterUniqueKey: string, filterExpression: FilterExpression): Promise<import("./IFilteringStrategy").FilterResult>;
    private getSubscription;
    private updateSubscriptionDependencies;
    private getFilteringStrategy;
    private sendDataToServerIfRequired;
    private getNotLoadedInstances;
    private loadInstancesIfNeeded;
    private getPreloadedInstances;
    private handleFilterChange;
    private calculateCurrentPage;
    private storeFilters;
}
