import { ICandyApiDraftClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
import { MultiLineFilters } from "../../../Controls/MultiControls/MultiLine/MultiLineFilter";
import { MultiLineSort } from "../../../Controls/MultiControls/MultiLine/MultiLineTypes";
import { FullFormState } from "../Store/FullFormState";
import { FilterResult, IFilteringStrategy } from "./IFilteringStrategy";
export declare class ServerSideFilteringStrategy implements IFilteringStrategy {
    private readonly maxInstancesForServerRequest;
    private readonly getState;
    private readonly candyApiDraftClient;
    constructor(getState: () => FullFormState, candyApiDraftClient: ICandyApiDraftClient, maxInstancesForServerRequest?: number);
    performFilteringAndSorting(multilinePath: string, filteredUniqKey: string, filters: MultiLineFilters, multilineSort: MultiLineSort | undefined): Promise<FilterResult>;
    private multilineSortToSortingRule;
}
