"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Localization = void 0;
const localizationDictionary_1 = require("./localizationDictionary");
class Localization {
    dictionary;
    defaultDictionary;
    constructor(lang, localizationDictionary = {}) {
        const engineDictionary = lang ? localizationDictionary_1.engineLocalizationDictionary[lang] || {} : {};
        const formDictionary = lang ? localizationDictionary[lang] || {} : {};
        this.dictionary = { ...engineDictionary, ...formDictionary };
        this.defaultDictionary = localizationDictionary.default || {};
    }
    translate = (message) => {
        if (Object.prototype.hasOwnProperty.call(this.dictionary, message)) {
            const dictionaryMessage = this.dictionary[message];
            if (dictionaryMessage != undefined) {
                return dictionaryMessage;
            }
        }
        if (Object.prototype.hasOwnProperty.call(this.defaultDictionary, message)) {
            const defaultDictionaryMessage = this.defaultDictionary[message];
            if (defaultDictionaryMessage != undefined) {
                return defaultDictionaryMessage;
            }
        }
        return message;
    };
}
exports.Localization = Localization;
