import { FileProperties } from "../../../../../Common/CandyApiClient/Types/DraftActions/FileProperties";
import { CombinatorType, FufCombineMethod } from "../../../../../Common/CandyApiClient/Types/DraftActions/CombineFufResult";
import { FormActionHandler } from "../../../Controls/Internals/FormActionHandlers/FormActionHandler";
import { TableType } from "./Modals/Utils/Types";
export interface ModalStateInfo extends ModalOptions {
    isOpen: boolean;
}
export interface SectionInfo {
    name: string;
    gfv: number;
    checkSectionPropertiesName: string;
    path: string;
    fileUploadNotSectionFoundErrorMessage?: string;
    fileUploadUnknownFormatErrorMessage?: string;
}
export interface ModalOptions {
    modalName: modalNames;
    acceptFiles: string[];
    maxInstances?: number;
    currentInstancesCount?: number;
    sectionInfo?: SectionInfo;
    getTransferIdByProperties?: (properties: FileProperties | undefined, sectionGfv: number | undefined) => string;
    multiple?: boolean;
    tableType?: TableType;
    pathToTable?: string | undefined;
    combineType?: FufCombineMethod;
    combinatorType?: CombinatorType;
    acceptGFVs?: string[];
    instanceCountFromProps?: instancesInFileInfo;
    invalidFileErrorText?: string;
    navigationPath?: string;
    isOnlyAddToEnd?: boolean;
    isOnlyReplace?: boolean;
    getTypeId?: FormActionHandler;
    isImportByFuf?: boolean;
    rsvSection?: number;
    period?: string;
    useTransfersAndCheckUnitExist?: boolean;
    applyDeepMerge?: boolean;
}
export interface instancesInFileInfo {
    name: string;
    description: string;
}
export type modalNames = "PatchFufByAttachment" | "UploadSection" | "ZeroReport" | "LoadExcel" | "LoadXml" | "NdflInquiryUpload";
