import { AbsoluteResolvedModelPath, SimplePathToken } from "../../../../../Common/ModelPath/ModelPath";
import { ViewModel } from "../CoreTypes";
import { FormViewModel } from "../Store/FormViewModel";
import { ModelChunk } from "./ModelChunk";
export interface TokenNode {
    childNodes?: Map<SimplePathToken, TokenNode>;
    viewModel?: ViewModel;
}
export interface IReadonlyModelHunk {
    isEmpty(): boolean;
    hasPath(path: AbsoluteResolvedModelPath): boolean;
    get(modelPath: AbsoluteResolvedModelPath): undefined | ViewModel;
    iteratePaths(): Iterable<AbsoluteResolvedModelPath>;
    iterateEntries(): Iterable<[AbsoluteResolvedModelPath, ViewModel]>;
    toModelChunk(): ModelChunk;
    mergeIntoViewModel(nextViewModelState: FormViewModel): FormViewModel;
    getTokenNodes(): Readonly<Map<SimplePathToken, TokenNode>>;
}
