import { AbsoluteModelPath, AbsoluteResolvedModelPath, ModelPath, SimplePathToken } from "../../../../../Common/ModelPath/ModelPath";
import type { BindingPath, ViewModel } from "../CoreTypes";
import { FormViewModel, NodeViewModel } from "../Store/FormViewModel";
import { ServerJsonResponse } from "../../../../../Common/CandyApiClient/Types/GetInner/ServerInnerResponse";
import { ServerRawResponse } from "../../../../../Common/CandyApiClient/Types/GetInner/ServerRawResponse";
import { IReadonlyModelHunk, TokenNode } from "./IReadonlyModelHunk";
import type { ModelChunk, ModelValuesBatch, ReadonlyModelChunk, ReadonlyModelValuesBatch } from "./ModelChunk";
export declare function isModelHunk(modelChunkOrHunk: ReadonlyModelChunk | IReadonlyModelHunk): modelChunkOrHunk is IReadonlyModelHunk;
export declare function isModelHunk(modelChunkOrHunk: ModelChunk | ModelHunk): modelChunkOrHunk is ModelHunk;
export declare class ModelHunk implements IReadonlyModelHunk {
    private readonly tokenNode;
    static create(): ModelChunk;
    static paths(chunk: ReadonlyModelChunk | IReadonlyModelHunk): BindingPath[];
    static iteratePaths(chunk: ReadonlyModelChunk | IReadonlyModelHunk): Iterable<BindingPath>;
    static get(chunk: ReadonlyModelChunk | IReadonlyModelHunk, path: BindingPath): undefined | ViewModel;
    static set(chunk: ModelChunk | ModelHunk, path: BindingPath | AbsoluteModelPath, viewModel: undefined | ViewModel): void;
    static updateIfExists(chunk: ModelChunk | ModelHunk, path: BindingPath, updateFunc: (viewModel: ViewModel) => void): void;
    static iterateEntries(chunk: ReadonlyModelChunk | IReadonlyModelHunk): Iterable<[BindingPath, ViewModel]>;
    static iterateEntriesNew(chunk: ReadonlyModelChunk | IReadonlyModelHunk): Iterable<[AbsoluteResolvedModelPath, ViewModel]>;
    static isEmpty(chunk: ReadonlyModelChunk | IReadonlyModelHunk): boolean;
    static hasPath(chunk: ReadonlyModelChunk | IReadonlyModelHunk, path: BindingPath): boolean;
    static remove(chunk: ModelChunk | ModelHunk, path: BindingPath): void;
    static createFromValuesBatch(valuesBatch: ReadonlyModelValuesBatch): ModelChunk;
    static createHunkFromValuesBatch(valuesBatch: ReadonlyModelValuesBatch): ModelHunk;
    static toValuesBatch(chunk: ModelChunk): ModelValuesBatch;
    getTokenNodes(): Readonly<Map<SimplePathToken, TokenNode>>;
    isEmpty(): boolean;
    iteratePaths(): Iterable<AbsoluteResolvedModelPath>;
    iterateEntries(): Iterable<[AbsoluteResolvedModelPath, ViewModel]>;
    updateIfExists(path: AbsoluteResolvedModelPath, updateFunc: (viewModel: ViewModel) => void): void;
    set(path: ModelPath, viewModel: undefined | ViewModel): void;
    getOrCreate(path: ModelPath, viewModel: ViewModel): ViewModel;
    remove(path: ModelPath): void;
    toModelChunk(): ModelChunk;
    get(path: ModelPath): undefined | ViewModel;
    hasPath(path: ModelPath): boolean;
    private iterateChildTokenPaths;
    private iterateChildTokenEntries;
    private getOrCreateTokenNode;
    private getTokenNode;
    mergeIntoViewModel(nextViewModelState: FormViewModel): FormViewModel;
    fillFromServerJsonResponse(serverResponse: ServerJsonResponse): void;
    fillFromServerRawResponse(serverResponse: ServerRawResponse): void;
    mergeIntoViewModelInternal(nodeViewModel: NodeViewModel, tokenNode: TokenNode): NodeViewModel;
}
