import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { SectionName } from "../../../Controls/FormParts/Unit/UnitId/UnitId";
import { BindingPath } from "../CoreTypes";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
import { IExternalEventManager } from "../EventManagement/ExternalEvents/ExternalEventManager";
import { ReadonlyModelChunk } from "./ModelChunk";
import { IReadonlyModelHunk } from "./IReadonlyModelHunk";
export declare class Sections {
    private readonly section2masks;
    private readonly dataDeclarationHelper;
    private readonly externalEventManager;
    private readonly allOptionalSections;
    private readonly visibleOptionalSections;
    private readonly allSingleSections;
    constructor(dataDeclarationHelper: DataDeclarationHelper, externalEventManager: IExternalEventManager);
    private isPrefixPath;
    markSectionsAsIgnoredByPrefix(prefixes: Iterable<AbsoluteModelPath>): void;
    private markSectionAsIgnoredForced;
    private getSingleSectionByNameOrDependencySection;
    markSectionAsIgnored(sectionName: SectionName): void;
    removeSectionFromIgnore(sectionName: SectionName): void;
    markAllAsIgnored(): void;
    isSectionIgnored(sectionName: SectionName): boolean;
    isIgnoredPathByMasks(path: BindingPath | AbsoluteModelPath): boolean;
    resolveOptionalSections(serverSideModel: ReadonlyModelChunk | IReadonlyModelHunk): void;
    private hasChildrenField;
    paths(model: IFormReadonlyModelAccessor, section: SectionName): Iterable<AbsoluteResolvedModelPath>;
    masks(section: SectionName): Iterable<AbsoluteModelPath>;
    getSectionPathsForCalculations(model: IFormReadonlyModelAccessor, section: SectionName): Iterable<AbsoluteResolvedModelPath>;
    getSectionPrefix(section: SectionName): AbsoluteResolvedModelPath | undefined;
}
