"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomNormalizationHelper = void 0;
const UIUtil_1 = require("../../Form/CustomizationContexts/HelperFunctionContext/UIUtil/UIUtil");
const FormViewModel_1 = require("../Store/FormViewModel");
class CustomNormalizationHelper {
    form;
    constructor(form) {
        this.form = form;
    }
    isFillAutoFieldsFeatureEnabled() {
        const viewModelNode = this.form.store.getState().viewModel[this.form.settings.formRoot];
        return (viewModelNode != undefined &&
            (0, FormViewModel_1.getViewModel)(viewModelNode)?.normalizationSource === "server" &&
            !this.form.settings.disableFlangRulesForEnableAutoFieldFeature);
    }
    async fillAutoFieldsWithAutoValuesAndReload(pathPrefixes, forceReload = false) {
        const uiUtil = new UIUtil_1.UIUtil(this.form.settings.theme);
        await uiUtil.executeLongOperation({ title: "Включение авторасчета", modalSpecialCase: "InfiniteProcess", allowCancel: false }, async (p, signal) => {
            await this.form.customNormalize("formulas", pathPrefixes, forceReload);
            p.setFinishValue(100);
        });
    }
}
exports.CustomNormalizationHelper = CustomNormalizationHelper;
