import { IFetchFunctionCallContextProvider } from "../../Form/CustomizationContexts/FetchFunctionContext/IFetchFunctionCallContextProvider";
import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { IModel } from "../ModelStoring/Model";
import { Sections } from "../ModelStoring/Sections";
import { AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { SectionName } from "../../../Controls/FormParts/Unit/UnitId/UnitId";
export declare class ModelNormalizer {
    private readonly dataDeclarationHelper;
    private readonly isReadOnly;
    private readonly fetchFunctionCallContextProvider;
    private readonly sections;
    constructor(fetchFunctionCallContextProvider: IFetchFunctionCallContextProvider, dataDeclarationHelper: DataDeclarationHelper, sections: Sections, isReadOnly: boolean);
    normalizeSection(model: IModel, sectionName: SectionName): void;
    normalizeByPrefix(model: IModel, nodePathPrefix: AbsoluteResolvedModelPath): void;
    private normalizeTrie;
    private normalizeTrieNode;
    private normalizeDescendants;
    private buildPathsTrie;
    private normalizeViewModelAtPath;
    private isAttributeRequireNormalization;
    private normalizeField;
}
