import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { ILazyLoadingManager } from "../LazyLoading/LazyLoadingManager";
import { BindingPath } from "../CoreTypes";
import { ICandyApiDraftClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
export interface IPathMapper {
    mapPath(outerPath: string): string;
}
export declare class NavigationPathMapper implements IPathMapper {
    private readonly dataDeclarationHelper;
    private readonly modelAccessor;
    private readonly lazyLoadingManager;
    private readonly candyApiDraftClient;
    constructor(modelAccessor: IFormReadonlyModelAccessor, dataDeclarationHelper: DataDeclarationHelper, lazyLoadingManager: ILazyLoadingManager, candyApiDraftClient: ICandyApiDraftClient);
    isCandyPath(path: BindingPath | AbsoluteModelPath): boolean;
    mapPath(outerPath: string): string;
    mapPathWithLazyLoading(outerPath: string): Promise<string>;
    private splitToPathTokens;
    private getTextsBetweenBrackets;
    private removeLastInnerTextToken;
    private isInstanceIndex;
    private parseInstanceIndex;
    private extractFilters;
    private isPathFilterExpression;
    private createPathFilter;
    private simplePathMap;
    private filter;
    private elementAt;
    private findIndexMatchTo;
}
