import { BindingPath } from "../CoreTypes";
import { AbsoluteModelPath, ModelPath } from "../../../../../Common/ModelPath/ModelPath";
export declare class PathUtils {
    static getAbsolutePath(parentPath: string, relativePath: string): string;
    static getParentPath(nodePath: string): null | string;
    static splitToPathAndValueName(path: string): [string, string];
    static getLastToken(nodePath: string): string;
    static getValuePath(nodePath: string, valueName: string): string;
    static isMask(path: string): boolean;
    static trimLastStarIfLastToken(path: string | ModelPath): string;
    static isPrefix(prefix: string, path: string): boolean;
    static split(path: string): string[];
    static splitMask(mask: string): string[];
    static join(tokens: string[]): string;
    static resolve(pathWithMask: BindingPath, instances?: string[]): BindingPath;
    static resolve(pathWithMask: ModelPath, instances?: string[]): ModelPath;
    static resolve(pathWithMask: AbsoluteModelPath, instances?: string[]): AbsoluteModelPath;
    static resolveMaskToDeepestCommonInstance(fullPath: string, mask: string): string | null;
    static isPicklistFieldValueName(valueName: string): boolean;
    static getPicklistFieldName(valueName: string): string;
    /**
     * Используется снаружи. Извлкается номер инстанса для пути. Например, если передать `pathWithMask` /A/B*, а
     * `path` /A/B/2, то функция вернёт `"2"`
     * @param pathWithMask
     * @param path
     */
    static extractInstance(pathWithMask: BindingPath, path: BindingPath): string;
    static extractPathWithInstance(pathWithMask: BindingPath, path: BindingPath): string | undefined;
}
