"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DigestApiPicklist = void 0;
const PicklistTypes_1 = require("./PicklistTypes");
const PicklistQueryResponseBuilder_1 = require("./PicklistQueryResponseBuilder");
class DigestApiPicklist {
    digestApiClient;
    gId;
    constructor(digestApiClient, gId) {
        this.digestApiClient = digestApiClient;
        this.gId = gId;
    }
    async query(filter) {
        const response = await this.digestApiClient.getDigest({ gId: this.gId, filter: filter });
        if (response?.meta == undefined || response?.data == undefined) {
            return (0, PicklistTypes_1.emptyPicklistQueryResponse)();
        }
        return (0, PicklistQueryResponseBuilder_1.buildDigestResponse)(response);
    }
}
exports.DigestApiPicklist = DigestApiPicklist;
