"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDigestResponse = void 0;
const IterableUtils_1 = require("../../../../../Common/IterableUtils");
const TypingUtils_1 = require("../../../../../Common/TypingUtils");
const buildDigestResponse = (response) => {
    const { meta, data } = response;
    return {
        items: data.map(itemColumns => convertPicklistItem(meta, itemColumns)),
        suitableCount: meta.suitableCount,
        columnMetas: meta.columns.map(x => ({ name: x.name, withMarkdown: x.withMarkdown })),
    };
};
exports.buildDigestResponse = buildDigestResponse;
const convertPicklistItem = (meta, itemColumns) => {
    const item = {};
    for (const [_, columnMeta] of IterableUtils_1.IterUtils.iterateEntries(meta.columns)) {
        // @ts-ignore
        const itemColumn = itemColumns[columnMeta.name];
        if ((0, TypingUtils_1.isNotNullOrUndefined)(itemColumn)) {
            item[columnMeta.name] = itemColumn;
        }
    }
    return item;
};
