import { DigestFilter, DigestFilterColumn, DigestLogicalFilter, DigestLogicalOperator } from "../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
export interface PicklistDataItem {
    [columnName: string]: string | number;
}
export interface PicklistColumnMeta {
    name: string;
    withMarkdown: boolean;
}
export interface PicklistQueryResponse {
    items: PicklistDataItem[];
    suitableCount: number;
    columnMetas: PicklistColumnMeta[];
}
export declare const emptyPicklistQueryResponse: () => PicklistQueryResponse;
export declare function isPicklistFilterColumn(filter: DigestFilter): filter is DigestFilterColumn;
export declare function isPicklistLogicalFilter(filter: DigestFilter): filter is DigestLogicalFilter;
export declare function isPicklistFilter(filter: DigestFilter | DigestLogicalOperator): filter is DigestFilter;
export declare function isPicklistLogicalOperator(operator: DigestLogicalOperator | DigestFilterColumn | DigestLogicalFilter): operator is DigestLogicalOperator;
export declare function unionWithAndFilters(filter1: DigestFilter | undefined, filter2: DigestFilter | undefined): undefined | DigestFilter;
export declare function unionWithOrFilters(filter1: DigestFilter | undefined, filter2: DigestFilter | undefined): undefined | DigestFilter;
