import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
import { IDigestApiClient } from "../../../../../Common/CandyApiClient/DigestApiClient/IDigestApiClient";
import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IPicklistsProvider, PicklistSourceId } from "./IPicklistsProvider";
import { IPicklist } from "./IPicklist";
export declare class PicklistsProvider implements IPicklistsProvider {
    private readonly modelAccessor;
    private readonly digestApiClient;
    private readonly digestApiPicklists;
    private readonly innerPathsPicklists;
    constructor(digestApiClient: IDigestApiClient, modelAccessor: IFormReadonlyModelAccessor);
    getDigestApiPicklist(gId: string): IPicklist;
    getInnerPathsPicklist(paths: readonly AbsoluteModelPath[]): IPicklist;
    getPicklist(source: PicklistSourceId): IPicklist | undefined;
}
