import { UnitId } from "../../../Controls/FormParts/Unit/UnitId/UnitId";
import { UnitInfo } from "../../../Controls/UnitInfo";
import { FormSettings } from "../../../Forms/Types/FormSettings";
import { AttachmentState } from "../../Externals/Attachments/Store/AttachmentsReducer";
import { BindingPath } from "../CoreTypes";
import { ErrorLogState } from "../ErrorManager/Store/ErrorLogReducer";
import { CustomErrorLogTooltipState } from "../../../Controls/FormParts/EmbeddedLog/ErrorList/ErrorLogTooltip/CustomErrorLogTooltipState";
import { EmployeeRelativesState, EmployerDocumentsState, ImportEmployeesState } from "../../../StaffServiceIntegration/EmployeeServiceState";
import { RequisitesInfo } from "../../Form/IForm";
import { FeatureFlags } from "../../../Forms/Types/FeatureFlags";
import { UnitIdImmutableSet } from "../../../Controls/FormParts/Unit/UnitId/UnitIdImmutableSet";
import { ModalStateInfo } from "../ModalManager/IModalState";
import { Map2 } from "../../../../../Common/ModelPath/Map/Map2";
import { StringArrayKey } from "../../../../../Common/StringArrayKey";
import { ViewModes } from "../../../Controls/Internals/ViewModeSelector/Store/ViewModesReducer";
import { MultiLinePathState } from "../../../Controls/MultiControls/MultiLine/MultiLineTypes";
import { TabInfosState } from "../../../Controls/MultiControls/Tabs/Store/TabInfosState";
import { FormVisualState } from "../../FormVisualStateReducer";
import { FormViewModel } from "./FormViewModel";
interface ErrorLogTooltipState {
    bindingPaths: BindingPath[];
    errorId: string;
}
export interface ErrorLogTooltipAttachmentState {
    bindingPaths: BindingPath[];
    errorId: string;
    attachmentId?: string;
    highlanderPath?: string;
}
export interface IViewModelContainer {
    viewModel: FormViewModel;
    redefinedViewModels?: FormViewModel[];
    enabledValidatedModels?: {
        [key: string]: boolean;
    };
    errorLogTooltip?: ErrorLogTooltipState;
    errorLogTooltipAttachment?: ErrorLogTooltipAttachmentState;
}
export interface MultiLineInfosState {
    [key: string]: {
        [key: string]: MultiLinePathState;
    };
}
export interface TableState {
    loading: boolean;
}
export interface TableInfosState {
    [key: string]: TableState;
}
export type InstanceNumberState = Record<BindingPath, number>;
export interface FullFormState extends IViewModelContainer {
    attachments: AttachmentState;
    units: {
        [key: string]: {
            width: number;
        };
    };
    errorLog: ErrorLogState;
    modalState?: ModalStateInfo;
    highlightUnit?: UnitId;
    highlightUnitsInfo?: Map2<StringArrayKey, string>;
    emptyUnits: UnitIdImmutableSet;
    settings: FormSettings;
    requisites?: RequisitesInfo;
    unitInfos?: UnitInfo[];
    featureFlags?: FeatureFlags;
    modalUnits: ModalUnitInfo[];
    customErrorLogTooltip?: CustomErrorLogTooltipState;
    multiLineInfos: MultiLineInfosState;
    tableInfos: TableInfosState;
    tabInfos: TabInfosState;
    importEmployees?: ImportEmployeesState;
    employerDocuments?: EmployerDocumentsState;
    employeeRelatives?: EmployeeRelativesState;
    viewModes: ViewModes;
    formVisualState: FormVisualState;
    instanceNumber?: InstanceNumberState;
}
interface ModalUnitInfo {
    targetUnitId: UnitId;
    modalUnitId: UnitId;
}
export interface DraftMeta {
    errorsCount: number;
    resourcesHash: string;
    emptyUnitsVisible?: boolean;
}
export {};
