"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFromLocalStorage = getFromLocalStorage;
exports.setToLocalStorage = setToLocalStorage;
const BrowserHelpers_1 = require("../../../Helpers/BrowserHelpers");
function getFromLocalStorage(key, defaultValue) {
    if (!BrowserHelpers_1.isBrowser) {
        return defaultValue;
    }
    try {
        const item = window.localStorage.getItem(`Candy:${key}`);
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return item ? JSON.parse(item) : defaultValue;
    }
    catch (error) {
        return defaultValue;
    }
}
function setToLocalStorage(key, value) {
    if (!BrowserHelpers_1.isBrowser) {
        return;
    }
    window.localStorage.setItem(`Candy:${key}`, JSON.stringify(value));
}
