import { ICustomValidationFunctionCallContextProvider } from "../../Form/CustomizationContexts/ValidatorContext/ICustomValidationFunctionCallContextProvider";
import { ICalculator2 } from "../Calculator2/Calculator2";
import { IErrorManager } from "../ErrorManager/ErrorManager";
import { Localization } from "../Localization/Localization";
import { IPicklistsProvider } from "../Picklists/IPicklistsProvider";
import { FormStore } from "../Store/CandyStore";
import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { AggregatedValidationFunction } from "../Calculator2/AggregatedValidationFunction";
import { ValidatorResources } from "./ValidatorResources";
export interface IValidator {
    disableAllValidations(): void;
    enableAllValidations(): void;
    loadValidationFunctions(validatorResources: ValidatorResources): void;
    getAggregatedValidationFunctionByPath(path: AbsoluteModelPath): undefined | AggregatedValidationFunction;
}
export declare class Validator implements IValidator {
    private readonly calculator2;
    private readonly customValidationFunctionCallContextProvider;
    private readonly localization;
    private readonly store;
    private readonly errorManager;
    private readonly picklistsProvider;
    private validationsDisabled;
    constructor(customValidationFunctionCallContextProvider: ICustomValidationFunctionCallContextProvider, localization: Localization, store: FormStore, errorManager: IErrorManager, picklistsProvider: IPicklistsProvider, calculator2: ICalculator2, validationFunctions: ValidatorResources | undefined, enableLegacyValidators: boolean);
    loadValidationFunctions(validatorResources: ValidatorResources, enableLegacyValidators?: boolean): void;
    getAggregatedValidationFunctionByPath(path: AbsoluteModelPath): undefined | AggregatedValidationFunction;
    disableAllValidations(): void;
    enableAllValidations(): void;
}
