import { AbsoluteModelPath, ModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { BindingPath } from "../CoreTypes";
import { IValueValidator } from "../../Core/Validator/ValueValidators/Bases/IValueValidator";
import { ICustomValidationFunctionCallContext } from "../../Form/CustomizationContexts/ValidatorContext/ICustomValidationFunctionCallContext";
import { ModelAccessor, ModelCountAccessor } from "../../../Controls/withEvaluators";
export type LegacyValidationFunction = (this: ICustomValidationFunctionCallContext, nodePath: BindingPath) => void;
export interface IValueValidatorWithDeps {
    validator: IValueValidator;
    deps: ModelPath[];
}
export interface ValidatorResources {
    [key: string]: LegacyValidationFunction | Array<[
        conditions: Array<[
            condition: (path: ModelAccessor, count: ModelCountAccessor) => boolean,
            conditionContext: AbsoluteModelPath,
            deps: AbsoluteModelPath[]
        ]>,
        value: IValueValidator
    ]>;
}
