"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationResults = void 0;
class ValidationResults {
    static Valid = { valid: true };
    static ForceValid = { valid: true, forceValid: true };
    static ValidWithEvents(events) {
        return this.withEvents(this.Valid, events);
    }
    static ForceValidEvents(events) {
        return this.withEvents(this.ForceValid, events);
    }
    static Invalid = (message, checkType, events) => ({
        valid: false,
        message: message,
        type: checkType,
        additionalEvents: events,
    });
    static withEvents(originalResult, events) {
        return {
            ...originalResult,
            additionalEvents: [...(originalResult.additionalEvents ?? []), ...(events ?? [])],
        };
    }
}
exports.ValidationResults = ValidationResults;
