import { PicklistSourceId } from "../../Picklists/IPicklistsProvider";
import { LocalizedString } from "../../Localization/ILocalizer";
import { ViewModel } from "../../CoreTypes";
import { FilterBuilder, ResolveToAllFilter, ResolveToNoneFilter } from "../../../../Controls/ValueEditors/Picklist/Common/FilterBuilder";
import { ValueValidatorBase } from "./Bases/ValueValidatorBase";
import { CheckType, IValidationContext, ValidationResult } from "./Bases/IValueValidator";
type BuildFilterCallback = (builder: FilterBuilder, getPath: (path: string) => string, none: ResolveToNoneFilter, all: ResolveToAllFilter) => null | undefined | FilterBuilder | ResolveToNoneFilter | ResolveToAllFilter;
export declare class DigestConditionValueValidator extends ValueValidatorBase {
    private readonly picklistSourceId;
    private readonly condition;
    private readonly checkType;
    private readonly message;
    constructor(picklistSourceId: PicklistSourceId, condition: BuildFilterCallback, checkType: CheckType, message: undefined | LocalizedString);
    validate(context: IValidationContext, nodeViewModel: ViewModel): Promise<ValidationResult>;
    private getValuesFromPicklist;
}
export {};
