import { ICandyComponentHandle } from "../../Core/ComponentHandleRegistry/ICandyComponentHandle";
import { BindingPath } from "../../Core/CoreTypes";
import { IForm } from "../../Form/IForm";
import { SectionName, UnitId } from "../../../Controls/FormParts/Unit/UnitId/UnitId";
import { IActiveLogHelper } from "./IActiveLogHelper";
export declare class ActiveLogHelper implements IActiveLogHelper {
    private readonly form;
    constructor(form: IForm);
    navigate(navigationPath: string): Promise<undefined | ICandyComponentHandle>;
    navigateByBindingPaths(paths: Iterable<BindingPath>): Promise<undefined | ICandyComponentHandle>;
    navigateByHighlanderPaths(paths: Iterable<string>): Promise<undefined | ICandyComponentHandle>;
    findShowOnDemandUnit(sectionNames: SectionName[], path: BindingPath): undefined | UnitId;
    private findUnitAndScroll;
    private findParentUnitAndScroll;
    private prepareParentUnitIdToNavigate;
    private findControlAndFocus;
    private navigateByMask;
    private getPathParts;
    private cutLastInstanceFromPath;
    private waitMountComponent;
    private findUnitInfoById;
}
