import { FormSettings } from "../../../Forms/Types/FormSettings";
import { CustomFile } from "../../../Helpers/file";
import { ICandyApiDraftAttachmentsClient, ICandyApiDraftTasksClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
import { IChangeSetManager } from "../../Core/ChangeSet/IChangeSetManager";
import { DataDeclarationHelper } from "../../Core/DataDeclaration/DataDeclarationHelper";
import { IErrorManager } from "../../Core/ErrorManager/ErrorManager";
import { FormStore } from "../../Core/Store/CandyStore";
import { IFormModelAccessor } from "../../Form/IFormModelAccessor";
import { AttachInfo } from "../../../../../Common/CandyApiClient/Types/Attachments/Attacments";
import { AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { FileProps } from "../../Core/ModalManager/Modals/Utils/Types";
import { IAttachmentsManager } from "./IAttachmentsManager";
export declare class AttachmentsManager implements IAttachmentsManager {
    private readonly dataDeclarationHelper;
    private readonly errorManager;
    private readonly store;
    private readonly modelAccessor;
    private readonly changeSet;
    private readonly candyApiDraftClient;
    private readonly taskStorage;
    constructor(dataDeclarationHelper: DataDeclarationHelper, errorManager: IErrorManager, store: FormStore, changeSet: IChangeSetManager, settings: FormSettings, candyApiDraftClient: ICandyApiDraftAttachmentsClient & ICandyApiDraftTasksClient, modelAccessor: IFormModelAccessor);
    addFiles(bindingPath: AbsoluteResolvedModelPath, files: CustomFile[]): Promise<void>;
    addFile(bindingPath: AbsoluteResolvedModelPath, file: CustomFile): Promise<void>;
    removeFileByInstance(bindingPath: AbsoluteResolvedModelPath, instance: string): Promise<void>;
    removeFile(pathToAttachment: AbsoluteResolvedModelPath): Promise<void>;
    initTasks(): Promise<void>;
    openAsDraft(gfv: string, bindingPath: AbsoluteResolvedModelPath): Promise<void>;
    openFufAsDraft(attachInfo: AttachInfo): Promise<void>;
    loadAsFile(loadedFileProps: FileProps, gfv: string, bindingPath: AbsoluteResolvedModelPath): Promise<void>;
    validateAttachments(): void;
    private createAttachments;
    private createSingleAttachment;
    private tryUploadToDrive;
    private writeResult;
    private tryConvertFile;
    private setAttachmentsToModel;
    private setAttachmentToModel;
    private checkAttachmentError;
    private createAttachment;
    getAttachmentIdByPath(path: string): string;
}
