import { CustomFile } from "../../../Helpers/file";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { FileProps } from "../../Core/ModalManager/Modals/Utils/Types";
import { AttachInfo } from "../../../../../Common/CandyApiClient/Types/Attachments/Attacments";
export interface IAttachmentsManager {
    addFiles(bindingPath: AbsoluteModelPath, files: CustomFile[]): Promise<void>;
    addFile(bindingPath: AbsoluteModelPath, file: CustomFile): Promise<void>;
    removeFileByInstance(bindingPath: AbsoluteModelPath, instance: string): Promise<void>;
    removeFile(pathToAttachment: AbsoluteModelPath): Promise<void>;
    initTasks(): Promise<void>;
    validateAttachments(): void;
    openAsDraft(gfv: string, path: AbsoluteResolvedModelPath): Promise<void>;
    openFufAsDraft(attachInfo: AttachInfo): Promise<void>;
    loadAsFile(loadedFileProps: FileProps, gfv: string, path: AbsoluteResolvedModelPath): Promise<void>;
    getAttachmentIdByPath(path: string): string;
}
