import { AttachInfo } from "../../../../../../Common/CandyApiClient/Types/Attachments/Attacments";
import { AttachmentState } from "./AttachmentsReducer";
export declare enum AttachmentsActionType {
    LoadInitialAttachments = "LoadInitialAttachments",
    AddAttachments = "ADD_ATTACHMENTS",
    RemoveAttachment = "REMOVE_ATTACHMENT",
    UpdateAttachment = "UPDATE_ATTACHMENT",
    SetAttachmentProgress = "SET_ATTACHMENT_PROGRESS"
}
export type AttachmentAction = {
    type: AttachmentsActionType.LoadInitialAttachments;
    payload: AttachmentState;
} | {
    type: AttachmentsActionType.AddAttachments;
    payload: AttachInfo[];
} | {
    type: AttachmentsActionType.RemoveAttachment;
    payload: {
        id: string;
    };
} | {
    type: AttachmentsActionType.UpdateAttachment;
    payload: {
        id: string;
        attachment: AttachInfo;
    };
} | {
    type: AttachmentsActionType.SetAttachmentProgress;
    payload: {
        id: string;
        progress: number;
    };
};
export declare function addAttachments(attachments: AttachInfo[]): AttachmentAction;
export declare function removeAttachment(id: string): AttachmentAction;
export declare function updateAttachment(id: string, attachment: AttachInfo): AttachmentAction;
export declare function setAttachmentProgress(id: string, progress: number): AttachmentAction;
