"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentsActionType = void 0;
exports.addAttachments = addAttachments;
exports.removeAttachment = removeAttachment;
exports.updateAttachment = updateAttachment;
exports.setAttachmentProgress = setAttachmentProgress;
var AttachmentsActionType;
(function (AttachmentsActionType) {
    AttachmentsActionType["LoadInitialAttachments"] = "LoadInitialAttachments";
    AttachmentsActionType["AddAttachments"] = "ADD_ATTACHMENTS";
    AttachmentsActionType["RemoveAttachment"] = "REMOVE_ATTACHMENT";
    AttachmentsActionType["UpdateAttachment"] = "UPDATE_ATTACHMENT";
    AttachmentsActionType["SetAttachmentProgress"] = "SET_ATTACHMENT_PROGRESS";
})(AttachmentsActionType || (exports.AttachmentsActionType = AttachmentsActionType = {}));
function addAttachments(attachments) {
    return {
        type: AttachmentsActionType.AddAttachments,
        payload: attachments,
    };
}
function removeAttachment(id) {
    return {
        type: AttachmentsActionType.RemoveAttachment,
        payload: {
            id: id,
        },
    };
}
function updateAttachment(id, attachment) {
    return {
        type: AttachmentsActionType.UpdateAttachment,
        payload: {
            id: id,
            attachment: attachment,
        },
    };
}
function setAttachmentProgress(id, progress) {
    return {
        type: AttachmentsActionType.SetAttachmentProgress,
        payload: { id: id, progress: progress },
    };
}
