"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFakeErrorLogForDraft = getFakeErrorLogForDraft;
exports.setFakeErrorLogForDraft = setFakeErrorLogForDraft;
function getFakeErrorLogForDraft(draftId) {
    if (process.env.NODE_ENV === "development") {
        const fakeErrorLogString = sessionStorage.getItem("FakeErrorLog." + draftId);
        if (fakeErrorLogString != undefined) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-return
            return JSON.parse(fakeErrorLogString);
        }
    }
    return undefined;
}
function setFakeErrorLogForDraft(draftId, errorLog) {
    if (process.env.NODE_ENV === "development") {
        sessionStorage.setItem("FakeErrorLog." + draftId, JSON.stringify(errorLog));
    }
    else {
        throw new Error("Cannot set fake error log in production build");
    }
}
