import { IPublicForm } from "../../../../Forms/PublicForm/IPublicForm";
import { FormSettings } from "../../../../Forms/Types/FormSettings";
import { ModelValue, ViewModel } from "../../../Core/CoreTypes";
import { ExternalEventInfo } from "../../../Core/EventManagement/ExternalEvents/ExternalEventInfo";
export interface IFormHookCallContext {
    validator: IFormHookValidator;
    publicForm: IPublicForm;
    model: IFormHookModelAccessor;
    settings: FormSettings;
    eventManager: IFormHookEventEmitter;
}
export interface IFormHookEventEmitter {
    trigger(pathArr: string[], eventData?: ExternalEventInfo): void;
}
export interface IFormHookModelAccessor {
    getCached(path: string): ViewModel;
    getCached(path: string, name: "children"): undefined | string[];
    getCached(path: string, name: "errorsCount" | "warningsCount"): undefined | number;
    getCached(path: string, name: string): ModelValue;
    setCached(path: string, name: string, value: ModelValue): void;
}
export interface IFormHookValidator {
    validate(nodePath: string): void;
    validateAll(nodePaths: string[]): void;
}
export interface IFormHookCallContextProvider {
    getFormHookCallContext(): IFormHookCallContext;
}
