import { FormSettings } from "../../../../Forms/Types/FormSettings";
import { ModelValue } from "../../../Core/CoreTypes";
import { PathUtils } from "../../../Core/PathUtils/PathUtils";
import { PicklistQueryResponse } from "../../../Core/Picklists/PicklistTypes";
import { RequisitesInfo } from "../../IForm";
import { DigestQueryFilter } from "../../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
export interface ICustomValidationModelAccessor {
    form: Omit<ICustomValidationFunctionCallContext, "model" | "requisites">;
    pathUtils: typeof PathUtils;
    getCached(path: string, name: "children"): undefined | string[];
    getCached(path: string, name: "value"): undefined | string;
    getCached(path: string, name: "touched"): undefined | boolean | string;
}
export interface ICustomValidationFunctionValidationRunner {
    validate(nodePath: string): void;
    validateAll(nodePaths: string[]): void;
}
export interface ICustomValidationModelAccessorViaPublicForm {
    get(pathOrArray: undefined | string): ModelValue;
}
export interface ICustomValidationErrorManagerProxy {
    addError(nodePath: string, message: string): void;
    addWarning(nodePath: string, message: string): void;
    clearErrors(nodePath: string): void;
    clearWarnings(nodePath: string): void;
    removeWarning(nodePath: string, message: string): void;
}
export interface ICustomValidationLocalizer {
    translate(message: string): string;
}
export interface ICustomValidationPicklistsProvider {
    getByGId(gId: string, filter?: DigestQueryFilter): Promise<PicklistQueryResponse>;
}
export interface ICustomValidationFunctionCallContext {
    settings: FormSettings;
    requisites: RequisitesInfo;
    pathUtils: typeof PathUtils;
    calculationFunctions: {
        generateFirstErrorPart?: (length: number) => string;
    };
    model: ICustomValidationModelAccessor;
    validator: ICustomValidationFunctionValidationRunner;
    publicForm: ICustomValidationModelAccessorViaPublicForm;
    errorManager: ICustomValidationErrorManagerProxy;
    localization: ICustomValidationLocalizer;
    picklistsProvider: ICustomValidationPicklistsProvider;
}
