"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelChangeEventListener = void 0;
const ensureArray = (arg) => (Array.isArray(arg) ? arg : [arg]);
class ModelChangeEventListener {
    modelChangeHookListener = new Map();
    onModelChange(pathOrPaths, listener) {
        const pathArr = ensureArray(pathOrPaths);
        this.modelChangeHookListener.set(listener, pathArr);
        const removeSubscriber = () => {
            this.modelChangeHookListener.delete(listener);
        };
        return {
            unsubscribe: () => {
                removeSubscriber();
            },
        };
    }
}
exports.ModelChangeEventListener = ModelChangeEventListener;
