"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formVisualStateReducer = formVisualStateReducer;
const HiddenPanelActions_1 = require("../Controls/FormParts/HiddenPanel/Store/HiddenPanelActions");
const FormSaveStatusActions_1 = require("../Controls/FormParts/Panel/FormSaveStatus/Store/FormSaveStatusActions");
const INNActions_1 = require("../Controls/ValueEditors/INN/Store/INNActions");
const ActionPanelActions_1 = require("../Controls/FormParts/Panel/ActionPanel/Store/ActionPanelActions");
const FormActions_1 = require("./Form/Store/FormActions");
function formVisualStateReducer(state, action) {
    switch (action.type) {
        case FormSaveStatusActions_1.FormSaveStatusActionType.SetSavingStatus:
            return { ...state, savingStatus: action.payload.status };
        case FormActions_1.FormActionType.SetFormReloading:
            return { ...state, isFormReloading: action.payload.isFormReloading };
        case ActionPanelActions_1.ActionPanelActionType.BeginDownloadFuf:
            return { ...state, isFufDownloading: true };
        case ActionPanelActions_1.ActionPanelActionType.EndDownloadFuf:
            return { ...state, isFufDownloading: false };
        case ActionPanelActions_1.ActionPanelActionType.BeginDownloadInner:
            return { ...state, isInnerDownloading: true };
        case ActionPanelActions_1.ActionPanelActionType.EndDownloadInner:
            return { ...state, isInnerDownloading: false };
        case HiddenPanelActions_1.HiddenPanelActionType.SetWidePanel: {
            return {
                ...state,
                isWidePanel: action.payload,
            };
        }
        case HiddenPanelActions_1.HiddenPanelActionType.SetPanelState: {
            if (state.isFrozenPanel) {
                return state;
            }
            return {
                ...state,
                panelState: action.payload,
            };
        }
        case HiddenPanelActions_1.HiddenPanelActionType.SetPopupPanel: {
            if (state.isFrozenPopup && action.payload.isFrozenPopup !== false) {
                return state;
            }
            const nextState = {
                ...state,
                isPopupPanel: action.payload.isPopupPanel,
            };
            if (action.payload.isFrozenPopup !== undefined) {
                nextState.isFrozenPopup = action.payload.isFrozenPopup;
            }
            return nextState;
        }
        case HiddenPanelActions_1.HiddenPanelActionType.FrozenPanel: {
            return {
                ...state,
                isFrozenPanel: action.payload,
            };
        }
        case HiddenPanelActions_1.HiddenPanelActionType.SetPanelActiveTab: {
            return {
                ...state,
                panelActiveTab: action.payload,
            };
        }
        case INNActions_1.INNActionType.SetHiddenOrgName: {
            return state.isHideOrgName === action.payload ? state : { ...state, isHideOrgName: action.payload };
        }
        default:
            return state;
    }
}
