"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStoredLogItems = getStoredLogItems;
exports.getTestLoggerInstance = getTestLoggerInstance;
const sessionStorageKey = "Candy:TestLogs";
function clearLogItems() {
    try {
        if (sessionStorage.getItem(sessionStorageKey) != undefined) {
            sessionStorage.removeItem(sessionStorageKey);
        }
    }
    catch {
        // ignore errors
    }
}
function getStoredLogItems() {
    try {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return JSON.parse(sessionStorage.getItem(sessionStorageKey) ?? "[]");
    }
    catch (e) {
        sessionStorage.removeItem(sessionStorageKey);
        return undefined;
    }
}
class EmptyTestLogger {
    log(message, customFields) {
        // noop
    }
}
const singleton = new EmptyTestLogger();
function getTestLoggerInstance() {
    clearLogItems();
    return singleton;
}
