"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCandyHub = getCandyHub;
exports.initializeSentry = initializeSentry;
const Sentry = __importStar(require("@sentry/react"));
const integrations_1 = require("@sentry/integrations");
const utils_1 = require("@sentry/utils");
let candyHub = new Sentry.Hub();
function getCandyHub() {
    return candyHub;
}
function isCandySentryEvent(event) {
    if (event.exception == undefined) {
        return true;
    }
    if (event.exception.values?.[0]?.stacktrace?.frames?.length === 1) {
        return true;
    }
    return event.exception.values?.[0]?.stacktrace?.frames?.slice(1).some(x => x.filename?.includes("candy")) ?? false;
}
function initializeSentry() {
    function getSentryEnvironment() {
        if (process.env.ENGINE_NAME !== "local") {
            if (window.location.hostname.includes("localhost") || window.location.hostname.startsWith("me.")) {
                return "Local";
            }
            else if (window.location.hostname.endsWith(".testkontur.ru") &&
                window.location.hostname.startsWith("forms")) {
                return "TestForms";
            }
            else if (window.location.hostname.endsWith(".testkontur.ru")) {
                return "Cloud";
            }
            else if (window.location.hostname.endsWith(".dev.kontur.ru")) {
                return "Unknown";
            }
            else if (window.location.hostname.endsWith(".kontur.ru")) {
                return "Production";
            }
            else {
                return "Unknown";
            }
        }
        else {
            return "Local";
        }
    }
    const currentClient = Sentry.getCurrentHub().getClient();
    try {
        if (currentClient == undefined) {
            // eslint-disable-next-line no-console
            console.log("Initialize Sentry from scratch...");
            Sentry.init({
                dsn: "https://51b19d6561eb4ec4ab08266c579fa74d@sentry.kontur.host/575",
                environment: getSentryEnvironment(),
                release: process.env.ENGINE_NAME === "local"
                    ? undefined
                    : `kontur.candy.engine@${process.env.npm_package_version}`,
                integrations: [...Sentry.defaultIntegrations, new integrations_1.RewriteFrames()],
            });
            candyHub = Sentry.getCurrentHub();
            Sentry.addGlobalEventProcessor(async (event) => {
                if (isCandySentryEvent(event)) {
                    return event;
                }
                return null;
            });
        }
        else {
            // eslint-disable-next-line no-console
            console.log("Initialize Sentry from existing client...");
            const client = new Sentry.BrowserClient({
                dsn: "https://51b19d6561eb4ec4ab08266c579fa74d@sentry.kontur.host/575",
                environment: getSentryEnvironment(),
                release: process.env.ENGINE_NAME === "local"
                    ? undefined
                    : `kontur.candy.engine@${process.env.npm_package_version}`,
                integrations: Sentry.defaultIntegrations,
                transport: Sentry.makeFetchTransport,
                stackParser: Sentry.defaultStackParser,
            });
            candyHub.bindClient(client);
            Sentry.addGlobalEventProcessor(async (event) => {
                if (!event.extra?.candy) {
                    if (isCandySentryEvent(event)) {
                        candyHub.captureEvent({
                            ...event,
                            event_id: (0, utils_1.uuid4)(),
                            environment: undefined,
                            release: undefined,
                            extra: { candy: true },
                        });
                        return event;
                    }
                    return event;
                }
                else {
                    return event;
                }
            });
        }
    }
    catch (e) {
        // eslint-disable-next-line no-console
        console.error(e);
    }
}
