import { AbsoluteResolvedModelPath } from "../../../../Common/ModelPath/ModelPath";
import { DraftFullId } from "../../../../Common/CandyApiClient/Types/DraftFullId";
import type { AuthenticationMode } from "../../../../Common/HttpClient/AuthenticationMode";
import { FormInfo } from "../../../../Common/CandyApiClient/ClientDraftInfo/FnsFormInfo";
import { PrintInfo } from "../../../../Common/CandyApiClient/ClientDraftInfo/PrintInfo";
import { GFV } from "../../../../Common/GFV";
import type { LayoutEventsStatic } from "../../Controls/Internals/LayoutEvents/LayoutEvents";
import { customButtonOptions } from "../../Controls/FormParts/SimpleForm/SimpleForm";
import { ActionDescription } from "../Client/Client";
import { ExtraPageAction } from "../../Controls/FormParts/Unit/Types";
import type { IKeWebTemplatesApiClient } from "./IKeWebTemplatesApiClient";
import { AUOOptions } from "./AUOOptions";
export interface FormSettings extends Partial<AUOOptions> {
    draftId: string;
    ns: string;
    gfv: GFV;
    authentication?: AuthenticationMode;
    setModalContext?: boolean;
    doNotValidateFormOnStart?: boolean;
    resourceHash?: string;
    employerId?: string;
    navigationQueryPath?: string;
    navigationPath?: string;
    navigationAttachmentId?: string;
    navigationHighlanderPath?: string;
    attachmentId?: string;
    isIndividual?: boolean;
    isForeign?: boolean;
    canCheckByPopd?: boolean;
    isTestServer?: boolean;
    renderCachingForIE8?: boolean;
    normalizationOnServer?: boolean;
    debug?: boolean;
    printFromEditor?: boolean;
    noLoader?: boolean;
    formRoot: string;
    showFormContainer: boolean;
    hasTemplates?: boolean;
    embeddedLogEnabled: boolean;
    theme?: string;
    enableCustomizationButton?: boolean;
    allowsend: boolean;
    printInfo: PrintInfo;
    regions: string[];
    hideFufDownloadButton?: boolean;
    feedbackEnabled?: boolean;
    isDisabledCloseButton?: boolean;
    isDisabledCloseAndSaveButton?: boolean;
    isDisabledCleanForm?: boolean;
    isINNEnabled?: boolean;
    prevGfvDraftId?: string;
    model?: {
        [path: string]: unknown;
    };
    isDisabledTour?: boolean;
    shownTours?: string[];
    resourceZone?: string;
    lang?: string;
    isReadOnly?: boolean;
    engineVersion?: string;
    externalInitSectionPath?: string;
    interdocumentTransfer?: boolean;
    templatesApi?: IKeWebTemplatesApiClient;
    panelActions?: ActionDescription[];
    showUnitBorder?: boolean;
    showNavigationSidebar?: boolean;
    ieDeprecationWarningEnabled?: boolean;
    formInfo?: FormInfo;
    externalOnClickByPathWithSingleCallback?: onClickByPathWithSingleCallback;
    eventEmitter?: LayoutEventsStatic;
    __onlyForTests__enableLegacyValidators?: boolean;
    keformsUrl: string;
    normativeUrl?: string;
    staffWidgetUrl?: string;
    staffServiceUrl: string;
    picklistUrl: string;
    nidusUrl: string;
    fsPrinterUrl: string;
    useRawPartialInner?: boolean;
    useHeavyErrorLog?: boolean;
    isFormInFormNds?: boolean;
    useExtendedErrorLog: boolean;
    useServerSideFLangNormalization?: boolean;
    useServerSideCalculations?: boolean;
    disableFlangRulesForEnableAutoFieldFeature?: boolean;
    onRemoveAttachment?: () => void;
    onClearAttachment?: () => void;
    attachmentPageActions?: ExtraPageAction[];
    zeroReportingEnabled?: boolean;
    callInitZeroReport?: boolean;
    /**
     * сделано для фсс кастомной кнопки https://kontur.slack.com/archives/C08EAL0P2/p1686725230032659?thread_ts=1685968468.539989&cid=C08EAL0P2
     Выпилить в рамках https://yt.skbkontur.ru/issue/FS-7999/Pereehat-na-generaciyu-kontenta-futera-v-SimpleForm-iz-resursov
     * */
    sendToSignButton?: customButtonOptions;
    signAndSendButton?: customButtonOptions;
    innerHistoryEnabled?: boolean;
}
export interface onClickByPathWithSingleCallback {
    pathMasks: string[];
    callback: (resolvedPath: string) => Promise<void>;
}
export declare function getDraftFullId(settings: FormSettings): DraftFullId;
export declare function getFormRootModelPath(settings: FormSettings): AbsoluteResolvedModelPath;
