import Big from "big.js";
import { CalculationFunction, CalculationResult } from "../Engine/Core/AutoCalculations/CalculationResources";
import { ArgMappingType, IOperandsGetter, OperandGettingResult } from "../Engine/Core/AutoCalculations/OperandsGetter";
import { ICalculationFunctionCallContext } from "../Engine/Form/CustomizationContexts/CalculatorContext/CalculationFunctionCallContext";
import { RequisitesInfo } from "../Engine/Form/IForm";
import { FormSettings } from "../Forms/Types/FormSettings";
type ArgMapping = [string] | [string, string] | [string, string, undefined | ArgMappingType];
interface ArgsMapping {
    [name: string]: ArgMapping;
}
interface ArgMappingResult {
    [name: string]: OperandGettingResult;
}
export declare function getOperands(argsMapping: ArgsMapping, operandsGetter: IOperandsGetter): ArgMappingResult;
type AsyncCalculationFunction = (argsMapping: ArgMappingResult, operandsGetter: IOperandsGetter, set: FormSettings, requisitesInfo: RequisitesInfo) => CalculationResult[];
export declare function getAsyncResultHandler(argsMapping: ArgsMapping, calcFn: AsyncCalculationFunction): CalculationFunction;
type AsyncTextCalculationFunction = (argsMapping: ArgMappingResult, set: FormSettings, requi: RequisitesInfo, operandsGetter: IOperandsGetter) => CalculationResult[];
export declare function getAsyncTextResultHandler(argsMapping: ArgsMapping, calcFn: AsyncTextCalculationFunction): CalculationFunction;
type AsyncBoolCalculationFunction = (argsMapping: ArgMappingResult, set: FormSettings, operandsGetter: IOperandsGetter, context: ICalculationFunctionCallContext) => CalculationResult[];
export declare function getAsyncBoolResultHandler(argsMapping: ArgsMapping, calcFn: AsyncBoolCalculationFunction): CalculationFunction;
type AsyncErrorCalculationFunction = (argsMapping: ArgMappingResult, set: FormSettings, rq: RequisitesInfo, operandsGetter: IOperandsGetter) => CalculationResult;
export declare function getAsyncErrorResultHandler(argsMapping: ArgsMapping, calcFn: AsyncErrorCalculationFunction): CalculationFunction;
export declare function wrapDecimalOperand(value: Big | number | string | undefined | null): Big;
export declare function wrapDecimalOrUndefined(value: Big | number | string | undefined | null): Big | undefined;
export declare function getSum(values: Array<number | string | undefined | null>): "" | Big;
export declare function checkValuesArguments(args: {
    [name: string]: OperandGettingResult;
}): boolean;
export declare const getAsyncReturnedResultHandler: typeof getAsyncErrorResultHandler;
export {};
