"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isBrowser = void 0;
exports.isDOMRectInView = isDOMRectInView;
exports.tryScrollIntoViewWithFallback = tryScrollIntoViewWithFallback;
const InitializeSentry_1 = require("../Forms/Sentry/InitializeSentry");
exports.isBrowser = typeof window !== "undefined";
function isDOMRectInView(rect) {
    return rect != undefined && rect.top >= 0 && rect.left >= 0 && rect.bottom <= document.documentElement.clientHeight;
}
function tryScrollIntoViewWithFallback(element, options) {
    const getFallbackOptions = () => ({
        ...options,
        ...{
            block: options.block === "center" ? "start" : options.block,
            inline: options.inline === "center" ? "start" : options.inline,
        },
    });
    const sentryHub = (0, InitializeSentry_1.getCandyHub)();
    try {
        element.scrollIntoView(options);
    }
    catch (error) {
        sentryHub.captureException(error);
        element.scrollIntoView(getFallbackOptions());
    }
}
