export interface DateShape {
    date: number | null | undefined;
    month: number | null | undefined;
    year: number | null | undefined;
}
export interface CalendarDateShape {
    year: number;
    month: number;
    date: number;
}
export declare function parseDateString(value: string): DateShape;
export declare function isValidDate({ date, month, year }: DateShape): boolean;
export declare function tryGetValidDateShape(x: DateShape): CalendarDateShape | undefined;
export declare const comparator: (a: CalendarDateShape, b: CalendarDateShape) => 0 | 1 | -1;
export declare function isValidStringDate(date: string): boolean;
export declare function isLessOrEqualStringDates(a: string, b: string): boolean;
export declare function getLastDateOfMonth(date: Date): number;
export declare function differenceInMonths(leftDate: Date, rightDate: Date): number;
export declare function differenceInDays(leftDate: Date, rightDate: Date): number;
export declare function addDays(date: Date, amount: number): Date;
export declare function addMonths(date: Date, amount: number): Date;
export declare function addYears(date: Date, amount: number): Date;
export declare function dateToString(date: Date, format: string): string;
export declare function isDate(date: Date | null | undefined): boolean;
export declare function convertDate(dateValue: string): Date | null;
export declare const HelperFunctionsDateHelpers: {
    isValidDate: typeof isValidDate;
    parseDateString: typeof parseDateString;
};
