import { BindingPath } from "../../Engine/Core/CoreTypes";
import { FilterAndExpression, FilterByInstancesExpression, FilterEndDateExpression, FilterEqualExpression, FilterExpression, FilterOrExpression, FilterStartDateExpression, FilterSubstringExpression, FilterUnaryNotExpression } from "./FilterExpression";
type GetModelValuesFn = (dataPath: BindingPath) => string[];
type GetInstanceFn = (dataPath: BindingPath) => string;
export type ConditionalFunction = (getModelValuesFn: GetModelValuesFn, getInstanceFn: GetInstanceFn) => boolean;
export declare function compileFilterExpression(expression: FilterExpression): ConditionalFunction;
export declare abstract class FilterExpressionTransduceVisitor<T> {
    transformExpression(expression: FilterExpression): T;
    protected abstract createDefaultResult(): T;
    protected abstract transformOrExpression(expression: FilterOrExpression): T;
    protected abstract transformAndExpression(expression: FilterAndExpression): T;
    protected abstract transformEqualExpression(expression: FilterEqualExpression): T;
    protected abstract transformStartDateExpression(expression: FilterStartDateExpression): T;
    protected abstract transformEndDateExpression(expression: FilterEndDateExpression): T;
    protected abstract transformSubstringExpression(expression: FilterSubstringExpression): T;
    protected abstract transformByInstancesExpression(expression: FilterByInstancesExpression): T;
    protected abstract transformUnaryNotExpression(expression: FilterUnaryNotExpression): T;
}
export {};
