export interface FilterOrExpression {
    operator: OperatorType.Or;
    conditions: FilterExpression[];
}
export interface FilterEqualExpression {
    operator: OperatorType.Equal;
    condition: CompareWithConstantCondition;
}
export interface FilterEqualExpression {
    operator: OperatorType.Equal;
    condition: CompareWithConstantCondition;
}
export interface FilterStartDateExpression {
    operator: OperatorType.StartDate;
    condition: CompareWithConstantCondition;
}
export interface FilterEndDateExpression {
    operator: OperatorType.EndDate;
    condition: CompareWithConstantCondition;
}
export interface FilterSubstringExpression {
    operator: OperatorType.Substring;
    condition: CompareWithConstantCondition;
}
export interface FilterByInstancesExpression {
    operator: OperatorType.ByInstances;
    condition: CompareWithInstancesCondition;
}
export interface FilterAndExpression {
    operator: OperatorType.And;
    conditions: FilterExpression[];
}
export interface FilterUnaryNotExpression {
    operator: OperatorType.UnaryNot;
    condition: FilterExpression;
}
export declare function isSubstringExpression(x: undefined | FilterExpression): x is FilterSubstringExpression;
export declare function isStartDateExpression(x: undefined | FilterExpression): x is FilterStartDateExpression;
export declare function isEndDateExpression(x: undefined | FilterExpression): x is FilterEndDateExpression;
export declare function isOrExpression(x: undefined | FilterExpression): x is FilterOrExpression;
export declare function isAndExpression(x: undefined | FilterExpression): x is FilterAndExpression;
export declare function isEqualExpression(x: undefined | FilterExpression): x is FilterEqualExpression;
export declare function isBinaryExpression(x: undefined | FilterExpression): x is FilterEqualExpression | FilterStartDateExpression | FilterEndDateExpression | FilterSubstringExpression;
export type FilterExpression = FilterEqualExpression | FilterStartDateExpression | FilterEndDateExpression | FilterSubstringExpression | FilterAndExpression | FilterOrExpression | FilterUnaryNotExpression | FilterByInstancesExpression;
export interface CompareWithConstantCondition {
    dataPath: string;
    value: string;
}
export interface CompareWithInstancesCondition {
    dataPath: string;
    instances: string[];
}
export declare enum OperatorType {
    UnaryNot = "unaryNot",
    And = "and",
    Or = "or",
    Equal = "equal",
    StartDate = "startDate",
    EndDate = "endDate",
    Substring = "substring",
    ByInstances = "byInstances"
}
export declare enum FilterType {
    Substring = "substring",
    Equal = "equal",
    DateRange = "dateRange"
}
