"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterType = exports.OperatorType = void 0;
exports.isSubstringExpression = isSubstringExpression;
exports.isStartDateExpression = isStartDateExpression;
exports.isEndDateExpression = isEndDateExpression;
exports.isOrExpression = isOrExpression;
exports.isAndExpression = isAndExpression;
exports.isEqualExpression = isEqualExpression;
exports.isBinaryExpression = isBinaryExpression;
function isSubstringExpression(x) {
    return x != undefined && x.operator === OperatorType.Substring;
}
function isStartDateExpression(x) {
    return x != undefined && x.operator === OperatorType.StartDate;
}
function isEndDateExpression(x) {
    return x != undefined && x.operator === OperatorType.EndDate;
}
function isOrExpression(x) {
    return x != undefined && x.operator === OperatorType.Or;
}
function isAndExpression(x) {
    return x != undefined && x.operator === OperatorType.And;
}
function isEqualExpression(x) {
    return x != undefined && x.operator === OperatorType.Equal;
}
function isBinaryExpression(x) {
    return (x != undefined &&
        (x.operator === OperatorType.Equal ||
            isEndDateExpression(x) ||
            isStartDateExpression(x) ||
            x.operator === OperatorType.Substring));
}
var OperatorType;
(function (OperatorType) {
    OperatorType["UnaryNot"] = "unaryNot";
    OperatorType["And"] = "and";
    OperatorType["Or"] = "or";
    OperatorType["Equal"] = "equal";
    OperatorType["StartDate"] = "startDate";
    OperatorType["EndDate"] = "endDate";
    OperatorType["Substring"] = "substring";
    OperatorType["ByInstances"] = "byInstances";
})(OperatorType || (exports.OperatorType = OperatorType = {}));
var FilterType;
(function (FilterType) {
    FilterType["Substring"] = "substring";
    FilterType["Equal"] = "equal";
    FilterType["DateRange"] = "dateRange";
})(FilterType || (exports.FilterType = FilterType = {}));
