"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIn = getIn;
exports.setIn = setIn;
exports.updateIn = updateIn;
exports.deleteIn = deleteIn;
/* eslint-disable @typescript-eslint/no-explicit-any */
const lodash_omit_1 = __importDefault(require("lodash.omit"));
const IterableUtils_1 = require("../../../Common/IterableUtils");
const TypingUtils_1 = require("../../../Common/TypingUtils");
function getIn(state = {}, keys, defaultValue) {
    let value = state;
    for (const key of keys) {
        // @ts-ignore
        if (value[key] === null) {
            return null;
        }
        // @ts-ignore
        if (value[key] === undefined) {
            return defaultValue;
        }
        // @ts-ignore
        value = value[key];
    }
    return value;
}
function setIn(state, keys, value) {
    const obj = { ...state };
    if (!(0, TypingUtils_1.arrayHasAtLeastOneItem)(keys)) {
        return state;
    }
    // @ts-ignore
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    const last = keys.slice(0, -1).reduce((part, key) => (part[key] = part[key] ? { ...part[key] } : {}), obj);
    // @ts-ignore
    last[IterableUtils_1.IterUtils.last(keys)] = value;
    return obj;
}
function updateIn(state, keys, fn, defaultValue) {
    const obj = { ...state };
    if (!(0, TypingUtils_1.arrayHasAtLeastOneItem)(keys)) {
        return state;
    }
    const last = keys
        .slice(0, -1)
        .reduce((part, key) => (part[key] = part[key] ? { ...part[key] } : {}), obj);
    const value = last[IterableUtils_1.IterUtils.last(keys)];
    const oldValue = value === undefined ? defaultValue : value;
    last[IterableUtils_1.IterUtils.last(keys)] = fn(oldValue);
    return obj;
}
function deleteIn(state, path, key) {
    const newSubstate = (0, lodash_omit_1.default)(getIn(state, path, {}), key);
    return setIn(state, path, newSubstate);
}
