"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIsLoading = getIsLoading;
exports.setIsLoading = setIsLoading;
exports.getColumnGroupingGroupStates = getColumnGroupingGroupStates;
exports.updateColumnGroupingGroupStates = updateColumnGroupingGroupStates;
exports.getHiddenColgroupingGroupStates = getHiddenColgroupingGroupStates;
exports.setHiddenColgroupingGroupState = setHiddenColgroupingGroupState;
exports.updateHiddenColgroupingGroupFilledCount = updateHiddenColgroupingGroupFilledCount;
const ReduxStateHelpers_1 = require("../ReduxStateHelpers");
function getIsLoading(state, bindingPath) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return (0, ReduxStateHelpers_1.getIn)(state, ["tableInfos", bindingPath, "loading"], false);
}
function setIsLoading(state, bindingPath, loading) {
    return (0, ReduxStateHelpers_1.setIn)(state, ["tableInfos", bindingPath, "loading"], loading);
}
function getColumnGroupingGroupStates(state, bindingPath, groupKey) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return (0, ReduxStateHelpers_1.getIn)(state, ["tableInfos", bindingPath, "columnGrouping", groupKey ?? "UNDEFINED_GROUP_KEY"], undefined);
}
function updateColumnGroupingGroupStates(state, bindingPath, groupKey, updateFn, defaultValue) {
    return (0, ReduxStateHelpers_1.updateIn)(state, ["tableInfos", bindingPath, "columnGrouping", groupKey ?? "UNDEFINED_GROUP_KEY"], updateFn, defaultValue);
}
function getHiddenColgroupingGroupStates(state, bindingPath, groupKey) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return (0, ReduxStateHelpers_1.getIn)(state, ["tableInfos", bindingPath, "hiddenColgrouping", groupKey ?? "UNDEFINED_GROUP_KEY"], {});
}
function setHiddenColgroupingGroupState(state, bindingPath, groupKey, hiddenColgroupState) {
    return (0, ReduxStateHelpers_1.setIn)(state, ["tableInfos", bindingPath, "hiddenColgrouping", groupKey ?? "UNDEFINED_GROUP_KEY", "state"], hiddenColgroupState);
}
function updateHiddenColgroupingGroupFilledCount(state, bindingPath, groupKey, updateFn, defaultValue) {
    return (0, ReduxStateHelpers_1.updateIn)(state, ["tableInfos", bindingPath, "hiddenColgrouping", groupKey ?? "UNDEFINED_GROUP_KEY", "filledCount"], updateFn, defaultValue);
}
