"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMultilineState = getMultilineState;
const ReduxStateHelpers_1 = require("../ReduxStateHelpers");
const ModelPath_1 = require("../../../../Common/ModelPath/ModelPath");
function getMultilineState(state, bindingPath, filteredUniqKey = "default", defaultValue) {
    const filter = filteredUniqKey;
    const bindingPathIterable = [bindingPath == undefined ? undefined : (0, ModelPath_1.convertToLegacyPath)(bindingPath)];
    const defaultWithFiltered = { [filter]: defaultValue };
    const data = (0, ReduxStateHelpers_1.getIn)(state, bindingPathIterable, defaultWithFiltered);
    // тут мы напрямую обращаемся в стейт, и берем по пути данные, однако тут мы ничего не пишем в стейт.
    // возможно тут применение getIn вовсе не нужно, и стоит попробовать написать метод включающий в себя вложенность путей
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return data[filter] ?? defaultValue;
}
