"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitStateSelect = void 0;
const ReduxStateHelpers_1 = require("../ReduxStateHelpers");
const UnitId_1 = require("../../Controls/FormParts/Unit/UnitId/UnitId");
class UnitStateSelect {
    static getUnitWidth(state, unitId) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return (0, ReduxStateHelpers_1.getIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId), "width"]);
    }
    static setUnitWidth(state, unitId, width) {
        return (0, ReduxStateHelpers_1.setIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId), "width"], width);
    }
    static deleteUnitWidth(state, unitId) {
        return (0, ReduxStateHelpers_1.deleteIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId)], "width");
    }
    static getUnitTableWidths(state, unitId) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return (0, ReduxStateHelpers_1.getIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId), "tablesWidth"], {});
    }
    static setUnitTableWidth(state, unitId, tableId, width) {
        return (0, ReduxStateHelpers_1.setIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId), "tablesWidth", tableId], width);
    }
    static deleteUnitTableWidth(state, unitId, tableId) {
        return (0, ReduxStateHelpers_1.deleteIn)(state, ["units", (0, UnitId_1.unitIdToLegacyUnitId)(unitId), "tablesWidth"], tableId);
    }
}
exports.UnitStateSelect = UnitStateSelect;
