import { AbsoluteModelPath, ModelPath } from "../../../../Common/ModelPath/ModelPath";
import { BindingPath, ViewModel } from "../../Engine/Core/CoreTypes";
import { NodeViewModel } from "../../Engine/Core/Store/FormViewModel";
import { DraftMeta, FullFormState, IViewModelContainer } from "../../Engine/Core/Store/FullFormState";
interface ControlModel {
    isTooltipEnabled: boolean;
    value?: string;
    error?: string;
    warning?: string;
    description?: string;
    id?: string;
    children?: string[];
    autoValue?: string;
    disabled?: boolean;
    autoFlag?: boolean;
    visible?: boolean;
    disabledSending?: boolean;
    ignoreAutoFlag?: boolean;
}
export declare class ViewModelSelect {
    private readonly redefinedViewModelIndex?;
    private readonly useControlContext;
    constructor(useContext: boolean, redefinedViewModelIndex?: number);
    withNextViewModel(): ViewModelSelect;
    controlModel(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath): ControlModel;
    pathViewModel(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath): ViewModel;
    pathViewModelOrUndefined(state: IViewModelContainer, bindingPath: ModelPath | BindingPath): ViewModel | undefined;
    node(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath): NodeViewModel;
    private splitBindingPathToIterableTokens;
    customFieldValue(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath, customValueFieldName: string, defaultValue?: string): string;
    getErrorCount(state: IViewModelContainer, modelPath: AbsoluteModelPath): number;
    getWarningCount(state: IViewModelContainer, modelPath: AbsoluteModelPath): number;
    customFieldValueOrUndefined(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath, customValueFieldName: string): undefined | string;
    children(state: IViewModelContainer, bindingPath: BindingPath | AbsoluteModelPath, defaultValue?: string[]): readonly string[];
    draftMeta(state: FullFormState): DraftMeta | undefined;
    getRootElement(state: FullFormState): string | undefined;
    private viewModelGetIn;
}
export declare const currentViewModelSelect: ViewModelSelect;
export {};
