"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelperFunctionsStringHelpers = exports.pluralize = exports.splitLastOccurrence = void 0;
const IntRangeUtils_1 = require("../../../Common/IntRangeUtils");
const splitLastOccurrence = (source, substring) => {
    const lastIndex = source.lastIndexOf(substring);
    let before = "";
    let after = "";
    if (lastIndex !== -1) {
        before = source.slice(0, lastIndex);
        after = source.slice(lastIndex + 1);
    }
    return [before, after];
};
exports.splitLastOccurrence = splitLastOccurrence;
const pluralize = (count, words, localizer) => {
    const cases = [2, 0, 1, 1, 1, 2];
    const x = count % 100 > 4 && count % 100 < 20 ? 2 : cases[(0, IntRangeUtils_1.clampUInt)(count % 10, 0, 5)];
    return count.toString() + " " + (localizer ? localizer.translate(words[x]) : words[x]);
};
exports.pluralize = pluralize;
exports.HelperFunctionsStringHelpers = {
    pluralize: exports.pluralize,
};
