declare global {
    interface Window {
        lastInputElement?: HTMLInputElement;
        kontur?: {
            drive?: {
                upload?: any;
                init: (callback: (error?: Error) => void) => void;
            };
        };
    }
}
export interface CustomFile {
    name: string;
    size: number;
    contentUri?: string;
}
export interface DriveTask {
    cancel: () => void;
    then: (resolve: (result: string | undefined) => void, reject: () => void) => undefined;
}
interface DriveResult {
    initDrive: Promise<void>;
    getDriveTask: () => DriveTask;
}
export type UploadToDrive = (file: CustomFile, changeProgress: (done: number, total: number) => void) => DriveResult;
export declare function selectUserFiles(multiple: boolean): Promise<CustomFile[]>;
export declare function uploadToDrive(file: CustomFile, onProgress: (done: number, total: number) => void): DriveResult;
export {};
