"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.employerDocumentsReducer = employerDocumentsReducer;
const EmployerDocumentsAction_1 = require("./EmployerDocumentsAction");
const EmployerDocumentsStateUtils_1 = require("./EmployerDocumentsStateUtils");
function employerDocumentsReducer(state, action) {
    let nextState = state;
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.BeginImport) {
        nextState = {
            ...nextState,
            showSideBar: true,
            loading: true,
            documents: [],
            activePage: 1,
            options: action.payload.options,
            filterType: action.payload.filterType,
            filterValue: action.payload.filterValue,
            resultDeferred: action.payload.deferredResult,
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.ChangeFilterType) {
        nextState = {
            ...nextState,
            loading: true,
            documents: [],
            activePage: 1,
            filterType: action.payload.filterType,
            filterValue: (0, EmployerDocumentsStateUtils_1.getSelectedFilterValueByType)(action.payload.filterType, state?.options?.filter?.selectValues ?? {}),
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.ChangeFilterValue) {
        nextState = {
            ...nextState,
            activePage: 1,
            filterValue: action.payload.filterValue,
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.BeginLoading) {
        nextState = {
            ...nextState,
            loading: true,
            documents: [],
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.CompleteLoading) {
        nextState = {
            ...nextState,
            loading: false,
            documents: action.payload.documents,
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.EndImport) {
        nextState = {
            ...nextState,
            showSideBar: false,
            loading: false,
            documents: [],
            activePage: 1,
            resultDeferred: undefined,
        };
    }
    if (action.type === EmployerDocumentsAction_1.EmployerDocumentsActionType.ChangePage) {
        nextState = {
            ...nextState,
            activePage: action.payload.pageNumber,
        };
    }
    return nextState;
}
