import { Employee, EmployeeListInitialState, relativeDef } from "@skbkontur/staff-selector-widget";
import { BindingPath } from "../Engine/Core/CoreTypes";
import { Deferred } from "../Helpers/Deferred";
import { EmployerDocument, EmployerNormalizedTag, ImportEmployerDocumentsFilterType, ImportEmployerDocumentsOptions, ImportFromEmployeeServiceOptions } from "./EmployeeServiceTypes";
export interface ImportEmployeesState {
    showSideBar: boolean;
    initialState?: EmployeeListInitialState;
    options?: ImportFromEmployeeServiceOptions;
    resultDeferred?: Deferred<Employee[] | undefined>;
}
export interface EmployerDocumentsState {
    showSideBar: boolean;
    loading: boolean;
    documents: EmployerDocument[];
    activePage: number;
    filterType?: ImportEmployerDocumentsFilterType;
    filterValue?: string | number;
    options?: ImportEmployerDocumentsOptions;
    resultDeferred?: Deferred<EmployerNormalizedTag | undefined>;
}
interface EmployeeRelativesItem {
    relatives: relativeDef[];
    selectedRelative: relativeDef | null;
}
export interface EmployeeRelativesState {
    [path: BindingPath]: EmployeeRelativesItem;
}
export {};
