"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormStaffClient = void 0;
const staff_selector_widget_1 = require("@skbkontur/staff-selector-widget");
const TypingUtils_1 = require("../../../Common/TypingUtils");
class FormStaffClient {
    staffClient;
    employerId;
    constructor(settings) {
        this.staffClient = new staff_selector_widget_1.StaffClient({ url: settings.staffServiceUrl });
        this.employerId = settings.employerId;
    }
    async getWorkingEventsForEmployee(query) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        try {
            const events = await this.staffClient.getWorkingEvents(employerId, query);
            return events;
        }
        catch {
            return undefined;
        }
    }
    async getAdditionalEmployeeInfo(query) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        try {
            // интерфейс фильтров устаревший, пацаны из сс должны поправить
            // актуальные тут https://developer.kontur.ru/doc/staff/method?type=get&path=%2Fv1%2Femployers%2F%7BemployerId%7D%2Femployees
            const employee = await this.staffClient.getEmployees(employerId, query);
            return employee;
        }
        catch {
            return undefined;
        }
    }
    async getDocuments(query, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.getDocuments(employerId, query, signal);
    }
    createDocument(request, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.createDocument(employerId, request, signal);
    }
    getEmployee(employeeId, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.getEmployee(employerId, employeeId, signal);
    }
    getEmployees(query, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.getEmployees(employerId, query, signal);
    }
    getRelative(employeeId, relativeId, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.getRelative(employerId, employeeId, relativeId, signal);
    }
    getRelatives(employeeId, query, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.getRelatives(employerId, employeeId, query, signal);
    }
    mergeRelative(employeeId, query, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.mergeRelative(employerId, employeeId, query, signal);
    }
    patchRelative(employeeId, relativeId, operations, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.patchRelative(employerId, employeeId, relativeId, operations, signal);
    }
    matchEmployee(query, signal) {
        const employerId = this.employerId ?? (0, TypingUtils_1.reject)("employerId is not defined");
        return this.staffClient.matchEmployee(employerId, query, signal);
    }
}
exports.FormStaffClient = FormStaffClient;
