"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.employeeRelativesReducer = employeeRelativesReducer;
const EmployeeRelativesAction_1 = require("./EmployeeRelativesAction");
function employeeRelativesReducer(state, action) {
    let nextState = state;
    if (action.type === EmployeeRelativesAction_1.EmployeeRelativesActionType.CompleteLoading) {
        nextState = {
            ...state,
            [action.payload.path]: {
                ...state?.[action.payload.path],
                selectedRelative: state?.[action.payload.path]?.selectedRelative ?? null,
                relatives: action.payload.relatives,
            },
        };
    }
    if (action.type === EmployeeRelativesAction_1.EmployeeRelativesActionType.SelectRelative) {
        nextState = {
            ...state,
            [action.payload.path]: {
                ...state?.[action.payload.path],
                selectedRelative: action.payload.relative,
                relatives: state?.[action.payload.path]?.relatives ?? [],
            },
        };
    }
    if (action.type === EmployeeRelativesAction_1.EmployeeRelativesActionType.InsertAddedRelative) {
        nextState = {
            ...state,
            [action.payload.path]: {
                ...state?.[action.payload.path],
                selectedRelative: action.payload.relative,
                relatives: [action.payload.relative].concat(state?.[action.payload.path]?.relatives ?? []),
            },
        };
    }
    return nextState;
}
