import { AttributeCollection } from "./XmlParser/XmlNode";
export type FetchFunction = () => string;
type FetchFunctionDescriptionObjectFactory = (attrs: AttributeCollection) => FetchFunctionDescriptionObject;
type FetchFunctionDescription = FetchFunctionDescriptionObjectFactory | FetchFunctionDescriptionObject;
export interface FetchFunctionDescriptionObject {
    requisites?: string[];
    fn: FetchFunction | {
        [propName: string]: FetchFunction;
    };
}
export interface FetchFunctionDescriptionRegistry {
    [name: string]: FetchFunctionDescription;
}
export declare class FetchFunctions {
    private readonly funStorage;
    constructor(funStorage: FetchFunctionDescriptionRegistry);
    static empty(): FetchFunctions;
    getFetchFunction(fetchFnName: undefined | string, propName?: string): null | FetchFunction;
    getFetchDescriptor(fetchFnName: undefined | string): null | FetchFunctionDescriptionObject | {
        [propName: string]: FetchFunction;
    };
    getFetchDescriptor(fetchFnName: undefined | string, propName: string): null | FetchFunctionDescriptionObject | FetchFunction;
}
export {};
