"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FetchFunctions = void 0;
const Errors_1 = require("../../../Common/Errors");
class FetchFunctions {
    funStorage;
    constructor(funStorage) {
        this.funStorage = funStorage;
    }
    static empty() {
        return new FetchFunctions({});
    }
    getFetchFunction(fetchFnName, propName) {
        const fetchDescriptor = propName == undefined
            ? this.getFetchDescriptor(fetchFnName)
            : this.getFetchDescriptor(fetchFnName, propName);
        // @ts-ignore
        const fetchFunction = (fetchDescriptor || {}).fn || fetchDescriptor;
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return fetchFunction || null;
    }
    getFetchDescriptor(fetchFnName, propName) {
        if (!fetchFnName) {
            return null;
        }
        let fetchDescriptor = this.funStorage[fetchFnName];
        if (fetchDescriptor instanceof Function) {
            throw new Errors_1.NotSupportedError("Объявление fetch-функций, зависимых от элементов сахара не поддреживается");
        }
        else if (propName && fetchDescriptor && typeof fetchDescriptor.fn === "object") {
            // @ts-ignore
            fetchDescriptor = fetchDescriptor.fn[propName];
        }
        if (!fetchDescriptor) {
            throw new Error(`Fetch function "${fetchFnName}" not defined`);
        }
        // @ts-ignore
        return fetchDescriptor;
    }
}
exports.FetchFunctions = FetchFunctions;
