import { FetchFunction } from "../../common/FetchFunctions";
import { RngSchemeTypes } from "../../../../Common/RngSchemeTypes/types";
import { SectionName } from "../../../../Engine/src/Controls/FormParts/Unit/UnitId/UnitId";
export interface DataDeclarationCollection {
    [path: string]: PathDataDeclaration;
}
export type DataDeclarationSectionOption = Array<string | {
    fn: Function | string;
} | string[]>;
export type DataDeclarationInitSourceSequence = DataDeclarationInitSource[];
export interface SectionDeclaration {
    id: string;
    path: string;
    optional: boolean;
    dependsOnSection?: string;
}
export interface OptionalSectionDeclaration {
    id: string;
    path: string;
}
export type OptionalBlockId = SectionName;
export interface PathDataDeclaration {
    value?: DataDeclarationInitSourceSequence;
    children?: DataDeclarationInitSourceSequence;
    errorsCount?: DataDeclarationInitSourceSequence;
    warningsCount?: DataDeclarationInitSourceSequence;
    optional?: [boolean];
    optionalSections?: OptionalSectionDeclaration[];
    allSingleSections?: SectionDeclaration[];
    autoFlag?: DataDeclarationInitSourceSequence;
    disabled?: [boolean];
    section?: DataDeclarationSectionOption;
    fnsConvertFileExtentions?: string[];
    errorAndWarningCountRequired?: [boolean];
    maxOccurs?: number;
    disableValueAutoInit?: boolean;
    type?: RngSchemeTypes;
    pageId?: string;
    title?: never;
    ctrlType?: never;
    value_bind?: never;
    multiple?: never;
    exist_bind?: never;
    visible?: never;
    useServerFilters?: boolean;
}
export type DataDeclarationFields = keyof PathDataDeclaration;
export interface FetchFunctionSource {
    fn: FetchFunction | string | null;
    fnName?: string;
    fnPropName?: string;
}
export type DataDeclarationInitSource = {
    model: true;
} | FetchFunctionSource | DataDeclarationDefaultValueOption;
export type DataDeclarationDefaultValueOption = string | boolean | string[];
export declare enum DataDeclarationInitSourceValueSequence {
    SETTINGS = "settings",
    DISABLED = "disabled",
    DEFAULT = "default"
}
export declare function isConstValueSource(valueSource: DataDeclarationInitSource): valueSource is DataDeclarationDefaultValueOption;
export declare function isTakeFromModelValueSource(valueSource: DataDeclarationInitSource): valueSource is {
    model: true;
};
export declare function isFetchFunctionValueSource(valueSource: DataDeclarationInitSource): valueSource is FetchFunctionSource;
