import { IFormSourcesBuilder } from "../../FormSourcesBuilder/IFormSourcesBuilder";
import { ConversionContext } from "./ConversionContext";
import { ModuleDescriptor } from "./ModuleDescriptor";
export declare class ConverterResult {
    private readonly contextsData;
    private readonly contexts;
    private currentCtxName;
    constructor(body?: string, deps?: ModuleDescriptor | ModuleDescriptor[]);
    static empty(): ConverterResult;
    static fromConverterResults(source: ConverterResult | ConverterResult[], jsx?: string, dependencies?: ModuleDescriptor | ModuleDescriptor[]): ConverterResult;
    private static mergeConverterResults;
    appendConverterResult(source: ConverterResult): void;
    addDependencies(deps?: ModuleDescriptor | readonly ModuleDescriptor[]): void;
    getDependencies(ctxName?: string): readonly ModuleDescriptor[];
    getDependenciesContent(ctxName: string, builder: IFormSourcesBuilder): void;
    setRenderBody(body?: string): void;
    getRenderBody(ctxName?: string): string;
    getContexts(): ConversionContext[];
    setCurrentCtx(convertationContext: ConversionContext): void;
    getContext(ctxName: string): ConversionContext;
    private hasContextWithName;
    private getContextData;
    private tryGetContextData;
    private getCurrentCtxData;
}
