"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPropertyDeserializers = getPropertyDeserializers;
exports.setPropertyDeserializer = setPropertyDeserializer;
exports.setSugarNodeMetadata = setSugarNodeMetadata;
exports.getSugarNodeMetadata = getSugarNodeMetadata;
exports.setPropertiesContainerMetadata = setPropertiesContainerMetadata;
exports.getPropertiesContainerMetadata = getPropertiesContainerMetadata;
require("reflect-metadata");
const metadataKey = "__METADATA__";
function getPropertyDeserializers(targetClass) {
    const result = [];
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
    const keys = Reflect.getMetadataKeys(targetClass.prototype, "deserializers");
    for (const key of keys) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
        const propertyDeserializer = Reflect.getMetadata(key, targetClass.prototype, "deserializers");
        result.push(propertyDeserializer);
    }
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return result;
}
function setPropertyDeserializer(nodeClass, propertyKey, prop) {
    Reflect.defineMetadata("x:" + propertyKey.toString(), prop, nodeClass, "deserializers");
}
function setSugarNodeMetadata(targetClass, metadata) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
    Reflect.defineMetadata(metadataKey, metadata, targetClass.prototype);
}
function getSugarNodeMetadata(targetClass) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument,@typescript-eslint/no-unsafe-return
    return Reflect.getMetadata(metadataKey, targetClass.prototype);
}
function setPropertiesContainerMetadata(targetClass, metadata) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
    Reflect.defineMetadata(metadataKey, metadata, targetClass.prototype);
}
function getPropertiesContainerMetadata(targetClass) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument,@typescript-eslint/no-unsafe-return
    return Reflect.getMetadata(metadataKey, targetClass.prototype);
}
