"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MixinPropertyDeserializer = void 0;
const ClassMetadataAccess_1 = require("../ClassMetadataAccess");
const SugarNodeMetadata_1 = require("../SugarNodeMetadata");
class MixinPropertyDeserializer {
    propertyName;
    nodeClass;
    constructor(propertyName, nodeClass) {
        this.propertyName = propertyName;
        this.nodeClass = nodeClass;
    }
    getPropertyDeserializers() {
        const metadata = (0, ClassMetadataAccess_1.getPropertiesContainerMetadata)(this.nodeClass);
        if (metadata instanceof SugarNodeMetadata_1.SugarAttributesMixinMetadata) {
            return metadata.getPropertyDeserializers();
        }
        return [];
    }
    fillFromSugarXmlNode(result, xmlNode, serializer, tracer) {
        const metadata = (0, ClassMetadataAccess_1.getPropertiesContainerMetadata)(this.nodeClass);
        const propertyResult = new this.nodeClass();
        propertyResult.sourceXmlNode = xmlNode;
        metadata.fillFromSugarXmlNode(propertyResult, xmlNode, serializer, tracer);
        // @ts-ignore
        result[this.propertyName] = propertyResult;
    }
}
exports.MixinPropertyDeserializer = MixinPropertyDeserializer;
