"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SinglePropertyDeserializer = void 0;
const SugarSerializer_1 = require("../SugarSerializer");
class SinglePropertyDeserializer {
    propertyName;
    propertyDescription;
    valueSource;
    constructor(propertyName, valueSource, propertyDescription) {
        this.propertyName = propertyName;
        this.valueSource = valueSource;
        this.propertyDescription = propertyDescription;
    }
    fillFromSugarXmlNode(result, xmlNode, serializer, tracer) {
        const extractedValue = this.valueSource.extractValue(xmlNode, serializer, tracer);
        if (extractedValue != undefined) {
            if (extractedValue instanceof SugarSerializer_1.SugarNodeBase) {
                extractedValue.parent = result;
            }
            if (Array.isArray(extractedValue)) {
                for (const items of extractedValue) {
                    if (items instanceof SugarSerializer_1.SugarNodeBase) {
                        items.parent = result;
                    }
                }
            }
            // @ts-ignore
            result[this.propertyName] = extractedValue;
        }
    }
}
exports.SinglePropertyDeserializer = SinglePropertyDeserializer;
