"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArrayValueParser = void 0;
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class ArrayValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    innerValueParser;
    constructor(innerValueParser) {
        this.innerValueParser = innerValueParser;
    }
    parseValue(attribute) {
        if (attribute == undefined) {
            return undefined;
        }
        if (Array.isArray(attribute)) {
            return attribute.map(x => this.innerValueParser.parseValue(x, true));
        }
        throw new SugarValueConstraintError_1.SugarValueConstraintError(`Value must be an array, got: ${typeof attribute}`);
    }
}
exports.ArrayValueParser = ArrayValueParser;
