"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanValueParser = void 0;
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
const DefaultWrapperValueParser_1 = require("./DefaultWrapperValueParser");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class BooleanValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    default = (defaultValue) => new DefaultWrapperValueParser_1.DefaultWrapperValueParser(this, defaultValue);
    parseValue(attribute, hasAttribute) {
        if (attribute == undefined) {
            if (hasAttribute) {
                return true;
            }
            return attribute;
        }
        if (typeof attribute === "string") {
            if (attribute === "true" || attribute === "True") {
                return true;
            }
            if (attribute === "false" || attribute === "False") {
                return false;
            }
        }
        if (typeof attribute === "boolean") {
            return attribute;
        }
        throw new SugarValueConstraintError_1.SugarValueConstraintError(`Expected value to be on of ('true', 'false', 'True', 'False')`);
    }
}
exports.BooleanValueParser = BooleanValueParser;
