"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DelimitedStringArrayValueParser = void 0;
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class DelimitedStringArrayValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    parseValue(attributeValue) {
        if (attributeValue === undefined) {
            return undefined;
        }
        if (attributeValue === "") {
            return [];
        }
        if (Array.isArray(attributeValue)) {
            // eslint-disable-next-line @typescript-eslint/no-base-to-string
            return attributeValue.map(x => x.toString());
        }
        // eslint-disable-next-line @typescript-eslint/no-base-to-string
        return attributeValue
            .toString()
            .split(",")
            .map(x => x.trim());
    }
}
exports.DelimitedStringArrayValueParser = DelimitedStringArrayValueParser;
