"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnumValueParser = void 0;
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class EnumValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    values;
    constructor(values) {
        this.values = values;
    }
    parseValue(attribute) {
        if (attribute == undefined) {
            return undefined;
        }
        if (typeof attribute === "string") {
            if (!this.values.includes(attribute)) {
                throw new SugarValueConstraintError_1.SugarValueConstraintError(`Value should be one:\n  ${this.values.join("\n  ")}\n` + `but got: ${attribute}`);
            }
            return attribute;
        }
        throw new SugarValueConstraintError_1.SugarValueConstraintError(
        // eslint-disable-next-line @typescript-eslint/no-base-to-string
        `Value should be one:\n  ${this.values.join("\n  ")}\n` + `but got: ${attribute}`);
        // @ts-ignore Тут никак не починить типизацию, у ts нет такого type guard-а
    }
}
exports.EnumValueParser = EnumValueParser;
