"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalizedStringValueParser = void 0;
const XmlNode_1 = require("../../../../../common/XmlParser/XmlNode");
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
const DefaultWrapperValueParser_1 = require("./DefaultWrapperValueParser");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class LocalizedStringValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    default = (defaultValue) => new DefaultWrapperValueParser_1.DefaultWrapperValueParser(this, defaultValue);
    parseValue(value) {
        if (value instanceof XmlNode_1.ASTNode) {
            return { type: "Expression", expression: value.toString() };
        }
        if (typeof value === "string" || typeof value === "number") {
            return value.toString();
        }
        else if (value == undefined) {
            return undefined;
        }
        throw new SugarValueConstraintError_1.SugarValueConstraintError(`Value cannot be conveterd to string\n` + `  Value: \n${JSON.stringify(value)}`);
    }
}
exports.LocalizedStringValueParser = LocalizedStringValueParser;
