"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnyExpressionValueParser = exports.NumberValueParser = void 0;
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
const DefaultWrapperValueParser_1 = require("./DefaultWrapperValueParser");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class NumberValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    default = (defaultValue) => new DefaultWrapperValueParser_1.DefaultWrapperValueParser(this, defaultValue);
    parseValue(attribute) {
        if (attribute == undefined) {
            return undefined;
        }
        if (typeof attribute === "number") {
            return attribute;
        }
        if (typeof attribute === "string") {
            if (attribute.trim() === "") {
                return undefined;
            }
            const parsed = Number(attribute);
            if (Number.isNaN(parsed)) {
                throw new SugarValueConstraintError_1.SugarValueConstraintError(`Expected value to be number`);
            }
            return parsed;
        }
        throw new SugarValueConstraintError_1.SugarValueConstraintError(`Expected value to be number`);
    }
}
exports.NumberValueParser = NumberValueParser;
class AnyExpressionValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    parseValue(attribute) {
        if (attribute == undefined) {
            return undefined;
        }
        return attribute;
    }
}
exports.AnyExpressionValueParser = AnyExpressionValueParser;
