"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringArrayValueParser = exports.StringValueParser = void 0;
const DefaultWrapperValueParser_1 = require("./DefaultWrapperValueParser");
const RequiredWrapperValueParser_1 = require("./RequiredWrapperValueParser");
class StringValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    default = (defaultValue) => new DefaultWrapperValueParser_1.DefaultWrapperValueParser(this, defaultValue);
    parseValue(attribute) {
        // eslint-disable-next-line @typescript-eslint/no-base-to-string
        return attribute == undefined ? undefined : attribute.toString();
    }
}
exports.StringValueParser = StringValueParser;
class StringArrayValueParser {
    required = new RequiredWrapperValueParser_1.RequiredWrapperValueParser(this);
    parseValue(attributeValue) {
        if (attributeValue === undefined) {
            return undefined;
        }
        if (Array.isArray(attributeValue)) {
            // eslint-disable-next-line @typescript-eslint/no-base-to-string
            return attributeValue.map(x => x.toString());
        }
        // eslint-disable-next-line @typescript-eslint/no-base-to-string
        return [attributeValue.toString()];
    }
}
exports.StringArrayValueParser = StringArrayValueParser;
