"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildrenNodesValueSource = void 0;
const SugarSerializer_1 = require("../../SugarSerializer");
class ChildrenNodesValueSource {
    nodeClasses;
    acceptNode;
    constructor(acceptNode, nodeClasses) {
        this.acceptNode = acceptNode;
        this.nodeClasses = nodeClasses;
    }
    extractValue(xmlNode, serializer, tracer) {
        const result = [];
        for (const childNode of xmlNode.getChildren().filter(x => !SugarSerializer_1.SugarSerializer.isAttributeValueNode(x, xmlNode))) {
            if (!this.acceptNode(childNode)) {
                continue;
            }
            tracer(childNode);
            result.push(serializer.deserializeFromSugarXmlNode(childNode, this.nodeClasses));
        }
        return result;
    }
}
exports.ChildrenNodesValueSource = ChildrenNodesValueSource;
