"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleChildValueSource = void 0;
class SingleChildValueSource {
    tagName;
    nodeClasses;
    constructor(tagName, nodeClasses) {
        this.tagName = tagName;
        this.nodeClasses = nodeClasses;
    }
    extractValue(xmlNode, serializer, tracer) {
        const node = this.tagName == undefined ? xmlNode.getFirstChild() : xmlNode.getFirstChild(this.tagName);
        if (node == undefined) {
            return undefined;
        }
        tracer(node);
        return serializer.deserializeFromSugarXmlNode(node, this.nodeClasses);
    }
}
exports.SingleChildValueSource = SingleChildValueSource;
