import { IRequireContext } from "../../../common/RequireContext/IRequireContext";
import { XmlNode } from "../../../common/XmlParser/XmlNode";
import { IPropertiesContainerMetadata, ISugarNodeMetadata } from "./ISugarNodeMetadata";
import { DeserializeTracer } from "./Properties/DeserializeTracer";
import { IPropertyDeserializer } from "./Properties/IPropertyDeserializer";
import { SugarNodeBase, SugarSerializer } from "./SugarSerializer";
export declare abstract class PropertiesContainerMetadataBase implements IPropertiesContainerMetadata {
    private readonly propertyDeserializers;
    addPropertyDeserializer(propertyDeserializer: IPropertyDeserializer): void;
    getPropertyDeserializers(): readonly IPropertyDeserializer[];
    fillFromSugarXmlNode(targetNode: SugarNodeBase, sourceXmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): void;
}
export declare class SugarAttributesMixinMetadata extends PropertiesContainerMetadataBase {
}
export declare class SugarNodeMetadata extends PropertiesContainerMetadataBase implements ISugarNodeMetadata {
    get sugarNodeName(): string;
    private readonly canDeserializeFunc?;
    private nodeName?;
    documentationFilesRoot?: string;
    documentationFilesContext?: IRequireContext;
    description?: string;
    constructor(canDeserialize?: (node: XmlNode) => boolean);
    getNodeName(): undefined | string;
    setNodeName(nodeName: string): void;
    canDeserialize(sugarXmlNode: XmlNode): boolean;
    fillFromSugarXmlNode(targetNode: SugarNodeBase, sourceXmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): void;
}
