"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeNode = exports.ForcedTypeChecksNode = exports.CustomValidationTypeCheckNode = exports.MaxinclusiveTypeCheckNode = exports.MininclusiveTypeCheckNode = exports.DigestcheckTypeCheckNode = exports.FractiondigitsTypeCheckNode = exports.ValueEqlAutoValueTypeCheckNode = exports.IntegerdigitsTypeCheckNode = exports.TotaldigitsTypeCheckNode = exports.MaxlengthTypeCheckNode = exports.MinlengthTypeCheckNode = exports.LengthTypeCheckNode = exports.AttachmentsTypeCheckNode = exports.EnumerationTypeCheckNode = exports.PatternTypeCheckNode = exports.TypeCheckNodeBase = void 0;
exports.ofType = ofType;
const DeprecationReason_1 = require("../../markupGenerator/Serializer/DeprecationReason");
const SugarSerializer_1 = require("../../markupGenerator/Serializer/SugarSerializer");
class TypeCheckNodeBase extends SugarSerializer_1.SugarNodeBase {
    @(0, SugarSerializer_1.attr)("description", SugarSerializer_1.attrType.localizedString, `Сообщение, которое оторазиться на контроле, если данное правило не выполняется. Если атрибут не указан будет использовано сообщение элемента type/`)
    description;
    @(0, SugarSerializer_1.attr)("checkType", SugarSerializer_1.attrType.enum("error", "warning"), `Тип валидации для данного правила. При ошибке контрол будет отображаться либо оранжевым (warning), либо красным (error).`)
    checkType;
    @(0, SugarSerializer_1.attr)("force", SugarSerializer_1.attrType.boolean, `Форсирует запуск правила. Например, если поле является обязательным, то при force='true' правило запустить даже если поле не заполнено.
        Без флага force, валидация останавливается при первом невыполненом правиле.`)
    force;
}
exports.TypeCheckNodeBase = TypeCheckNodeBase;
@(0, SugarSerializer_1.sugarNode)("pattern", `Задаёт правило проверки по регулярному выражению. Если правил несколько, то проверяется на совпадение к любому из них.`)
class PatternTypeCheckNode extends TypeCheckNodeBase {
    name = "pattern";
    @(0, SugarSerializer_1.deprecatedAttr)("requiredDescription", DeprecationReason_1.DeprecationReason.InvalidUsage)
    requiredDescription;
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.string.required, `Регулярное выражение для проверки`)
    value;
}
exports.PatternTypeCheckNode = PatternTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("enumeration", `Задаёт правило на точное совпаденние на значение. Обычно правил несколько и проверка выполняется на совпадение с одним из значений`)
class EnumerationTypeCheckNode extends TypeCheckNodeBase {
    name = "enumeration";
    @(0, SugarSerializer_1.deprecatedAttr)("name", DeprecationReason_1.DeprecationReason.InvalidUsage)
    nameProp;
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.string.required, `Значение для проверки`)
    value;
}
exports.EnumerationTypeCheckNode = EnumerationTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("attachments", `Задаёт проверку для вложений.`)
class AttachmentsTypeCheckNode extends TypeCheckNodeBase {
    name = "attachments";
    @(0, SugarSerializer_1.attr)("extentions", SugarSerializer_1.attrType.array(SugarSerializer_1.attrType.string), `Список допустимых расширений прикладываемого файла. Например ['jpeg', 'jpg']`)
    extentions;
    @(0, SugarSerializer_1.attr)("maxSize", SugarSerializer_1.attrType.number, `Максимальный размер прикладываемого файла.`)
    maxSize;
    @(0, SugarSerializer_1.attr)("fnsConvertFileExtentions", SugarSerializer_1.attrType.array(SugarSerializer_1.attrType.string), `Опреляет список расширений файлов, которые будут конвертироваться по требованиям ФНС. Доступные расширения pdf, tiff, png, jpeg.`)
    fnsConvertFileExtentions;
    @(0, SugarSerializer_1.attr)("count", SugarSerializer_1.attrType.number, `Максимальное количество приложенных файлов`)
    count;
    @(0, SugarSerializer_1.attr)("totalSize", SugarSerializer_1.attrType.number, `Ограничивает общий размер прилоеженных файлов`)
    totalSize;
    @(0, SugarSerializer_1.attr)("countExceededDescription", SugarSerializer_1.attrType.localizedString, `Сообщение если общее количество вложений превышает максимальное`)
    countExceededDescription;
}
exports.AttachmentsTypeCheckNode = AttachmentsTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("length", `Правило для строк. Задаёт валидацию на конкретную длину строки`)
class LengthTypeCheckNode extends TypeCheckNodeBase {
    name = "length";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Длина строки`)
    value;
}
exports.LengthTypeCheckNode = LengthTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("minlength", `Правило для строк. Задаёт валидацию на минимальную длину строки`)
class MinlengthTypeCheckNode extends TypeCheckNodeBase {
    name = "minlength";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Минимальная длина строки`)
    value;
}
exports.MinlengthTypeCheckNode = MinlengthTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("maxlength", `Правило для строк. Задаёт валидацию на максимальную длину строки`)
class MaxlengthTypeCheckNode extends TypeCheckNodeBase {
    name = "maxlength";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Максимальная длина строки`)
    value;
}
exports.MaxlengthTypeCheckNode = MaxlengthTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("totaldigits", `Правило для чисел. Задаёт валидацию на максимальное количество цифр в числе, включает в свою длину знак минса`)
class TotaldigitsTypeCheckNode extends TypeCheckNodeBase {
    name = "totaldigits";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Колчиство цифр`)
    value;
}
exports.TotaldigitsTypeCheckNode = TotaldigitsTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("integerdigits", `Правило для чисел. Задаёт валидацию на максимальное количество цифр в челой части числа`)
class IntegerdigitsTypeCheckNode extends TypeCheckNodeBase {
    name = "integerdigits";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Колчиство цифр`)
    value;
}
exports.IntegerdigitsTypeCheckNode = IntegerdigitsTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("valueeqlautovalue", `Задаёт валидацию, если value != autovalue`)
class ValueEqlAutoValueTypeCheckNode extends TypeCheckNodeBase {
    name = "valueeqlautovalue";
    @(0, SugarSerializer_1.attr)("level", SugarSerializer_1.attrType.enum("error", "warning"), `Уровень валидации`)
    level;
    @(0, SugarSerializer_1.attr)("condition", SugarSerializer_1.attrType.javascriptExpression, "Условие, при котором валидация отображается")
    condition;
}
exports.ValueEqlAutoValueTypeCheckNode = ValueEqlAutoValueTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("fractiondigits", `Правило для чисел. Задаёт валидацию на максимальное количество цифр в дробной части числа`)
class FractiondigitsTypeCheckNode extends TypeCheckNodeBase {
    name = "fractiondigits";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Колчиство цифр`)
    value;
}
exports.FractiondigitsTypeCheckNode = FractiondigitsTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("digestcheck", `Задаёт проверку по справочнику.`)
class DigestcheckTypeCheckNode extends TypeCheckNodeBase {
    name = "digestcheck";
    @(0, SugarSerializer_1.attr)("gId", SugarSerializer_1.attrType.string, `Идентификатор справочника. Поле можно опустить, если контрол является справочным и содержит атрибут gId`)
    gId;
    @(0, SugarSerializer_1.attr)("keyColumnName", SugarSerializer_1.attrType.string, `Поле дает возможность указать произвольное значение из объекта пиклиста, вместо дефолтного \`code\``)
    keyColumnName;
}
exports.DigestcheckTypeCheckNode = DigestcheckTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("mininclusive", `Проверка для чисел. Определяет минимально возможное (включиельно) значение числа.`)
class MininclusiveTypeCheckNode extends TypeCheckNodeBase {
    name = "mininclusive";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Минимальное значение числа`)
    value;
}
exports.MininclusiveTypeCheckNode = MininclusiveTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("maxinclusive", `Проверка для чисел. Определяет максимально возможное (включиельно) значение числа.`)
class MaxinclusiveTypeCheckNode extends TypeCheckNodeBase {
    name = "maxinclusive";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.number.required, `Максимальное значение числа`)
    value;
}
exports.MaxinclusiveTypeCheckNode = MaxinclusiveTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("customvalidation", `Даёт возможность задать произвольное правило, написав его на JavaScript.`)
class CustomValidationTypeCheckNode extends TypeCheckNodeBase {
    name = "customvalidation";
    @(0, SugarSerializer_1.attr)("value", SugarSerializer_1.attrType.string.required, `Содержит имя файла с функцией валидации. Файл должен находиться в каталоге validations формы.`)
    value;
}
exports.CustomValidationTypeCheckNode = CustomValidationTypeCheckNode;
@(0, SugarSerializer_1.sugarNode)("force", ``)
class ForcedTypeChecksNode extends SugarSerializer_1.SugarNodeBase {
    name = "force";
    @(0, SugarSerializer_1.children)(undefined, [
        CustomValidationTypeCheckNode,
        PatternTypeCheckNode,
        EnumerationTypeCheckNode,
        AttachmentsTypeCheckNode,
        LengthTypeCheckNode,
        MinlengthTypeCheckNode,
        MaxlengthTypeCheckNode,
        TotaldigitsTypeCheckNode,
        IntegerdigitsTypeCheckNode,
        FractiondigitsTypeCheckNode,
        DigestcheckTypeCheckNode,
        MininclusiveTypeCheckNode,
        MaxinclusiveTypeCheckNode,
    ])
    children;
}
exports.ForcedTypeChecksNode = ForcedTypeChecksNode;
@(0, SugarSerializer_1.sugarNode)("type", `Описание валидации для поля`, require.context(".", true, /.md$/))
class TypeNode extends SugarSerializer_1.SugarNodeBase {
    @(0, SugarSerializer_1.attr)("base", SugarSerializer_1.attrType.enum("string", "pattern", "integer", "decimal", "date", "gYear", "gMonth"), `Базовый тип, для нового типа. Автоматически задаёт валидацию (число, дата, год) и исключает ввод неверных символов`)
    base;
    @(0, SugarSerializer_1.attr)("name", SugarSerializer_1.attrType.string, `Имя типа. Не требуется для анонимных типов. Имя типа в дальнейшем указывается в атрибуте type контрола.`)
    name;
    @(0, SugarSerializer_1.deprecatedAttr)("requireDescription", DeprecationReason_1.DeprecationReason.Typo)
    requireDescription;
    @(0, SugarSerializer_1.attr)("requiredDescription", SugarSerializer_1.attrType.localizedString, `Если значение в контроле является обязательным, то это сообщение будет отображается, если значение отсутствует. См. атрибут optional (Подсказка-всплывашка, когда поле пустое. Если не указать - будет стандартная подсказка. Появляется только для обязательного поля. Если не указан, то выводится значение из атр. description)`)
    requiredDescription;
    @(0, SugarSerializer_1.attr)("description", SugarSerializer_1.attrType.localizedString, `Сообщение, которое будет отображатся если значение не отвечает заданным в типе валидациям и соотв. валидация не имеет атрибута description (Подсказка-всплывашка, когда поле заполнено неверно. Если не указать - то подсказка построится автоматически на основании base, length, enumeration (пока что на основании pattern автоматической подсказки нет. Более того, есть баг, что если description для типа с pattern-ом не указан, валидация по паттерну не работает))`)
    description;
    @(0, SugarSerializer_1.attr)("isCaseIndependentValid", SugarSerializer_1.attrType.boolean, `Проверять ли значение регистронезависимо. Если написан этот атрибут, то в ноду надо написать isEnableCaseIndependentValidation=true.`)
    isCaseIndependentValid;
    @(0, SugarSerializer_1.attr)("checkType", SugarSerializer_1.attrType.enum("error", "warning"), `Тип валидации. При ошибке контрол будет отображаться либо оранжевым (warning), либо красным (error).`)
    checkType;
    @(0, SugarSerializer_1.children)(undefined, [
        CustomValidationTypeCheckNode,
        PatternTypeCheckNode,
        EnumerationTypeCheckNode,
        AttachmentsTypeCheckNode,
        LengthTypeCheckNode,
        MinlengthTypeCheckNode,
        MaxlengthTypeCheckNode,
        TotaldigitsTypeCheckNode,
        IntegerdigitsTypeCheckNode,
        FractiondigitsTypeCheckNode,
        DigestcheckTypeCheckNode,
        MininclusiveTypeCheckNode,
        MaxinclusiveTypeCheckNode,
        ForcedTypeChecksNode,
        ValueEqlAutoValueTypeCheckNode,
    ])
    children;
    getValidations(typeCheckClass) {
        let childrenValidations = this.children.filter(ofType(typeCheckClass));
        const forceChildren = this.children.filter((x) => x instanceof ForcedTypeChecksNode);
        if (forceChildren.length) {
            const forcedValidations = forceChildren.map(child => child.children.filter(ofType(typeCheckClass))).flat();
            childrenValidations = [...childrenValidations, ...forcedValidations];
        }
        return childrenValidations;
    }
    flattenTypeCheckNodes() {
        const result = [];
        for (const child of this.children) {
            if (child instanceof ForcedTypeChecksNode) {
                for (const forcedChild of child.children) {
                    result.push(forcedChild);
                }
            }
            else {
                result.push(child);
            }
        }
        return result;
    }
    isNodeForced(node) {
        if (node.force) {
            return true;
        }
        for (const child of this.children) {
            if (child instanceof ForcedTypeChecksNode) {
                for (const forcedChild of child.children) {
                    if (forcedChild === node) {
                        return true;
                    }
                }
            }
        }
        return false;
    }
}
exports.TypeNode = TypeNode;
function ofType(cl) {
    return (x) => x instanceof cl;
}
