"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onAfterPageLoad = onAfterPageLoad;
exports.checkPageLoaded = checkPageLoaded;
exports.loadRTSScript = loadRTSScript;
const fs_1 = require("fs");
const util_1 = require("util");
const CommonUtils_1 = require("../PageObjects/CommonUtils");
async function onAfterPageLoad(page) {
    await loadRTSScript(page);
    await checkPageLoaded(page);
}
async function checkPageLoaded(page) {
    const True = true;
    while (True) {
        const isFormLoaded = await page
            .evaluateHandle(() => window?.rts?.querySelector("FormObjectProvider").getDomElement() != undefined)
            .then(d => d.jsonValue());
        if (isFormLoaded) {
            return;
        }
        await (0, CommonUtils_1.delay)(20);
    }
}
async function loadRTSScript(page) {
    const readFileAsync = (0, util_1.promisify)(fs_1.readFile);
    await page.evaluate(await readFileAsync(require.resolve("react-test-selector"), "utf8"));
}
