import { ISelector } from "../PageObjects/Bases/Selectors/ISelector";
import { ISearchContext } from "../PageObjects/Bases/Selectors/ISearchContext";
import { ReactSelectorResultHandle } from "../PageObjects/Bases/Selectors/ReactSelectorTypingBridge";
import { CandyBrowserPage } from "./Candy/CandyBrowserPage";
export interface ControlConstructor<TControl, TArgs extends unknown[] = []> {
    defaultElementSelector?: string | ISelector;
    new (context: ISearchContext, selector: ISelector, ...rest: TArgs): TControl;
}
export declare class BrowserPageWrapper implements ISearchContext {
    private readonly uploadedFilePaths;
    get rootPage(): CandyBrowserPage;
    get rootPageWrapper(): BrowserPageWrapper;
    private readonly page;
    constructor(page: CandyBrowserPage);
    close(): Promise<void>;
    loadSimplePage(url: string): Promise<void>;
    getSelectorResultForChildSearch(): Promise<ReactSelectorResultHandle>;
    getSelectorDescription(): string;
    expectDownloadedFile(downloadCallback: () => Promise<void>): Promise<{
        content: Buffer;
        filename: string;
    }>;
    moveMouse(point: {
        x: number;
        y: number;
    }): Promise<void>;
    addUploadedFilePath(tmpFileName: string): void;
}
