"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserPageWrapper = void 0;
const fs_extra_1 = require("fs-extra");
// interface DownloadedFilesInfo {
//     content: Buffer;
//     contentType: undefined | string;
//     filename: string;
// }
class BrowserPageWrapper {
    uploadedFilePaths = [];
    get rootPage() {
        return this.page;
    }
    get rootPageWrapper() {
        return this;
    }
    page;
    constructor(page) {
        this.page = page;
    }
    async close() {
        try {
            for (const uploadedFilePath of this.uploadedFilePaths) {
                await (0, fs_extra_1.unlink)(uploadedFilePath);
            }
        }
        catch (e) {
            // eslint-disable-next-line no-console
            console.error(`Unable to delete uploaded file.`, e);
        }
        await this.page.release();
    }
    async loadSimplePage(url) {
        await this.page.goto(url);
    }
    getSelectorResultForChildSearch() {
        return this.page.evaluateExpressionAsHandle(`rts.querySelector(":root")`);
    }
    getSelectorDescription() {
        return "";
    }
    async expectDownloadedFile(downloadCallback) {
        return this.page.expectDownloadedFile(downloadCallback);
    }
    async moveMouse(point) {
        await this.page.moveMouse(point);
    }
    addUploadedFilePath(tmpFileName) {
        this.uploadedFilePaths.push(tmpFileName);
    }
}
exports.BrowserPageWrapper = BrowserPageWrapper;
