"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CandyBrowserPage = void 0;
const CommonUtils_1 = require("../../PageObjects/Bases/CommonUtils");
class CandyBrowserPage {
    async pressCtrlA() {
        await this.down("Control");
        await this.press("KeyA");
        await this.up("Control");
    }
    async pressHome() {
        await this.press("Home");
    }
    async pressEnd() {
        await this.press("End");
    }
    async pressManyTimes(key, iterations, timeout) {
        for (let i = 0; i < iterations; i++) {
            await this.press(key);
            if (timeout) {
                await (0, CommonUtils_1.delay)(timeout);
            }
        }
    }
    async pressCtrlV() {
        await this.down("Control");
        await this.press("KeyV");
        await this.up("Control");
    }
    async pressCtrlC() {
        await this.down("Control");
        await this.press("KeyC");
        await this.up("Control");
    }
    async pressCtrlZ() {
        await this.down("Control");
        await this.press("KeyZ");
        await this.up("Control");
    }
}
exports.CandyBrowserPage = CandyBrowserPage;
