import { FileChooser, Page } from "playwright-core";
import { CandyBrowserPage, CandyBrowserSideObjectHandle1, ExecuteScriptArgs, ExtractHandleTypes } from "../Candy/CandyBrowserPage";
import { CandyBrowserSideObjectHandle } from "../Candy/CandyBrowserSideObjectHandle";
import { CandyEditorUrlOptions } from "../../CandyApi/CandyEditorUrlOptions";
export declare class PlaywrightCandyBrowserPage extends CandyBrowserPage {
    readonly page: Page;
    private acceptNextDialogFlag;
    constructor(page: Page);
    setUrlOptions(opts: CandyEditorUrlOptions): Promise<void>;
    acceptNextDialog(): Promise<void>;
    discardNextDialog(): Promise<void>;
    getAllConsoleMessage(): string[];
    moveMouse({ x, y }: {
        x: number;
        y: number;
    }): Promise<void>;
    goto(url: string): Promise<void>;
    refresh(): Promise<void>;
    refreshAndSkipNavigationError(): Promise<void>;
    release(): Promise<void>;
    waitForDownloadEvent(): Promise<FileChooser>;
    expectDownloadedFile(downloadCallback: () => Promise<void>): Promise<{
        content: Buffer;
        filename: string;
    }>;
    evaluateScript(script: string): Promise<void>;
    setClipBoardData(data: string): Promise<void>;
    evaluatePromisedExpression(script: string): Promise<void>;
    evaluateExpressionAsHandle(script: string): Promise<CandyBrowserSideObjectHandle>;
    evaluateFunctionAsHandle<TR, TA extends ExecuteScriptArgs[]>(script: (args: ExtractHandleTypes<TA>) => TR, ...args: TA): Promise<CandyBrowserSideObjectHandle1<TR>>;
    takePageScreenshot(): Promise<Buffer>;
    down(key: string): Promise<void>;
    press(key: string): Promise<void>;
    up(key: string): Promise<void>;
    url(): Promise<string>;
    changeZoom(_zoomValue: string): Promise<void>;
    scrollTo(x: number, y: number): Promise<void>;
}
