"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaywrightCandyWebElementHandle = void 0;
class PlaywrightCandyWebElementHandle {
    elementHandle;
    constructor(elementHandle) {
        this.elementHandle = elementHandle;
    }
    async textContent() {
        const result = await (await this.elementHandle.getProperty("textContent"))?.jsonValue();
        if (result == undefined) {
            return undefined;
        }
        if (typeof result === "string" || typeof result === "number") {
            // Детали тут https://kontur.slack.com/archives/C013HTCE18Q/p1685974021731789
            // вторым вариантом, переписывать все задействованные контроллы
            const dataWithoutZeroSpace = [];
            for (const value of String(result)) {
                if (value.charCodeAt(0) !== 8203) {
                    dataWithoutZeroSpace.push(value);
                }
            }
            return dataWithoutZeroSpace.join("");
        }
        throw new Error("InvalidType fot textContent");
    }
    async findByCssSelector(cssSelector) {
        const result = await this.elementHandle.$(cssSelector);
        if (result == undefined) {
            return undefined;
        }
        return new PlaywrightCandyWebElementHandle(result);
    }
    async pressEnter() {
        await this.elementHandle.type("\n");
    }
    async click() {
        await this.elementHandle.click();
    }
    async focus() {
        await this.elementHandle.focus();
    }
    async getProperty(name) {
        const result = await (await this.elementHandle.getProperty(name))?.jsonValue();
        if (result == undefined) {
            return undefined;
        }
        if (typeof result === "string" || typeof result === "number") {
            // @ts-ignore
            return result?.toString();
        }
        throw new Error(`InvalidType fot ${name}`);
    }
    async hover() {
        await this.elementHandle.hover();
    }
    async type(text) {
        await this.elementHandle.fill(text);
    }
    /** нужен для совместимости с datePicker */
    async deprecatedType(text) {
        await this.elementHandle.type(text);
    }
    async uploadFile(filename) {
        // await this.elementHandle.uploadFile(filename);
        throw Error("позже");
    }
    async takeScreenshot() {
        throw new Error("Screenshot for element not implemented in puppetter");
    }
    async clear() {
        await this.elementHandle.fill("");
    }
    setAttribute(name, value) {
        throw new Error("setAttribute for element not implemented in puppetter");
    }
}
exports.PlaywrightCandyWebElementHandle = PlaywrightCandyWebElementHandle;
