"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunningOnTeamCity = exports.isRunningOnGitLabCI = exports.isRunningOnCI = void 0;
exports.until = until;
const isRunningOnCI = () => (0, exports.isRunningOnGitLabCI)() || (0, exports.isRunningOnTeamCity)();
exports.isRunningOnCI = isRunningOnCI;
const isRunningOnGitLabCI = () => process.env["GITLAB_CI"] !== undefined;
exports.isRunningOnGitLabCI = isRunningOnGitLabCI;
const isRunningOnTeamCity = () => process.env["TEAMCITY_VERSION"] !== undefined;
exports.isRunningOnTeamCity = isRunningOnTeamCity;
function until(dayOfMonth, monthNumber, year) {
    const now = new Date();
    const dueDate = new Date(year, monthNumber - 1, dayOfMonth, 12, 0, 0);
    return now <= dueDate;
}
