"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.KonturApi = void 0;
const https_1 = require("https");
const node_fetch_1 = __importDefault(require("node-fetch"));
class KonturApi {
    baseUrl;
    constructor(baseUrl) {
        this.baseUrl = baseUrl;
    }
    async getAuthInfoFromAuth(login, password) {
        const authSid = await this.getAuthSid(login, password);
        return { authSid: authSid };
    }
    async getAuthSid(login, password) {
        const response = await (0, node_fetch_1.default)(`${this.baseUrl}/auth/v5.5/authenticate-by-pass?login=${encodeURIComponent(login)}`, {
            method: "POST",
            body: password,
            agent: new https_1.Agent({ rejectUnauthorized: false }),
        });
        const responseBody = await response.json();
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return responseBody.Sid;
    }
}
exports.KonturApi = KonturApi;
