export interface ClientInfo {
    Sender?: SenderInfo;
    Recipient?: RecipientInfo;
    CurrentAccount?: AccountInfo;
}
export type RecipientInfo = any;
export interface SenderInfo {
    Type?: AccountType;
    Inn?: string;
    Kpp?: string;
    FullName?: string;
    Signer?: SignerInfo;
}
export interface SignerInfo {
    Type: SignerType;
    Certificate: CertificateInfo;
}
export interface CertificateInfo {
    Inn?: string;
    Fio?: Fio;
    Ogrn?: string;
    OgrnIp?: string;
    OrgName?: string;
    RnsFss?: string;
    Region?: string;
}
export type Fio = any;
export declare enum AccountType {
    Organization = 1,
    Individual = 2,
    ForeignOrganization = 3,
    CreditOrganization = 4
}
export declare enum SignerType {
    Unknown = 0,
    Chief = 1,
    Representative = 2
}
interface AccountInfo {
    Type?: AccountType;
    Inn?: string;
    FullName?: string;
    ShortName?: string;
    Ogrn?: string;
    Okato?: string;
    Oktmo?: string;
    Okved?: string;
    Okpo?: string;
    Chief?: EmployeeInfo;
    Phone?: string;
    AddressRegistration?: Address;
    FiasAddressRegistration?: Address;
    AddressActual?: Address;
    Pfr?: PfrInfo;
    Fss?: FssInfo;
    Fns?: FnsInfo;
    Oms?: OmsInfo;
    Organization?: OrganizationInfo;
    Individual?: IndividualInfo;
}
type EmployeeInfo = any;
type Address = any;
type PfrInfo = any;
type FssInfo = any;
type FnsInfo = any;
type OmsInfo = any;
type OrganizationInfo = any;
type IndividualInfo = any;
export {};
