"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultFormsClientInfo = void 0;
exports.createDefaultClientRequisites = createDefaultClientRequisites;
const ClientInfo_1 = require("./ClientInfo");
const ClientRequisites_1 = require("./ClientRequisites");
const TestReqisitesXmlContent_1 = require("./TestReqisitesXmlContent");
const defaultClientRequisites = {
    senderDescription: {
        inn: "6699000000",
        kpp: "669901001",
        certInfo: "certInfoValue",
        certificateFields: {
            inn: "6699000000",
            fio: "Иванов Иван Иванович",
            regInfo: "Организация представителя налогоплательщика",
            orgInfo: "cert.Org",
            subjectNameIsValid: false,
        },
        type: "1",
        requisites: TestReqisitesXmlContent_1.requisites1,
        signerType: ClientRequisites_1.SignerType.Chief,
    },
    organizationInfo: {
        inn: "6699000000",
        kpp: "669901001",
        type: "1",
        requisites: TestReqisitesXmlContent_1.requisites2,
    },
    recipientDescription: {
        ifnsCode: "0001",
        mriCode: null,
        ifnsFromReqsName: "303",
    },
    metricsInfo: null,
};
function createDefaultClientRequisites() {
    return defaultClientRequisites;
}
exports.defaultFormsClientInfo = {
    Sender: {
        Type: ClientInfo_1.AccountType.Organization,
        Inn: "6699000000",
        Kpp: "669990000",
    },
    CurrentAccount: {
        Okpo: "25642145",
        Okato: "333",
        Oktmo: "4444",
        Okved: "5555",
        Inn: "6699000000",
        Ogrn: "66990000000000",
        Phone: "343888888",
        Organization: {
            Okfs: "6666",
            Okopf: "88888",
            Kpp: "669901001",
        },
        FullName: "ООО Ромашка",
        Chief: {
            Fio: {
                Name: "Иван",
                Patronymic: "Иванович",
                Surname: "Иванов",
            },
            Position: "Командор",
            Phone: "111-11-11",
            Email: "chief@ema.il",
        },
        Fns: {
            Representative: {
                Fio: {
                    Name: "Петр",
                    Patronymic: "Петрович",
                    Surname: "Петров",
                },
                Position: "Старпом",
                Phone: "222-22-22",
                Email: "rep@ema.il",
            },
        },
        AddressRegistration: {
            Country: "РФ",
            Region: {
                Abbreviation: "обл.",
                Name: "Свердловская",
                Code: "66",
            },
            City: {
                Abbreviation: "г.",
                Name: "Екатеринбург",
            },
            Settlement: {
                Abbreviation: "п.",
                Name: "Мичуринский",
            },
            Street: {
                Abbreviation: "ул.",
                Name: "Савкова",
            },
            House: "66",
            Flat: "77",
        },
        FiasAddressRegistration: {
            Country: {
                Code: "643",
            },
            Region: {
                FiasId: "92b30014-4d52-4e2e-892d-928142b924bf",
                Name: "Свердловская",
                Abbreviation: "обл",
                KladrCode: "6600000000000",
            },
            District: null,
            MunicipalDistrict: {
                FiasId: "e48a89cd-267d-480b-b002-2cc3ab7df604",
                Name: "город Екатеринбург",
                Abbreviation: "г.о.",
                KladrCode: null,
            },
            City: {
                FiasId: "2763c110-cb8b-416a-9dac-ad28a55b4402",
                Name: "Екатеринбург",
                Abbreviation: "г",
                KladrCode: "6600000100000",
            },
            IntracityArea: null,
            UrbanSettlement: null,
            Settlement: null,
            PlanningStructure: null,
            Street: {
                FiasId: "6441e17d-e086-48f4-a5a6-0cc1a4a474b9",
                Name: "Ленина",
                Abbreviation: "пр-кт",
                KladrCode: "66000001000060500",
            },
            Stead: null,
            House: {
                FiasId: "577a9a5b-dd42-432f-95ab-b5d76e844f33",
                Number: "81",
                HouseType: 2,
                AdditionalNumber1: null,
                AdditionalType1: null,
                AdditionalNumber2: null,
                AdditionalType2: null,
            },
            Flat: null,
            Room: null,
            Index: "620075",
        },
    },
    Recipient: {
        TogsCode: "111",
    },
};
