export interface ClientRequisites {
    senderDescription: SenderDescription;
    organizationInfo: OrganizationInfo;
    recipientDescription: null | RecipientDescription;
    metricsInfo: null | MetricsInfo;
}
export interface SenderDescription {
    inn: string;
    kpp: null | string;
    certInfo: null | string;
    certificateFields: CertificateFields;
    type: string;
    requisites: string;
    signerType: SignerType;
}
export interface CertificateFields {
    inn: null | string;
    fio: null | string;
    regInfo: null | string;
    orgInfo: null | string;
    subjectNameIsValid: null | boolean;
}
export interface OrganizationInfo {
    inn: string;
    kpp: null | string;
    type: string;
    requisites: string;
}
export interface RecipientDescription {
    ifnsCode: null | string;
    mriCode: null | string;
    ifnsFromReqsName: null | string;
}
export interface MetricsInfo {
    abonId: null | ServerGuid;
    userId: null | ServerGuid;
    orgId: null | ServerGuid;
}
export type ServerGuid = string;
export declare enum SignerType {
    Chief = "Chief",
    Representative = "Representative"
}
