import { CandyEditorUrlOptions } from "../../CandyApi/CandyEditorUrlOptions";
export interface Constructor<T> {
    new (...args: any[]): T;
}
export interface WindowSize {
    width: number;
    height: number;
}
export interface PageOptions {
    gfv?: string;
    withNavigationPanel?: boolean;
    withStaffService?: boolean;
    withEmbeddedLog?: boolean;
    useExtendedErrorLog?: boolean;
    urlOptions?: CandyEditorUrlOptions;
    fakeRequisites?: {
        [key: string]: {
            value: string;
        };
    };
    fakeErrorLog?: {
        [key: string]: {
            value: string;
        };
    };
}
export type NidusCleanable<T> = T & {
    nidusCleanup: () => Promise<void>;
};
