"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expect = void 0;
exports.createTest = createTest;
exports.createCandyUITest = createCandyUITest;
const test_1 = require("@playwright/test");
Object.defineProperty(exports, "expect", { enumerable: true, get: function () { return test_1.expect; } });
const CandyPageWithNavigationBase_1 = require("../PageBases/CandyPageWithNavigationBase");
const candyApiFixture_1 = require("./candyApiFixture");
const authFixture_1 = require("./authFixture");
const forEachTests_1 = require("./forEachTests");
const pageObjectFixture_1 = require("./pageObjectFixture");
const presentationFixture_1 = require("./presentationFixture");
const draftInfoFixture_1 = require("./draftInfoFixture");
const fufCheckerFixture_1 = require("./fufCheckerFixture");
const nidusClientFixture_1 = require("./nidusClientFixture");
const uiTestPageFixture_1 = require("./uiTestPageFixture");
function createTest(pageOptions, pageObjectConstructor) {
    const pageObjectFixture = (0, pageObjectFixture_1.pageObjectFixtureWrapper)(pageObjectConstructor);
    const preparedTestRunner = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture, nidusClientFixture_1.nidusClientFixture, authFixture_1.authFixture, pageObjectFixture, presentationFixture_1.presentationFixture, draftInfoFixture_1.draftInfoFixture, fufCheckerFixture_1.fufCheckerFixture, forEachTests_1.forEachTestFixture);
    preparedTestRunner.use({ pageOptions: pageOptions });
    return preparedTestRunner;
}
function createCandyUITest(pageOptions) {
    const pageObjectFixture = (0, pageObjectFixture_1.pageObjectFixtureWrapper)(CandyPageWithNavigationBase_1.CandyPageWithNavigationBase);
    const preparedTestRunner = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture, nidusClientFixture_1.nidusClientFixture, authFixture_1.authFixture, presentationFixture_1.presentationFixture, pageObjectFixture, draftInfoFixture_1.draftInfoFixture, fufCheckerFixture_1.fufCheckerFixture, forEachTests_1.forEachTestFixture, uiTestPageFixture_1.uiTestPageFixture);
    preparedTestRunner.use({
        pageOptions: { ...pageOptions, withNavigationPanel: pageOptions.withNavigationPanel ?? true },
    });
    return preparedTestRunner;
}
