import { NavigationPanel } from "../PageObjects/Controls/NavigationPanel";
import { ControlBase } from "../PageObjects/Bases/ControlsBase";
import { ServerErrorLog } from "../../../../Common/CandyApiClient/Types/ErrorLog/ServerErrorLog";
import { EmbeddedLogControl } from "../PageObjects/Controls/EmbeddedLogControl";
import { DeleteUnitModal } from "../PageObjects/Controls/DeleteUnitModal";
import { ClearUnitModal } from "../PageObjects/Controls/ClearUnitModal";
import { IErrorLogTaskResult } from "../../../../Engine/src/Engine/Core/ErrorManager/Utils/Models";
import { PageBase } from "./PageBase";
export declare class CandyPageWithNavigationBase extends PageBase {
    readonly showMenuButton: ControlBase;
    readonly pinMenuButton: ControlBase;
    readonly navigationPanel: NavigationPanel;
    readonly longOperationModal: ControlBase;
    readonly tabsWrapper: ControlBase;
    readonly tabs: import("../PageObjects/Bases/ControlList").ControlList<ControlBase>;
    readonly deleteModal: DeleteUnitModal;
    readonly clearModal: ClearUnitModal;
    suspendNextUpload(): Promise<void>;
    resumeLastSuspendedUpload(): Promise<void>;
    setFakeErrorLog(errorLog: ServerErrorLog | IErrorLogTaskResult, draftId: string): Promise<void>;
    togglePinNavigationPanel(isVisible?: boolean): Promise<void>;
    expandNavigationPanel(): Promise<void>;
    openNavigationPanel(): Promise<void>;
    closeNavigationPanel(): Promise<void>;
    collapseNavigationPanel(): Promise<void>;
    clearForm(): Promise<void>;
    runCheck(isFake?: boolean): Promise<EmbeddedLogControl>;
    prepareBrowserForDownload(): Promise<() => Promise<void>>;
    getImageFromFuf(): Promise<() => Promise<void>>;
    ensureAllDataSaved(): Promise<void>;
    ensureCalculations(): Promise<void>;
    ensureAllDataSavedWithPublicForm(): Promise<void>;
    refreshWithNormalization(): Promise<void>;
}
