"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CandySimplePageBase = void 0;
const CompoundControl_1 = require("../PageObjects/Bases/CompoundControl");
const FluentControlFactory_1 = require("../PageObjects/Bases/ControlDeclaration/FluentControlFactory");
const LinkControl_1 = require("../PageObjects/Controls/CandyControls/Action/LinkControl");
const ButtonControl_1 = require("../PageObjects/Controls/CandyControls/Action/ButtonControl");
const PopupMenu_1 = require("../PageObjects/Controls/PopupMenu");
const PageBase_1 = require("./PageBase");
class MoreActionsMenuContent extends CompoundControl_1.CompoundControl {
    downloadButton = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).as("a").tid("panel-action-fuf").in(this);
}
class CandySimplePageBase extends PageBase_1.PageBase {
    moreActions = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("ActionItem").tid("more-actions").in(this);
    menu = (0, FluentControlFactory_1.control)(PopupMenu_1.PopupMenuControl.withContent(MoreActionsMenuContent))
        .as("Popup")
        .tid("MoreActionsPopup")
        .in(this);
    async prepareBrowserForDownload() {
        return async () => {
            await this.moreActions.click();
            await this.menu.content.downloadButton.click();
        };
    }
    //
    async getImageFromFuf() {
        return async () => {
            await this.moreActions.click();
            await this.menu.content.downloadButton.click();
        };
    }
}
exports.CandySimplePageBase = CandySimplePageBase;
