import { ViewModelFieldName } from "../../../../Engine/src/Engine/Core/CoreTypes";
import { AbsoluteModelPath } from "../../../../Common/ModelPath/ModelPath";
import { CompoundControl } from "../PageObjects/Bases/CompoundControl";
import { ControlBase } from "../PageObjects/Bases/ControlsBase";
import { ISearchContext } from "../PageObjects/Bases/Selectors/ISearchContext";
import { ISelector } from "../PageObjects/Bases/Selectors/ISelector";
import { ExtendedPromise } from "../ExtenedPromises/ExtendedPromise";
import { NidusClientImpl } from "../../../../Common/NidusClient/NidusClientImpl";
export interface CandyDraftInfo {
    ns: string;
    draftId: string;
    gfv: string;
}
export declare class PageBase extends CompoundControl {
    protected readonly formComponent: ControlBase;
    constructor(context: ISearchContext, selector: ISelector);
    setValueToModel(path: AbsoluteModelPath, value: string | undefined): Promise<void>;
    getViewModelField(bindingPath: AbsoluteModelPath, fieldName: string): ExtendedPromise<string | number | boolean | undefined>;
    protected setViewModelField(bindingPath: AbsoluteModelPath, fieldName: ViewModelFieldName, value: string): Promise<void>;
    reloadInner(): Promise<void>;
    refresh(): Promise<void>;
    nidusCleanup(nidusClient: NidusClientImpl, nidusName: string, nidusReferenceKey?: string): Promise<void>;
    waitToCloseCheckSumModalAsync(ms?: number, interval?: number): Promise<void>;
    private checkOpenCheckSumModal;
    private skipUiUtilsModal;
    private checkUiUtilsModal;
}
