import { Page } from "playwright-core";
import { ServerErrorLog } from "../../../../../Common/CandyApiClient/Types/ErrorLog/ServerErrorLog";
import { ViewModelFieldName } from "../../../../../Engine/src/Engine/Core/CoreTypes";
import { IForm } from "../../../../../Engine/src/Engine/Form/IForm";
import { IPublicForm } from "../../../../../Engine/src/Forms/PublicForm/IPublicForm";
import { CandyServiceTestContext, Inner, Outer } from "../../CandyApi/CandyServiceTestContext";
import { CreateDraftResponse } from "../../../../../Common/CandyApiClient/Types/CreateDraft/CreateDraftResponse";
import { CandyPageWithNavigationBase } from "../CandyPageWithNavigationBase";
import { ErrorsItemAdapterProxy } from "./AdapterProxies/ErrorsItemAdapterProxy";
import { GenericControlAdapterProxy } from "./AdapterProxies/GenericControlAdapterProxy";
import { PanelAdapterProxy } from "./AdapterProxies/PanelAdapterProxy";
import { UnitAdapterProxy } from "./AdapterProxies/UnitAdapterProxy";
import { IUITestPageAccessor } from "./IUITestPageAccessor";
declare enum ClearPageMethod {
    OnlyParent = "OnlyParent",
    ParentAndChildren = "ParentAndChildren"
}
declare global {
    interface Window {
        publicForm: IPublicForm & {
            form: IForm;
        };
    }
}
export declare class UITestFormPageWrapper implements IUITestPageAccessor {
    private readonly page;
    private readonly candyApi;
    private readonly draftInfo;
    private readonly pageObject;
    panel: PanelAdapterProxy;
    constructor(page: Page, candyApi: CandyServiceTestContext, draftInfo: CreateDraftResponse, pageObject: CandyPageWithNavigationBase);
    wait(tm: number): Promise<void>;
    errorLogItem(name: string): ErrorsItemAdapterProxy;
    unit(id: string): UnitAdapterProxy;
    control(name: string): GenericControlAdapterProxy;
    restartForm(): Promise<void>;
    controlExists(nodePath: string): Promise<boolean>;
    saveForm(): Promise<void>;
    setErrorLogFromFile(errorLog: Partial<ServerErrorLog>): Promise<void>;
    getValueFromControl<T>(inNodePath: string, inStatePath: string): Promise<T>;
    setValueToControl(inNodePath: string, inStatePath: string, inValue?: string | boolean | number): Promise<void>;
    setValueToModel(inNodePath: string, inFieldName: ViewModelFieldName, inValue: string | boolean | string[]): Promise<void>;
    getValueFromModel(inNodePath: string, inFieldName: string): Promise<string>;
    close(): Promise<void>;
    private readonly executeAction;
    setFuf(fuf?: Buffer): Promise<void>;
    setInner(inner?: Inner): Promise<void>;
    setOuter(outer?: Outer): Promise<void>;
    setRequisites(fakeRequisites?: {
        [key: string]: {
            value: string;
        };
    }): Promise<void>;
    confirmRemoveUnit(): Promise<void>;
    confirmClearUnit(method?: ClearPageMethod): Promise<void>;
    private refreshPage;
}
export {};
