import { CompoundControl } from "../PageObjects/Bases/CompoundControl";
import { PageActionsControl } from "../PageObjects/Controls/PageActionsControl";
import { ControlBase } from "../PageObjects/Bases/ControlsBase";
import { ExtendedPromise } from "../ExtenedPromises/ExtendedPromise";
import { ControlList } from "../PageObjects/Bases/ControlList";
import { UnitPagerControl } from "../PageObjects/Controls/UnitPagerControl/UnitPagerControl";
import { ISearchContext } from "../PageObjects/Bases/Selectors/ISearchContext";
import { ISelector } from "../PageObjects/Bases/Selectors/ISelector";
import { ControlConstructor } from "../BrowserWrapper/BrowserPageWrapper";
export declare class UnitBase<T = {}> extends CompoundControl<T> {
    static defaultElementSelector: string;
    readonly header: ControlBase;
    readonly pageActions: PageActionsControl;
    private readonly internalUnit;
    get visible(): ExtendedPromise<boolean>;
    scrollTo(): Promise<void>;
}
export declare class UnitList<TUnit> extends CompoundControl {
    readonly insertButton: ControlList<ControlBase>;
    readonly addUnitButton: ControlBase;
    readonly units: ControlList<TUnit>;
    readonly topPager: UnitPagerControl;
    readonly bottomPager: UnitPagerControl;
    constructor(context: ISearchContext, selector: ISelector, unitClass: ControlConstructor<TUnit>, childUnitSelector?: ISelector);
    addNInstance(n: number): Promise<void>;
    get count(): ExtendedPromise<number>;
    itemAt(index: number): ExtendedPromise<TUnit>;
    static ofUnit<T>(childFactory: ControlConstructor<T>): ControlConstructor<UnitList<T>>;
}
