"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitList = exports.UnitBase = void 0;
const CompoundControl_1 = require("../PageObjects/Bases/CompoundControl");
const FluentControlFactory_1 = require("../PageObjects/Bases/ControlDeclaration/FluentControlFactory");
const PageActionsControl_1 = require("../PageObjects/Controls/PageActionsControl");
const Selector_1 = require("../PageObjects/Bases/Selectors/Selector");
const ControlsBase_1 = require("../PageObjects/Bases/ControlsBase");
const ControlList_1 = require("../PageObjects/Bases/ControlList");
const UnitPagerControl_1 = require("../PageObjects/Controls/UnitPagerControl/UnitPagerControl");
const ControlContructorBinding_1 = require("../PageObjects/Bases/ControlDeclaration/ControlContructorBinding");
class UnitBase extends CompoundControl_1.CompoundControl {
    static defaultElementSelector = "Unit";
    header = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("div").tid("Header").in(this);
    pageActions = (0, FluentControlFactory_1.control)(PageActionsControl_1.PageActionsControl).as("PageActions").in(this);
    internalUnit = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("div").in(this);
    get visible() {
        return this.internalUnit.isPresent();
    }
    async scrollTo() {
        await this.rootPage.evaluateFunctionAsHandle(([x]) => {
            x.scrollIntoView(true);
        }, await this.getRootElement());
    }
}
exports.UnitBase = UnitBase;
class UnitList extends CompoundControl_1.CompoundControl {
    insertButton = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("UnitAdder").listIn(this);
    addUnitButton = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("UnitAdder").tid("AppendUnitButton").in(this);
    units;
    topPager = (0, FluentControlFactory_1.control)(UnitPagerControl_1.UnitPagerControl).as("TopUnitsNavigatorContainer").in(this);
    bottomPager = (0, FluentControlFactory_1.control)(UnitPagerControl_1.UnitPagerControl).as("BottomUnitsNavigatorContainer").in(this);
    constructor(context, selector, unitClass, childUnitSelector) {
        super(context, selector);
        this.units = new ControlList_1.ControlList(this, childUnitSelector ?? new Selector_1.ReactSelector("MultipleUnit[bindingPath]"), unitClass);
    }
    async addNInstance(n) {
        for (let i = 0; i < n; i++) {
            const query = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("UnitAdder").tid("AppendUnitButton").listIn(this);
            const count = await query.count;
            const item = query.itemAt(count - 1);
            await item.click();
        }
    }
    get count() {
        return this.units.count;
    }
    itemAt(index) {
        return this.units.itemAt(index);
    }
    static ofUnit(childFactory) {
        return (0, ControlContructorBinding_1.controlOf)(UnitList, childFactory);
    }
}
exports.UnitList = UnitList;
