import { InputControl } from "../Controls/CandyControls/ValueEditors/InputControl";
import { FxInputControl } from "../Controls/CandyControls/ValueEditors/FxInputControl";
import { TextControl } from "../Controls/TextControl";
import { PicklistControl } from "../Controls/CandyControls/ValueEditors/Picklist/PicklistControl";
import { ComboboxControl } from "../Controls/CandyControls/ValueEditors/ComboboxControl";
import { ControlBase } from "./ControlsBase";
export declare class CompoundControl<T = {}> extends ControlBase {
    setValues(values: EditableControlValues<T>): Promise<void>;
    expectValues(values: ExpectableControlValues<T>): Promise<void>;
}
type EditableControlValues<T> = {
    [P in keyof T]?: T[P] extends InputControl ? string : never;
};
type ExpectableControlValues<T> = {
    [P in keyof T]?: T[P] extends InputControl ? string | null : T[P] extends FxInputControl ? string | null : T[P] extends TextControl ? string | null : T[P] extends PicklistControl ? string | null : T[P] extends ComboboxControl ? string | null | RegExp : never;
};
export {};
