"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompoundControl = void 0;
const test_1 = require("@playwright/test");
const InputControl_1 = require("../Controls/CandyControls/ValueEditors/InputControl");
const FxInputControl_1 = require("../Controls/CandyControls/ValueEditors/FxInputControl");
const TextControl_1 = require("../Controls/TextControl");
const PicklistControl_1 = require("../Controls/CandyControls/ValueEditors/Picklist/PicklistControl");
const ComboboxControl_1 = require("../Controls/CandyControls/ValueEditors/ComboboxControl");
const ControlsBase_1 = require("./ControlsBase");
class CompoundControl extends ControlsBase_1.ControlBase {
    async setValues(values) {
        for (const name of Object.keys(values)) {
            // @ts-ignore
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            await this[name].clearAndType(values[name]);
        }
    }
    async expectValues(values) {
        for (const name of Object.keys(values)) {
            // @ts-ignore
            const control = this[name];
            if (control instanceof InputControl_1.InputControl) {
                // @ts-ignore
                await test_1.expect.poll(() => control.value).toBe(values[name]);
            }
            else if (control instanceof TextControl_1.TextControl) {
                // @ts-ignore
                await test_1.expect.poll(() => control.text).toBe(values[name]);
            }
            else if (control instanceof PicklistControl_1.PicklistControl) {
                // @ts-ignore
                await test_1.expect.poll(() => control.text).toBe(values[name]);
            }
            else if (control instanceof FxInputControl_1.FxInputControl) {
                // @ts-ignore
                await test_1.expect.poll(() => control.value).toBe(values[name]);
            }
            else if (control instanceof ComboboxControl_1.ComboboxControl) {
                // @ts-ignore
                const expectValue = values[name];
                if (expectValue instanceof RegExp) {
                    await test_1.expect.poll(() => control.text).toMatch(expectValue);
                }
                else {
                    await test_1.expect.poll(() => control.value).toEqual(expectValue);
                }
            }
            else {
                throw new Error(`Control value cannot be asserted`);
            }
        }
    }
}
exports.CompoundControl = CompoundControl;
/* eslint-enable prettier/prettier */
