import * as React from "react";
import { ISearchContext } from "../Selectors/ISearchContext";
import { ISelector } from "../Selectors/ISelector";
import { ControlList } from "../ControlList";
import { ControlConstructor } from "../../../BrowserWrapper/BrowserPageWrapper";
export declare class FluentControlFactory<T> {
    selector: ISelector;
    readonly controlConstructor: ControlConstructor<T>;
    constructor(controlConstructor: ControlConstructor<T>);
    in(searchContext: ISearchContext): T;
    listIn(searchContext: ISearchContext): ControlList<T>;
    tid(tidString: string): FluentControlFactory<T>;
    first(): FluentControlFactory<T>;
    second(): FluentControlFactory<T>;
    prop(name: string, value: string): FluentControlFactory<T>;
    path(bindingPath: string): FluentControlFactory<T>;
    asIs(): FluentControlFactory<T>;
    unitId(idValue: string): FluentControlFactory<T>;
    itemAt(index: number): FluentControlFactory<T>;
    as<TProps>(selector: string | ISelector | React.ComponentType<TProps>): FluentControlFactory<T>;
}
export declare function control<T>(controlConstructor: ControlConstructor<T>): FluentControlFactory<T>;
