import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
import { ISearchContext } from "./Selectors/ISearchContext";
import { ISelector } from "./Selectors/ISelector";
import type { FluentControlFactory } from "./ControlDeclaration/FluentControlFactory";
export declare class ControlList<TItem> {
    private readonly context;
    private readonly childSelector;
    private readonly childFactory;
    constructor(context: ISearchContext, childSelector: ISelector, childFactory: ControlConstructor<TItem>);
    static of<T>(instanceBuilder: FluentControlFactory<T>): ControlConstructor<ControlList<T>>;
    get count(): ExtendedPromise<number>;
    itemAt(index: number): ExtendedPromise<TItem>;
}
