"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ControlList = void 0;
const TypingUtils_1 = require("../../../../../Common/TypingUtils");
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
const ReactNodeAtIndexSelector_1 = require("./Selectors/ReactNodeAtIndexSelector");
const ReactSelectorTypingBridge_1 = require("./Selectors/ReactSelectorTypingBridge");
class ControlList {
    context;
    childSelector;
    childFactory;
    constructor(context, childSelector, childFactory) {
        this.context = context;
        this.childSelector = childSelector;
        this.childFactory = childFactory;
    }
    static of(instanceBuilder) {
        return class extends ControlList {
            constructor(context, selector) {
                super(context, instanceBuilder.selector ?? (0, TypingUtils_1.reject)(), instanceBuilder.controlConstructor);
            }
        };
    }
    get count() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const childrenSelectorResult = await this.childSelector.execute(this.context);
            const rootElement = this.context.rootPage;
            const result = await (0, ReactSelectorTypingBridge_1.evaluateHandler)(rootElement, ([x]) => {
                const elements = x.getDomElements();
                const onlyUniqueElements = elements.filter((item, index) => elements.indexOf(item) === index);
                return onlyUniqueElements.length;
            }, childrenSelectorResult);
            return await result.jsonValue();
        });
    }
    itemAt(index) {
        return (0, ExtendedPromise_1.extendPromise)(async () => new this.childFactory(this.context, new ReactNodeAtIndexSelector_1.ReactNodeAtIndexSelector(this.childSelector, index)));
    }
}
exports.ControlList = ControlList;
