import { CandyBrowserPage } from "../../BrowserWrapper/Candy/CandyBrowserPage";
import { BrowserPageWrapper } from "../../BrowserWrapper/BrowserPageWrapper";
import { CandyWebElementHandle } from "../../BrowserWrapper/Candy/CandyWebElementHandle";
import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ISearchContext } from "./Selectors/ISearchContext";
import { ISelector } from "./Selectors/ISelector";
import { ReactSelectorResultHandle } from "./Selectors/ReactSelectorTypingBridge";
import { ControlFactoryStatics } from "./ControlFactoryStatics";
import { UsualControlProps } from "./UsualControlProps";
export declare class ControlBase extends ControlFactoryStatics implements ISearchContext {
    static defaultElementSelector?: string | ISelector;
    protected readonly context: ISearchContext;
    private readonly selector;
    constructor(context: ISearchContext, selector: ISelector);
    get rootPage(): CandyBrowserPage;
    get rootPageWrapper(): BrowserPageWrapper;
    protected getRootElement(): Promise<CandyWebElementHandle>;
    hover(): Promise<void>;
    getSelectorResultForChildSearch(): Promise<ReactSelectorResultHandle>;
    protected getSelectorResult(): Promise<ReactSelectorResultHandle>;
    getProp<T>(propName: string): ExtendedPromise<T>;
    isActiveElement(): ExtendedPromise<boolean>;
    isHoveredElement(): ExtendedPromise<boolean>;
    isPresent(): ExtendedPromise<boolean>;
    isNotPresent(): ExtendedPromise<boolean>;
    getSelectorDescription(): string;
    takeScreenshot(): Promise<string>;
    hide(): Promise<void>;
    show(): Promise<void>;
    get isInViewport(): ExtendedPromise<boolean>;
    scrollIntoView(): Promise<void>;
    get text(): ExtendedPromise<undefined | string>;
    click(): Promise<void>;
    setAttribute(name: string, value: string): Promise<void>;
    pick<V, TArgs extends unknown[]>(pickier: (props: UsualControlProps, ...args: TArgs) => V, ...args: TArgs): ExtendedPromise<V>;
    focus(): Promise<void>;
    blur(): Promise<void>;
}
