"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactNodeAtIndexSelector = void 0;
const ReactSelectorTypingBridge_1 = require("./ReactSelectorTypingBridge");
class ReactNodeAtIndexSelector {
    selector;
    index;
    constructor(selector, index) {
        this.selector = selector;
        this.index = index;
    }
    async execute(context) {
        return (0, ReactSelectorTypingBridge_1.evaluateHandler)(context.rootPage, ([itemsSelector, index]) => itemsSelector.at(index), await this.selector.execute(context), this.index);
    }
    getDescription(context) {
        return `${this.selector.getDescription(context)}[${this.index}]`;
    }
}
exports.ReactNodeAtIndexSelector = ReactNodeAtIndexSelector;
