import * as React from "react";
import { ISearchContext } from "./ISearchContext";
import { ISelector } from "./ISelector";
import { ReactSelectorResultHandle } from "./ReactSelectorTypingBridge";
interface PropsFilter {
    readonly [key: string]: undefined | string | boolean | number | string[];
}
export declare class ReactSelector implements ISelector {
    private readonly selectorString;
    private readonly props?;
    private readonly ignoreContext;
    constructor(selectorString: string, props?: PropsFilter, ignoreContext?: boolean);
    first(): ISelector;
    second(): ISelector;
    at(index: number): ISelector;
    internalSetPropsFilter(props?: PropsFilter): ReactSelector;
    internalGetPropsFilter(): undefined | PropsFilter;
    execute(context: ISearchContext): Promise<ReactSelectorResultHandle>;
    getDescription(context: ISearchContext): string;
    private getCurrentSelectorDescription;
    static from<P>(componentType: React.ComponentType<P>, propFilter?: string | {
        bindingPath: string;
    } | {
        [TK in keyof P]?: P[TK] extends string ? P[TK] : never;
    } | {
        [TK in `data-${string}`]: string;
    }): ReactSelector;
}
export declare function toSelector(input: string | ISelector): ISelector;
export declare function toSelector(input: undefined | string | ISelector): undefined | ISelector;
export {};
