"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonControl = void 0;
const ExtendedPromise_1 = require("../../../../ExtenedPromises/ExtendedPromise");
const ControlsBase_1 = require("../../../Bases/ControlsBase");
const HtmlButtonControl_1 = require("../../HtmlControls/HtmlButtonControl");
class ButtonControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "Button";
    internalHtmlButton = HtmlButtonControl_1.HtmlButtonControl.inside(this);
    get text() {
        return this.internalHtmlButton.text;
    }
    get disabled() {
        return (0, ExtendedPromise_1.extendPromise)(async () => Boolean(await this.getProp("disabled")));
    }
    get errorMessage() {
        return (0, ExtendedPromise_1.extendPromise)(async () => Boolean(await this.getProp("error")));
    }
}
exports.ButtonControl = ButtonControl;
