import { ControlBase } from "../../../Bases/ControlsBase";
import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlList } from "../../../Bases/ControlList";
import { ISearchContext } from "../../../Bases/Selectors/ISearchContext";
import { ISelector } from "../../../Bases/Selectors/ISelector";
import { ControlConstructor } from "../../../../BrowserWrapper/BrowserPageWrapper";
export declare class KebabActionControl extends ControlBase {
    static defaultElementSelector: string;
    get disabled(): ExtendedPromise<boolean>;
    get path(): ExtendedPromise<string>;
}
export declare class KebabControl extends ControlBase {
    static defaultElementSelector: string;
    readonly menuItems: ControlList<KebabActionControl>;
    get disabled(): ExtendedPromise<boolean>;
    blur(): ExtendedPromise<void>;
    selectItemByIndex(index: number): ExtendedPromise<void>;
    getItems<TContent>(contentClass: ControlConstructor<TContent>): Promise<KebabPopupControl<TContent>>;
}
export declare class KebabPopupContent extends ControlBase {
    readonly items: ControlList<KebabActionControl>;
}
declare class KebabPopupControl<TContent> extends ControlBase {
    static defaultElementSelector: string;
    readonly content: TContent;
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<TContent>);
}
export {};
