"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkControl = void 0;
const ControlsBase_1 = require("../../../Bases/ControlsBase");
const Selector_1 = require("../../../Bases/Selectors/Selector");
const FluentControlFactory_1 = require("../../../Bases/ControlDeclaration/FluentControlFactory");
class LinkControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "Link";
    internalLinkControl = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as(new Selector_1.ReactSelector("Link").first()).in(this);
    get disabled() {
        return this.internalLinkControl.getProp("disabled");
    }
    async clickNTimes(n) {
        for (let i = 0; i < n; i++) {
            await this.click();
        }
    }
}
exports.LinkControl = LinkControl;
