import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../Bases/ControlsBase";
import { ControlList } from "../../../Bases/ControlList";
import { DropdownControl } from "../../DropdownControl";
import { MenuItemControl } from "../../MenuItemControl";
import { ControlConstructor } from "../../../../BrowserWrapper/BrowserPageWrapper";
import { FormulaTooltipControl } from "./FxInputControl";
export declare class ComboboxControl extends ControlBase {
    static defaultElementSelector: string;
    static emptyValue: any;
    private readonly internalInput;
    private readonly internalComboBox;
    private readonly internalComboBoxView;
    readonly menu: ControlList<MenuItemControl>;
    private readonly wrapperInput;
    formulaTooltip: FormulaTooltipControl;
    private readonly switchToAutoButton;
    readonly hint: ControlBase;
    get value(): ExtendedPromise<string>;
    switchToAuto(): Promise<void>;
    get placeholderText(): ExtendedPromise<undefined | string>;
    get isFocused(): Promise<boolean>;
    pressEnter(): Promise<void>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    get isValid(): Promise<boolean>;
    valueOfProp(prop: string): Promise<undefined | string>;
    selectValueByIndex(index: number): ExtendedPromise<void>;
    typeValueAndSelectSingle(searchValue: string): ExtendedPromise<void>;
    typeValueAndPressTab(value: string): ExtendedPromise<void>;
    clearAndType(text: string): Promise<void>;
    dropDownItemValue(itemNumber: number): ExtendedPromise<undefined | string>;
    hover(): Promise<void>;
    blur(): ExtendedPromise<void>;
    clear(): Promise<void>;
    getDropdown<TContent>(contentClass: ControlConstructor<TContent>): Promise<DropdownControl<TContent>>;
}
