import { ControlBase } from "../../../Bases/ControlsBase";
import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { HtmlInputControl } from "../../HtmlControls/HtmlInputControl";
import { InputControl } from "./InputControl";
export declare class FormulaTooltipControl extends ControlBase {
    get opened(): ExtendedPromise<boolean>;
    get formulaText(): ExtendedPromise<boolean>;
}
export declare class FxInputControl extends InputControl {
    static defaultElementSelector: string;
    private readonly highlightedFxInputElement;
    protected readonly internalInputHtmlElement: HtmlInputControl;
    private readonly internalCandyFxInput;
    readonly Icon: ControlBase;
    private readonly switchToAutoButton;
    formulaTooltip: FormulaTooltipControl;
    get isHighlighted(): ExtendedPromise<boolean>;
    get isValid(): Promise<boolean>;
    switchToAuto(): Promise<void>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    get autoValue(): Promise<undefined | string>;
    get fxState(): Promise<FxState>;
    focus(): Promise<void>;
    blur(): Promise<void>;
}
export declare enum FxState {
    Auto = "Auto",
    Manual = "Manual"
}
