import { ControlBase } from "../../../Bases/ControlsBase";
import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { HtmlInputControl } from "../../HtmlControls/HtmlInputControl";
import { TooltipControl } from "./Picklist/PicklistControl";
declare class InternalCandyInputControl extends ControlBase {
    get highlighted(): ExtendedPromise<boolean>;
}
export declare class InputControl extends ControlBase {
    static defaultElementSelector: string;
    protected readonly internalInputHtmlElement: HtmlInputControl;
    protected readonly internalCandyInput: InternalCandyInputControl;
    readonly tooltipLink: TooltipControl;
    protected getInternalInputHtmlElement(): HtmlInputControl;
    type(text: string): Promise<void>;
    get value(): Promise<string>;
    get isHighlighted(): ExtendedPromise<boolean>;
    get isDisabled(): Promise<boolean>;
    get isValid(): Promise<boolean>;
    get isFocused(): ExtendedPromise<boolean>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    pressEnter(): Promise<void>;
    pressDelete(): Promise<void>;
    clearAndTypeFromKeyboard(text: string): Promise<void>;
    typeFromKeyboard(text: string): Promise<void>;
    clearAndType(text: string): Promise<void>;
    clickAndType(text: string): Promise<void>;
    clickAndPressBackspace(): Promise<void>;
    clearAndTypeByKeyboard(text: string): Promise<void>;
    focus(): Promise<void>;
    blur(): Promise<void>;
    clear(): Promise<void>;
    get placeholder(): Promise<string>;
}
export {};
