"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KladrControl = exports.KladrModal = void 0;
const ExtendedPromise_1 = require("../../../../ExtenedPromises/ExtendedPromise");
const ControlsBase_1 = require("../../../Bases/ControlsBase");
const FluentControlFactory_1 = require("../../../Bases/ControlDeclaration/FluentControlFactory");
const Selector_1 = require("../../../Bases/Selectors/Selector");
const ButtonControl_1 = require("../Action/ButtonControl");
const ComboboxOldControl_1 = require("../../ComboboxOldControl");
const ControlList_1 = require("../../../Bases/ControlList");
const DropdownControl_1 = require("../../DropdownControl");
const LabelControl_1 = require("../../LabelControl");
const LinkControl_1 = require("../Action/LinkControl");
const InputControl_1 = require("./InputControl");
class KladrModal extends ControlsBase_1.ControlBase {
    // Поля: Регион (0), Район (1), Город (2), Населённый пункт (3), Улица (4)
    comboboxFields = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ComboboxOldControl_1.ComboboxOldControl.as("ComboBoxOld"))).in(this);
    // Поля: Индекс (0), Дом (1), Корпус (2), Квартира/офис (3)
    inputFields = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(InputControl_1.InputControl.as("Input"))).in(this);
    // Кнопки: Сохранить (0), Отмена (1)
    buttons = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ButtonControl_1.ButtonControl.as("Button"))).in(this);
}
exports.KladrModal = KladrModal;
class KladrControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "withResolvePaths(**(Kladr))";
    fillAddress = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).as("Link").in(this);
    internalKladr = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("Kladr[dependencies]").in(this);
    address = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("span div").in(this);
    inner = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("span div").in(this);
    get isValid() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const error = await this.internalKladr.getProp("error");
            return !error;
        });
    }
    async openModalEditor() {
        await this.fillAddress.click();
        const dropDownMenu = new DropdownControl_1.DropdownControl(this, new Selector_1.ReactSelector("Kladr Portal"), KladrModal);
        return dropDownMenu;
    }
}
exports.KladrControl = KladrControl;
