import { ExtendedPromise } from "../../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../../Bases/ControlsBase";
import { ISearchContext } from "../../../../Bases/Selectors/ISearchContext";
import { ISelector } from "../../../../Bases/Selectors/ISelector";
import { ButtonControl } from "../../Action/ButtonControl";
import { ReactUIInputControl } from "../../../ReactUIControls/ReactUIInputControl";
import { ControlConstructor } from "../../../../../BrowserWrapper/BrowserPageWrapper";
import { PicklistModalContent } from "./PicklistModalContent";
export declare class ModalControl<T> extends ControlBase {
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<T>);
    readonly content: T;
}
export declare class TooltipControl extends ControlBase {
    get active(): ExtendedPromise<boolean>;
}
export declare class PicklistControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly tooltip;
    private readonly internalPicklist;
    readonly internalBasePicklist: ControlBase;
    readonly picklistModal: PicklistModalContent;
    readonly input: ReactUIInputControl;
    readonly openButton: ButtonControl;
    private readonly internalInput;
    get isDisabled(): ExtendedPromise<boolean>;
    private get isButtonDisabled();
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    open(): Promise<void>;
    pressDown(): Promise<void>;
    openModalPicklist(): Promise<PicklistModalContent>;
    setValuesViaInput(values: string): Promise<void>;
    clearAndType(text: string): Promise<void>;
    blur(): Promise<void>;
    getModal<TContent>(contentClass: ControlConstructor<TContent>): Promise<ModalControl<TContent>>;
    isTooltipActive(): ExtendedPromise<boolean>;
    get isFocused(): ExtendedPromise<boolean>;
}
