"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PicklistModalContent = exports.PicklistLoaderContainerControl = void 0;
const ControlsBase_1 = require("../../../../Bases/ControlsBase");
const FluentControlFactory_1 = require("../../../../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("../../Action/ButtonControl");
const InputControl_1 = require("../InputControl");
const LabelControl_1 = require("../../../LabelControl");
const ReactUICheckboxControl_1 = require("../../../ReactUIControls/ReactUICheckboxControl");
class PicklistItemControl extends ControlsBase_1.ControlBase {
    captions = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("Cell").listIn(this);
    checkbox = (0, FluentControlFactory_1.control)(ReactUICheckboxControl_1.ReactUICheckboxControl).as("Checkbox").in(this);
    getFieldByIndex(index) {
        return this.captions.itemAt(index).text;
    }
    get selected() {
        return this.checkbox.checked;
    }
    get focused() {
        return this.getProp("focused");
    }
    async click() {
        // не пойму, баг какой-то
        await this.scrollIntoView();
        await super.click();
    }
}
class PicklistLoaderContainerControl extends ControlsBase_1.ControlBase {
    get active() {
        return this.getProp("active");
    }
}
exports.PicklistLoaderContainerControl = PicklistLoaderContainerControl;
class PicklistModalContent extends ControlsBase_1.ControlBase {
    title = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("div").tid("Title").in(this);
    searchInput = (0, FluentControlFactory_1.control)(InputControl_1.InputControl).as("Input").tid("SearchInput").in(this);
    items = PicklistItemControl.as("PicklistItem PicklistItem").listIn(this);
    textRenderTotalCount = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("TotalCountContainer").in(this);
    saveButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).tid("PicklistSaveButton").in(this);
    cancelButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).tid("PicklistCancelButton").in(this);
    cancelX = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("button").tid("modal-close").in(this);
    loader = (0, FluentControlFactory_1.control)(PicklistLoaderContainerControl).as("LoaderContainer").in(this);
    async nextFocus() {
        await this.rootPage.press("Tab");
    }
    async moveFocusToNextItem() {
        await this.rootPage.press("ArrowDown");
    }
    async moveFocusToPreviousItem() {
        await this.rootPage.press("ArrowUp");
    }
    async selectItemByEnter() {
        await this.rootPage.press("Enter");
    }
}
exports.PicklistModalContent = PicklistModalContent;
