"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioGroupControl = void 0;
const RadioControl_1 = require("../../RadioControl");
const FluentControlFactory_1 = require("../../../Bases/ControlDeclaration/FluentControlFactory");
const ControlsBase_1 = require("../../../Bases/ControlsBase");
class RadioGroupControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "withResolvePaths(**(RadioGroup))";
    items = (0, FluentControlFactory_1.control)(RadioControl_1.RadioControl).as("Radio").listIn(this);
    internalRadioGroup = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("RadioGroup[bindingPath]").in(this);
    get value() {
        return this.internalRadioGroup.pick(x => x.value ?? "");
    }
    get currentValueCaption() {
        // пофиксить под конец
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return this.internalRadioGroup.pick(props => {
            const currentItem = props.items.find(item => item[0] === props.value);
            // eslint-disable-next-line @typescript-eslint/no-unsafe-return
            return currentItem?.[1]?.toString();
        });
    }
    async selectValueByIndex(index) {
        await this.items.itemAt(index).click();
    }
    async selectValueByValue(value) {
        // пофиксить под конец
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        const index = await this.pick((props, inValue) => props.items.findIndex(x => x[0] === inValue), value);
        await this.selectValueByIndex(index);
    }
    get errorMessage() {
        return this.internalRadioGroup.pick(x => x.error);
    }
    get warningMessage() {
        return this.internalRadioGroup.pick(x => x.warning);
    }
    get error() {
        return this.internalRadioGroup.pick(x => Boolean(x.error));
    }
}
exports.RadioGroupControl = RadioGroupControl;
