"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectControl = exports.SelectDropdownContent = void 0;
const ExtendedPromise_1 = require("../../../../ExtenedPromises/ExtendedPromise");
const ControlsBase_1 = require("../../../Bases/ControlsBase");
const CompoundControl_1 = require("../../../Bases/CompoundControl");
const FluentControlFactory_1 = require("../../../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("../Action/ButtonControl");
const LabelControl_1 = require("../../LabelControl");
class InternalCandySelectControl extends ControlsBase_1.ControlBase {
    get highlighted() {
        return this.getProp("highlighted");
    }
    get isDisabled() {
        return this.getProp("disabled");
    }
}
class SelectDropdownContent extends CompoundControl_1.CompoundControl {
    items = ControlsBase_1.ControlBase.as("MenuItem").listIn(this);
    resetValue = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("div").tid("select-reset-value").in(this);
}
exports.SelectDropdownContent = SelectDropdownContent;
class SelectControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "withResolvePaths(**(Select))";
    internalButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("Button").in(this);
    internalCandySelect = (0, FluentControlFactory_1.control)(InternalCandySelectControl).as("Select[bindingPath]").in(this);
    menu = (0, FluentControlFactory_1.control)(SelectDropdownContent).as("Menu").in(this);
    get text() {
        return this.internalButton.text;
    }
    get isDisabled() {
        return this.internalCandySelect.isDisabled;
    }
    get isHighlighted() {
        return this.internalCandySelect.highlighted;
    }
    async click() {
        await this.internalButton.click();
    }
    async selectValueByIndex(index) {
        const menu = await this.openMenu();
        await menu.items.itemAt(index).click();
    }
    get errorMessage() {
        return (0, ExtendedPromise_1.extendPromise)(async () => this.internalCandySelect.getProp("error"));
    }
    async openMenu() {
        await this.internalButton.click();
        return this.menu;
    }
}
exports.SelectControl = SelectControl;
