"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextAreaControl = void 0;
const ControlsBase_1 = require("../../../Bases/ControlsBase");
const FluentControlFactory_1 = require("../../../Bases/ControlDeclaration/FluentControlFactory");
const HtmlInputControl_1 = require("../../HtmlControls/HtmlInputControl");
const InputControl_1 = require("./InputControl");
class TextAreaControl extends InputControl_1.InputControl {
    static defaultElementSelector = "withResolvePaths(**(TextArea))";
    internalInputHtmlElement = (0, FluentControlFactory_1.control)(HtmlInputControl_1.HtmlInputControl).as("textarea").in(this);
    internalReactUITextarea = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("Textarea").in(this);
    focusedTextArea = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("textarea").in(this);
    get isFocused() {
        return this.focusedTextArea.isActiveElement();
    }
    get error() {
        return this.internalReactUITextarea.pick(x => Boolean(x.error));
    }
}
exports.TextAreaControl = TextAreaControl;
