import { ControlBase } from "../../../Bases/ControlsBase";
import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
export declare class TooltipContent extends ControlBase {
    static defaultElementSelector: string;
}
export declare class TooltipControl extends ControlBase {
    private readonly tooltipContent;
    get active(): ExtendedPromise<boolean>;
    get isOpened(): ExtendedPromise<boolean>;
    get value(): ExtendedPromise<boolean>;
}
export declare class ToggleControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly internalLabel;
    private readonly internalReactUIToggle;
    readonly tooltip: TooltipControl;
    get error(): ExtendedPromise<boolean>;
    get warning(): ExtendedPromise<boolean>;
    get disabled(): ExtendedPromise<boolean>;
    get captionPosition(): Promise<"right" | "left" | undefined>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    click(checkState?: boolean): Promise<void>;
    get checked(): ExtendedPromise<boolean>;
    isTooltipActive(): ExtendedPromise<boolean>;
}
