"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComboboxDropdownContent = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ControlList_1 = require("../Bases/ControlList");
const LabelControl_1 = require("./LabelControl");
const ComboboxItemControl_1 = require("./ComboboxItemControl");
class ComboboxDropdownContent extends ControlsBase_1.ControlBase {
    items = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ComboboxItemControl_1.ComboboxItemControl.as("MenuItem"))).in(this);
    menu = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("Menu").in(this);
    textRenderTotalCount = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("div").tid("total-count-tip").in(this);
    autoValueItems = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ComboboxItemControl_1.ComboboxItemControl.as("div[data-tid=combobox-item-auto-value]"))).in(this);
    autoValueNote = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("div").tid("combobox-auto-value-note").in(this);
    commonItems = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ComboboxItemControl_1.ComboboxItemControl.as("div[data-tid=combobox-item]"))).in(this);
}
exports.ComboboxDropdownContent = ComboboxDropdownContent;
