import { ExtendedPromise } from "../../../ExtenedPromises/ExtendedPromise";
import { CompoundControl } from "../../Bases/CompoundControl";
import { ISearchContext } from "../../Bases/Selectors/ISearchContext";
import { ISelector } from "../../Bases/Selectors/ISelector";
import { ButtonControl } from "../CandyControls/Action/ButtonControl";
import { ClickableAreaControl } from "../ClickableAreaControl";
import { ControlList } from "../../Bases/ControlList";
import { LabelControl } from "../LabelControl";
import { LinkControl } from "../CandyControls/Action/LinkControl";
import { PagerControl } from "../PagerControl";
import { PopupMenuControl } from "../PopupMenu";
import { ControlBase } from "../../Bases/ControlsBase";
import { ControlConstructor } from "../../../BrowserWrapper/BrowserPageWrapper";
import { HeaderMenu } from "./HeaderMenu";
declare class CrossFitTableColgroupButton extends CompoundControl {
    readonly button: ButtonControl;
    private readonly tableCells;
    click(): Promise<void>;
    get collapsed(): ExtendedPromise<boolean>;
}
declare class RowMenuContent extends CompoundControl {
    readonly copyButton: ButtonControl;
    readonly copyToEndButton: ButtonControl;
    readonly removeButton: ButtonControl;
}
declare class RowMenu extends CompoundControl {
    readonly menu: PopupMenuControl<RowMenuContent>;
    removeViaRowMenu(): Promise<void>;
}
declare class CrossFitTableSideBar extends CompoundControl {
    readonly rowsMenu: ControlList<RowMenu>;
    readonly removeRowButtons: ControlList<ControlBase>;
}
declare class CrossFitTableFilterInfo extends CompoundControl {
    readonly resetFilters: LinkControl;
    readonly foundInstancesText: LabelControl;
    isPresent(): ExtendedPromise<boolean>;
}
export declare class CrossFitTableControl<TRow> extends CompoundControl {
    static defaultElementSelector: string;
    readonly rows: ControlList<TRow>;
    readonly addButton: ButtonControl;
    readonly pager: PagerControl;
    readonly hideColumnButtons: ControlList<CrossFitTableColgroupButton>;
    readonly sideBar: CrossFitTableSideBar;
    readonly filterInfo: CrossFitTableFilterInfo;
    readonly scrollToRightArrow: ClickableAreaControl;
    readonly scrollToLeftArrow: ClickableAreaControl;
    constructor(context: ISearchContext, selector: ISelector, childFactory: ControlConstructor<TRow>);
    static withRow<T>(childFactory: ControlConstructor<T>): ControlConstructor<CrossFitTableControl<T>>;
    addRow(): Promise<void>;
    addRows(n: number): Promise<void>;
    findHeaderMenuByText<T>(text: string, headerMenuContent: ControlConstructor<T>): HeaderMenu<T>;
    removeAllRows(): Promise<void>;
    removeRowsExceptFirst(): Promise<void>;
}
export {};
