"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenu = void 0;
const ControlsBase_1 = require("../../Bases/ControlsBase");
const DropdownMenuControl_1 = require("../DropdownMenuControl");
const Selector_1 = require("../../Bases/Selectors/Selector");
class HeaderMenu extends ControlsBase_1.ControlBase {
    menu;
    constructor(context, selector, contentControl) {
        super(context, selector);
        this.menu = new DropdownMenuControl_1.DropdownMenuControl(this, new Selector_1.ReactSelector("DropdownMenu"), contentControl);
    }
    openDropdownMenu() {
        return this.menu.open();
    }
    async closeDropdownMenu() {
        await this.menu.open();
    }
    get filtered() {
        return this.getProp("filtered");
    }
}
exports.HeaderMenu = HeaderMenu;
