import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../Bases/ControlsBase";
import { ISearchContext } from "../Bases/Selectors/ISearchContext";
import { ISelector } from "../Bases/Selectors/ISelector";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
export declare class DropdownControl<TContent> extends ControlBase {
    static defaultElementSelector: string;
    private readonly internalButtonHtmlElement;
    readonly content: TContent;
    readonly spinner: ControlBase;
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<TContent>);
    get disabled(): ExtendedPromise<boolean>;
    get text(): ExtendedPromise<undefined | string>;
    static withMenus<T>(menus: ControlConstructor<T>): ControlConstructor<DropdownControl<T>>;
    open(): Promise<TContent>;
}
