"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const ControlContructorBinding_1 = require("../Bases/ControlDeclaration/ControlContructorBinding");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const JustParentSelector_1 = require("../Bases/Selectors/JustParentSelector");
const HtmlButtonControl_1 = require("./HtmlControls/HtmlButtonControl");
class DropdownControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "Dropdown";
    internalButtonHtmlElement = HtmlButtonControl_1.HtmlButtonControl.inside(this);
    content;
    spinner = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("Spinner").in(this);
    constructor(context, selector, contentControl) {
        super(context, selector);
        this.content = new contentControl(this, new JustParentSelector_1.JustParentSelector());
    }
    get disabled() {
        return this.getProp("disabled");
    }
    get text() {
        return this.internalButtonHtmlElement.text;
    }
    static withMenus(menus) {
        return (0, ControlContructorBinding_1.controlOf)(DropdownControl, menus);
    }
    async open() {
        await super.click();
        return this.content;
    }
}
exports.DropdownControl = DropdownControl;
