import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { CompoundControl } from "../Bases/CompoundControl";
import { ControlList } from "../Bases/ControlList";
import { CandyServiceTestContext } from "../../CandyApi/CandyServiceTestContext";
import { ControlBase } from "../Bases/ControlsBase";
import { ButtonControl } from "./CandyControls/Action/ButtonControl";
import { LabelControl } from "./LabelControl";
import { LoaderControl } from "./LoaderControl";
import { TooltipContentBaseControl } from "./TooltipContentBaseControl";
declare class ErrorItemControl extends CompoundControl {
    readonly sourceLinkControl: LabelControl;
    readonly description: LabelControl;
    readonly descriptionItemHiddenText: LabelControl;
    touched(): Promise<boolean>;
}
declare class InterdocumentCheckIssueControl extends CompoundControl {
    readonly description: LabelControl;
}
export declare class ErrorListControl extends CompoundControl {
    readonly attachmentGroup: ErrorsGroupControl;
    readonly warrantGroup: ErrorsGroupControl;
    readonly items: ControlList<ErrorItemControl>;
    readonly interdocumentCheckIssues: ControlList<InterdocumentCheckIssueControl>;
}
export declare class ErrorsGroupControl extends CompoundControl {
    readonly items: ControlList<ErrorItemControl>;
}
declare class ErrorLogTooltip extends TooltipContentBaseControl {
    readonly closeButton: LabelControl;
    readonly descriptionItemText: LabelControl;
}
declare class CheckingStatusControl extends CompoundControl {
    private readonly textControl;
    get text(): ExtendedPromise<string | undefined>;
}
export declare class EmbeddedLogControl extends CompoundControl {
    readonly header: CompoundControl<unknown>;
    readonly checkingStatus: CheckingStatusControl;
    readonly checkButton: ButtonControl;
    readonly errorList: ErrorListControl;
    readonly loader: LoaderControl;
    readonly initialLoader: LabelControl;
    readonly tooltip: ErrorLogTooltip;
    readonly printErrorLog: ButtonControl;
    readonly errorLogHeader: ControlBase;
    get hasErrors(): ExtendedPromise<boolean>;
    downloadErrorLogAsPdf(candyServiceContext: CandyServiceTestContext): Promise<Buffer>;
    downloadErrorLogAsPdfConvertedToText(candyServiceContext: CandyServiceTestContext): Promise<string>;
    get loading(): ExtendedPromise<boolean>;
    clickErrorLinkIfNotTouched(errorIndex: number): Promise<void>;
    checkTooltip(errorIndex: number, errorText: string): Promise<void>;
}
export {};
