"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlInputControl = void 0;
const ControlsBase_1 = require("../../Bases/ControlsBase");
const ExtendedPromise_1 = require("../../../ExtenedPromises/ExtendedPromise");
class HtmlInputControl extends ControlsBase_1.ControlBase {
    get value() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const element = await this.getRootElement();
            return (await element.getProperty("value")) || "";
        });
    }
    type(text) {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const element = await this.getRootElement();
            await element.type(text);
        });
    }
    clear() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const element = await this.getRootElement();
            await element.clear();
        });
    }
    clearAndType(text) {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const element = await this.getRootElement();
            await element.clear();
            await element.type(text);
        });
    }
    async pressEnter() {
        const element = await this.getRootElement();
        if (element == undefined) {
            throw new Error("Element not found");
        }
        await element.pressEnter();
    }
}
exports.HtmlInputControl = HtmlInputControl;
