"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultilineFieldControl = void 0;
const CommonUtils_1 = require("../Bases/CommonUtils");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const JustParentSelector_1 = require("../Bases/Selectors/JustParentSelector");
const Selector_1 = require("../Bases/Selectors/Selector");
const ControlList_1 = require("../Bases/ControlList");
const IconControl_1 = require("./IconControl");
const LinkControl_1 = require("./CandyControls/Action/LinkControl");
class MultilineFieldControl extends CompoundControl_1.CompoundControl {
    static defaultElementSelector = "withResolvePaths(**(MultiLineField))";
    items;
    moreItemsLink = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).as("Link").tid("MoreItems").in(this);
    constructor(context, selector, childFactory) {
        super(context, selector);
        this.items = new ControlList_1.ControlList(this, new Selector_1.ReactSelector("MultiLineField MultiLineFieldItem"), bindMultilineFieldItem(childFactory));
    }
    static of(childFactory) {
        return class extends MultilineFieldControl {
            constructor(context, selector) {
                super(context, selector, childFactory);
            }
        };
    }
    async addItem() {
        await this.items.itemAt(0).addButton.click();
        // BT-HACK когда скролимся, промахиваемся по элементам
        await (0, CommonUtils_1.delay)(100);
    }
}
exports.MultilineFieldControl = MultilineFieldControl;
class MultilineFieldItemBase extends CompoundControl_1.CompoundControl {
    value;
    addButton = (0, FluentControlFactory_1.control)(IconControl_1.IconControl).as("Icon").tid("PlusIcon").in(this);
    removeButton = (0, FluentControlFactory_1.control)(IconControl_1.IconControl).as("Icon").tid("XIcon").in(this);
    constructor(context, selector, rowConstructor) {
        super(context, selector);
        this.value = new rowConstructor(this, new JustParentSelector_1.JustParentSelector());
    }
}
function bindMultilineFieldItem(childFactory) {
    return class extends MultilineFieldItemBase {
        constructor(context, selector) {
            super(context, selector, childFactory);
        }
    };
}
