import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../Bases/ControlsBase";
import { CompoundControl } from "../Bases/CompoundControl";
import { FileProperties } from "../../../../../Common/CandyApiClient/Types/DraftActions/FileProperties";
import { ControlList } from "../Bases/ControlList";
import { ButtonControl } from "./CandyControls/Action/ButtonControl";
import { ClickableAreaControl } from "./ClickableAreaControl";
import { LinkControl } from "./CandyControls/Action/LinkControl";
import { DropdownControl } from "./DropdownControl";
import { LabelControl } from "./LabelControl";
import { DropdownMenuControl } from "./DropdownMenuControl";
import { UnitItemMultipleFlatControl, UnitItemSingleControl } from "./UnitItemControl";
import { EmbeddedLogControl } from "./EmbeddedLogControl";
declare class MoreActionsMenuContent extends CompoundControl {
    readonly downloadButton: LinkControl;
    readonly clearFormButton: LinkControl;
    readonly uploadFufButton: LinkControl;
}
declare class MoreActionsMenu extends CompoundControl {
    readonly menu: DropdownMenuControl<MoreActionsMenuContent>;
}
declare class HideUnitButtonControl extends ControlBase {
    get text(): ExtendedPromise<undefined | string>;
    isPresent(): ExtendedPromise<boolean>;
}
export declare class InquiryUploadModalControl extends ControlBase {
    readonly uploadButton: ButtonControl;
    readonly reloadFormButton: ButtonControl;
    readonly fufUploadError: ControlBase;
    readonly inquiryCount: LabelControl;
    readonly wrongGFVError: LabelControl;
    readonly addedInquiryCount: LabelControl;
    readonly updatedInquiryCount: LabelControl;
}
export declare class FufUploadModalControl extends ControlBase {
    readonly uploadButton: ButtonControl;
    readonly fufFileProperties: ControlBase;
    readonly fufUploadError: ControlBase;
    readonly fufFileUploader: ControlBase;
    get fileProperties(): Promise<FileProperties>;
    get success(): ExtendedPromise<boolean>;
    get error(): ExtendedPromise<boolean>;
    get text(): ExtendedPromise<string | undefined>;
}
export declare class NavigationPanelActionList extends CompoundControl {
    private readonly downloadButton;
    readonly historyEditingButton: ButtonControl;
    private readonly clearFormButton;
    private readonly uploadFufButton;
    readonly moreActionsMenu: MoreActionsMenu;
    clickClearFormButton(): Promise<void>;
    clickUploadFufButton(filesPath: string[], contentClass: typeof FufUploadModalControl): Promise<DropdownControl<FufUploadModalControl>>;
    clickDownloadButton(): Promise<void>;
    openHistoryEditingWidget(): Promise<void>;
}
export declare class NavigationPanel extends CompoundControl {
    static defaultElementSelector: string;
    readonly actionList: NavigationPanelActionList;
    readonly runTourButton: ButtonControl;
    readonly checkButton: ButtonControl;
    readonly sendActionButton: ButtonControl;
    readonly zeroReportingButton: ButtonControl;
    readonly formSaveStatus: ClickableAreaControl;
    readonly pin: ClickableAreaControl;
    readonly embeddedLog: EmbeddedLogControl;
    readonly unitList: ControlList<UnitItemSingleControl>;
    unit2NavigationItem: UnitItemMultipleFlatControl<ControlBase>;
    readonly hideUnitButton: HideUnitButtonControl;
    readonly recalculateDirtyMasksButton: ButtonControl;
    ensureAllDataSaved(): Promise<void>;
}
export {};
