"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageActionsControl = exports.PageActionsDropdownContent = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("./CandyControls/Action/ButtonControl");
const DropdownControl_1 = require("./DropdownControl");
const MenuItemControl_1 = require("./MenuItemControl");
class PageActionsDropdownContent extends CompoundControl_1.CompoundControl {
    clearItem = (0, FluentControlFactory_1.control)(MenuItemControl_1.MenuItemControl).tid("Clear").in(this);
    deleteItem = (0, FluentControlFactory_1.control)(MenuItemControl_1.MenuItemControl).tid("Remove").in(this);
    copyItem = (0, FluentControlFactory_1.control)(MenuItemControl_1.MenuItemControl).tid("CopyMultipleUnit").in(this);
    enableAutoValues = (0, FluentControlFactory_1.control)(MenuItemControl_1.MenuItemControl).tid("EnableAutoValues").in(this);
    addXml = (0, FluentControlFactory_1.control)(MenuItemControl_1.MenuItemControl).tid("AddXml").in(this);
}
exports.PageActionsDropdownContent = PageActionsDropdownContent;
class PageActionsControl extends ControlsBase_1.ControlBase {
    clearPageButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("Button").tid("Clear").in(this);
    deletePageButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("Button").tid("Remove").in(this);
    dropdown = (0, FluentControlFactory_1.control)(DropdownControl_1.DropdownControl.withMenus(PageActionsDropdownContent)).asIs().in(this);
}
exports.PageActionsControl = PageActionsControl;
