"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PagerControl = void 0;
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ControlList_1 = require("../Bases/ControlList");
const LinkControl_1 = require("./CandyControls/Action/LinkControl");
const PageLinkControl_1 = require("./PageLinkControl");
const InputControl_1 = require("./CandyControls/ValueEditors/InputControl");
class PagerControl extends CompoundControl_1.CompoundControl {
    pageLinks = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(PageLinkControl_1.PageLinkControl.as("PageLink"))).in(this);
    previousLink = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).as("Link").tid("pager-previous-link").in(this);
    nextLink = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).as("Link").tid("pager-next-link").in(this);
    goToPageInput = (0, FluentControlFactory_1.control)(InputControl_1.InputControl).as("Input").in(this);
    get empty() {
        return (0, ExtendedPromise_1.extendPromise)(async () => (await this.pageLinks.count) === 0);
    }
    get currentPage() {
        return this.getProp("currentPage");
    }
    get instanceCount() {
        return this.getProp("instanceCount");
    }
    async goToRow(number) {
        await this.goToPageInput.clearAndType(number);
        await this.goToPageInput.rootPage.press("Enter");
    }
}
exports.PagerControl = PagerControl;
