"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PopupMenuControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const Selector_1 = require("../Bases/Selectors/Selector");
const ControlContructorBinding_1 = require("../Bases/ControlDeclaration/ControlContructorBinding");
const PortalControl_1 = require("./PortalControl");
class PopupMenuControl extends ControlsBase_1.ControlBase {
    portal;
    constructor(context, selector, contentControl) {
        super(context, selector);
        this.portal = new PortalControl_1.PortalControl(this, new Selector_1.ReactSelector("Portal"), contentControl);
    }
    get content() {
        return this.portal.content;
    }
    static withContent(contentConrol) {
        return (0, ControlContructorBinding_1.controlOf)(PopupMenuControl, contentConrol);
    }
    async open() {
        const rootElement = await this.getRootElement();
        await rootElement.click();
    }
}
exports.PopupMenuControl = PopupMenuControl;
