"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactUIDatePicker = void 0;
const ControlsBase_1 = require("../../Bases/ControlsBase");
const CommonUtils_1 = require("../../Bases/CommonUtils");
class ReactUIDatePicker extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "DatePicker";
    async type(text) {
        const element = await this.getRootElement();
        if (element == undefined) {
            throw new Error("Element not found");
        }
        await element.type(text);
    }
    get value() {
        throw new Error("Not Implemeted");
    }
    async clear() {
        const element = await this.getRootElement();
        if (element == undefined) {
            throw new Error("Element not found");
        }
        await element.click();
        // BT-HACK это на случай если промахнулись
        await (0, CommonUtils_1.delay)(200);
        await element.click();
        await this.rootPage.pressCtrlA();
        await this.rootPage.press("Backspace");
    }
    async blur() {
        const element = await this.getRootElement();
        if (element == undefined) {
            throw new Error("Element not found");
        }
        await this.rootPage.press("Tab");
    }
    async clearAndType(text) {
        const element = await this.getRootElement();
        if (element == undefined) {
            throw new Error("Element not found");
        }
        await this.clear();
        const childElement = await element.findByCssSelector("span");
        if (childElement == undefined) {
            throw new Error("Element not found");
        }
        await this.rootPage.press("Backspace");
        // Дата в новом DatePicker заполнялась некорректно с точками https://github.com/skbkontur/retail-ui/issues/1059
        const textWithoutDot = text.replace(/\./g, "");
        await childElement.deprecatedType(textWithoutDot);
    }
    async clearAndTypeAndBlur(text) {
        await this.clearAndType(text);
        await this.blur();
    }
    async focus() {
        const element = await this.getRootElement();
        await element.focus();
    }
}
exports.ReactUIDatePicker = ReactUIDatePicker;
