import { CompoundControl } from "../Bases/CompoundControl";
import { ISearchContext } from "../Bases/Selectors/ISearchContext";
import { ISelector } from "../Bases/Selectors/ISelector";
import { ControlList } from "../Bases/ControlList";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
import { ButtonControl } from "./CandyControls/Action/ButtonControl";
import { ClickableAreaControl } from "./ClickableAreaControl";
import { MultilineControl } from "./MultilineControl";
import { MultilineFooterControl } from "./MultilineFooterControl";
import { PagerControl } from "./PagerControl";
import { PopupMenuControl } from "./PopupMenu";
import { HeaderMenu } from "./CrossFitTable/HeaderMenu";
declare class RemoveButton extends CompoundControl {
}
declare class RowMenuContent extends CompoundControl {
    addPreviousButton: ButtonControl;
    addNextButton: ButtonControl;
    copyButton: ButtonControl;
    copyToEndButton: ButtonControl;
    removeButton: ButtonControl;
}
declare class RowMenu extends CompoundControl {
    menu: PopupMenuControl<RowMenuContent>;
    copyAfterViaRowMenu(): Promise<void>;
    removeViaRowMenu(): Promise<void>;
    copyToEndViaRowMenu(): Promise<void>;
    addNextViaRowMenu(): Promise<void>;
    addPreviousViaRowMenu(): Promise<void>;
    private openMenu;
}
declare class StickyTableSideBar extends CompoundControl {
    readonly rowsMenu: ControlList<RowMenu>;
    readonly removeRowButtons: ControlList<RemoveButton>;
}
export declare class StickyTableSideBarWithRows<TRow> extends CompoundControl {
    readonly rows: ControlList<TRow>;
    readonly rowsMenu: ControlList<RowMenu>;
    readonly removeRowButtons: ControlList<RemoveButton>;
    constructor(context: ISearchContext, selector: ISelector, childFactory: ControlConstructor<TRow>);
    static of<T>(rowFactory: ControlConstructor<T>): ControlConstructor<StickyTableSideBarWithRows<T>>;
}
export declare class StickyTableControl<TRow> extends CompoundControl {
    static defaultElementSelector: string;
    readonly rows: ControlList<TRow>;
    readonly addButtons: ControlList<TRow>;
    readonly addButton: ButtonControl;
    readonly pager: PagerControl;
    readonly sideBar: StickyTableSideBar;
    readonly scrollToRightArrow: ClickableAreaControl;
    readonly scrollToLeftArrow: ClickableAreaControl;
    constructor(context: ISearchContext, selector: ISelector, childFactory: ControlConstructor<TRow>);
    static withRow<T>(childFactory: ControlConstructor<T>): ControlConstructor<StickyTableControl<T>>;
    addRow(): Promise<void>;
    addRows(n: number): Promise<void>;
    getMultilineByPath<T>(bindingPath: string, row: ControlConstructor<T>, instance?: number): MultilineControl<T>;
    getSidebarByPath<T>(bindingPath: string, rowFactory: ControlConstructor<T>): StickyTableSideBarWithRows<T>;
    getPagerByPath(bindingPath: string): PagerControl;
    getMultilineFooterByPath(bindingPath: string): MultilineFooterControl;
    findHeaderMenuByText<T>(text: string, headerMenuContent: ControlConstructor<T>): HeaderMenu<T>;
    removeAllRows(): Promise<void>;
    removeRowsExceptFirst(): Promise<void>;
}
export {};
