"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeRowByIndexСyclical = removeRowByIndexСyclical;
exports.findTableRemoveRowButtonByIndex = findTableRemoveRowButtonByIndex;
const util_1 = require("util");
async function removeRowByIndexСyclical(table, index) {
    let removeRowButton = await findTableRemoveRowButtonByIndex(table, index);
    while (removeRowButton) {
        await removeRowButton.click();
        removeRowButton = await findTableRemoveRowButtonByIndex(table, index);
    }
}
async function findTableRemoveRowButtonByIndex(table, index) {
    const safeIndex = index >= 0 ? index : 0;
    // @ts-ignore
    const rows = table["rows"];
    if ((0, util_1.isNullOrUndefined)(rows)) {
        return undefined;
    }
    const count = await rows.count;
    if (count == safeIndex) {
        return undefined;
    }
    // @ts-ignore
    const sideBar = table["sideBar"];
    // @ts-ignore
    const removeRowButtons = sideBar ? sideBar["removeRowButtons"] : undefined;
    // @ts-ignore
    const rowsMenu = sideBar ? sideBar["rowsMenu"] : undefined;
    try {
        return findRemoveRowButtonByIndex(removeRowButtons, safeIndex) ?? findRowMenuByIndex(rowsMenu, safeIndex);
    }
    catch {
        return undefined;
    }
}
async function findRemoveRowButtonByIndex(removeRowButtons, index) {
    if ((0, util_1.isNullOrUndefined)(removeRowButtons)) {
        return undefined;
    }
    const removeButton = await removeRowButtons.itemAt(index);
    const isRemoveButtonPresent = await removeButton.isPresent();
    return isRemoveButtonPresent ? removeButton : undefined;
}
async function findRowMenuByIndex(rowsMenu, index) {
    if ((0, util_1.isNullOrUndefined)(rowsMenu)) {
        return undefined;
    }
    const rowMenu = await rowsMenu.itemAt(index);
    const isRowMenuPresent = await rowMenu.isPresent();
    if (isRowMenuPresent) {
        await rowMenu.click();
        // @ts-ignore
        return rowMenu["menu"]["content"]["removeButton"];
    }
    return undefined;
}
