"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TourStepContentBase = exports.TourControl = void 0;
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const JustParentSelector_1 = require("../Bases/Selectors/JustParentSelector");
const ButtonControl_1 = require("./CandyControls/Action/ButtonControl");
const ModalBaseControl_1 = require("./CandyControls/ValueEditors/Picklist/ModalBaseControl");
class ModalTourStepControl extends CompoundControl_1.CompoundControl {
    modal = (0, FluentControlFactory_1.control)(ModalBaseControl_1.ModalBaseControl).as("Modal").in(this);
    getContentAs(content) {
        return new content(this.modal, new JustParentSelector_1.JustParentSelector());
    }
}
class TooltipTourStepControl extends CompoundControl_1.CompoundControl {
    getContentAs(content) {
        return new content(this, new JustParentSelector_1.JustParentSelector());
    }
}
class TourControl extends CompoundControl_1.CompoundControl {
    currentTooltipStep = (0, FluentControlFactory_1.control)(TooltipTourStepControl).as("TooltipStep").in(this);
    currentModalStep = (0, FluentControlFactory_1.control)(ModalTourStepControl).as("ModalStep").in(this);
}
exports.TourControl = TourControl;
class TourStepContentBase extends CompoundControl_1.CompoundControl {
    prevButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("FooterLeftPart").in(this);
    nextButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("FooterRightPart").in(this);
}
exports.TourStepContentBase = TourStepContentBase;
