"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitPagerControl = void 0;
const CompoundControl_1 = require("../../Bases/CompoundControl");
const FluentControlFactory_1 = require("../../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("../CandyControls/Action/ButtonControl");
const InputControl_1 = require("../CandyControls/ValueEditors/InputControl");
const LabelControl_1 = require("../LabelControl");
class UnitPagerControl extends CompoundControl_1.CompoundControl {
    previousPageButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("Button[data-tid=previousPage]").in(this);
    nextPageButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("Button[data-tid=nextPage]").in(this);
    unitNumberInput = (0, FluentControlFactory_1.control)(InputControl_1.InputControl).as("Input").in(this);
    currentUnitName = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("Item[data-tid=unitName]").in(this);
    totalUnitCount = (0, FluentControlFactory_1.control)(LabelControl_1.LabelControl).as("Item2[data-tid=totalCount]").in(this);
    async goToPage(number) {
        await this.unitNumberInput.clearAndType(number);
        await this.unitNumberInput.rootPage.press("Enter");
    }
}
exports.UnitPagerControl = UnitPagerControl;
